/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT products and UIM/X integration file
 *
 * $AstecId: stub_cgen.c,v 1.2 1998/02/15 23:43:56 yamato Exp nakayama $
 *
 *  SCCSID -- @(#)stub_cgen.c	1.14    96/05/16 KL Group Inc.
 */

/******************************************************************************
				stub_cgen.c
******************************************************************************/

#include <stdio.h>

/*
Because of a bug in how UIM/X uses the files involved in customization,
these symbols are undefined when linking uxcgen.  They are used within
routines described in user-xtype.c but their libraries and header files are
not accessed by the cgen make.  They are not called by cgen and can thus
be stubbed out here without ill effect.
*/


#ifdef __STDC__
#define STUB(name) \
name(){ return 1; }
#else
#define STUB(name) \
name(){ return 1; }
#endif

	int UxDisplay;
	int UxTopLevel;

	STUB(UxFindResource)
	STUB(UxFindValue)
#ifdef STUBUXSTREQUAL
	STUB(UxStrEqual)
#endif /* STUBUXSTREQUAL */
	STUB(UxNameToSwidget)
	STUB(UxGetName)
	STUB(UxGetSelectedIface)
	STUB(UxGetWidget)
	STUB(UxIsSwidget)
	STUB(UxGUIPopupColorView)
	STUB(UxGUIPopupFontView)
	STUB(UxGUIPopupPixView)
	STUB(UxSaveValue)

	STUB(UxValidateAlignment)
	STUB(UxValuesOfAlignment)

	STUB(UxValidateBoolean)
	STUB(UxValuesOfBoolean)

	STUB(UxValuesOfChar)
	STUB(UxValidateChar)

	STUB(UxValidateDimension)
	STUB(UxValuesOfDimension)

	STUB(UxValuesOfInt)
	STUB(UxValidateInt)

	STUB(UxValidateLabelType)
	STUB(UxValuesOfLabelType)

	STUB(UxValidateOrientation)
	STUB(UxValuesOfOrientation)

	STUB(UxValidatePixel)
	STUB(UxValuesOfPixel)

	STUB(UxValidatePixmap)
	STUB(UxValuesOfPixmap)

	STUB(UxValidatePosition)
	STUB(UxValuesOfPosition)

	STUB(UxValuesOfScrollBarPlacement)
	STUB(UxValidateScrollBarPlacement)

	STUB(UxValidateString)
	STUB(UxValuesOfString)

	STUB(UxValidateStringDirection)
	STUB(UxValuesOfStringDirection)

	STUB(UxValidateStringTable)
	STUB(UxValuesOfStringTable)

	STUB(UxValidateWidget)
	STUB(UxValuesOfWidget)

	STUB(UxValidateVoidFunction)
	STUB(UxValuesOfVoidFunction)

	STUB(UxValidateXmFontList)
	STUB(UxValuesOfXmFontList)

	STUB(UxValidateXmString)
	STUB(UxValuesOfXmString)

	STUB(UxValidatePointer)
	STUB(UxValuesOfPointer)


/*
 * stub XRT popup editors
 */
	STUB(UxPopupXrtData)
	STUB(UxPopupXrt3dSurfaceData)
	STUB(UxPopupXrt3dZoneData)
	STUB(UxPopupXrt3dDistnTable)
	STUB(UxPopupXrt3dContourStyles)
	STUB(UxPopupXrtTblCellValues)
	STUB(UxPopupXrtTreeEd)

	STUB(UxPopupXrtTblAlignmentSeriesEditor)
	STUB(UxPopupXrtTblBooleanSeriesEditor)
	STUB(UxPopupXrtTblColorSeriesEditor)
	STUB(UxPopupXrtTblFontSeriesEditor)
	STUB(UxPopupXrtTblPixmapSeriesEditor)
	STUB(UxPopupXrtTblBorderSideSeriesEditor)
	STUB(UxPopupXrtTblBorderTypeSeriesEditor)
	STUB(UxPopupXrtTblCaseSeriesEditor)
	STUB(UxPopupXrtTblDataTypeSeriesEditor)
	STUB(UxPopupXrtTblSeriesEditor)
	STUB(UxPopupXrtTblOverflowSeriesEditor)
	STUB(UxPopupXrtTblPixmapLayoutSeriesEditor)

/*
 * for GET/PUT double
 */
        STUB(UxGET_float)
        STUB(UxPUT_int)

