/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: XrtGear_cg.c,v 1.3 1999/10/13 11:42:15 nakayama Exp $
 *
 *  SCCSID -- @(#)XrtGear_cg.c	1.6    98/11/05 KL Group Inc.
 */

/******************************************************************************/
/*				XrtGear_cg.c				      							  */
/******************************************************************************/

#include <stdio.h>
#include "utype.h"
#include "class_info.h"


#include <Xm/XrtGear.h>
#include "XrtGear_xtype.h"
#include "Xrt_restable.h"

static RES_INFO		XrtAligner_res[size_xrtAlnrResNum];
static RES_INFO		XrtGLabel_res[size_xrtGLblResNum];
static RES_INFO		XrtPushB_res[size_xrtPBResNum];
static RES_INFO		XrtTabB_res[size_xrtTabBResNum];
static RES_INFO		XrtTabM_res[size_xrtTabMResNum];
static RES_INFO		XrtToggleB_res[size_xrtTogBResNum];
static RES_INFO		XrtToolbar_res[size_xrtTbarResNum];

static RES_INFO		XrtOutliner_res[size_xrtOutlinerResNum];
static RES_INFO		XrtNodeStyle_res[size_xrtNodeStyleResNum];
static RES_INFO		XrtColumn_res[size_xrtColumnResNum];
static RES_INFO		XrtGearCombo_res[size_xrtGearComboResNum];
static RES_INFO		XrtProgress_res[size_xrtProgressResNum];
static RES_INFO		XrtPanedWindow_res[size_xrtPanedWindowResNum];

static void
XrtGear_cgdef_resource(table, res_info_table, n, m)
XrtGearResourceDesc	*table;
RES_INFO			*res_info_table;
int 				n;
int 				m;
{
	RES_INFO	*pResInfo;

	pResInfo 				= &(res_info_table[m]);
	pResInfo->name 			= table[n].name;
	pResInfo->xt_name 		= table[n].xt_name;
	pResInfo->xt_name_def 	= table[n].xt_name_def;
	pResInfo->pass 			= (int) table[n].pass;
	pResInfo->xtype 		= table[n].type->xtype;	
	
	if (table[n].type->convert_flag == 1 && !table[n].type->converter) {
		pResInfo->rt_conv = 1;
	}

	if (table[n].type->converter) {
		pResInfo->converter = table[n].type->converter;
	}

	if (table[n].type->datatype.type_gear == XRTGEAR_WIDGET) {
		pResInfo->wgt_val = 1;
	}
	
	if (table[n].type->datatype.type_gear == XRTGEAR_WIDGET_CLASS) {
		pResInfo->wgt_class_val = 1;
	}
	
	if (table[n].type->datatype.type_gear == XRTGEAR_CALLBACK) {
		pResInfo->callback = 1;
	}
	if (table[n].division == XRTDIV_CONSTRAINT) {
		pResInfo->constraint = 1;
	}
}

XrtGear_cg()
{

	int							n, n_res_used;

	static WGT_CLASS_INFO		XrtManager_class_info;

	static WGT_CLASS_INFO		XrtAligner_class_info;
	static WGT_CLASS_INFO		XrtGLabel_class_info;
	static WGT_CLASS_INFO		XrtPushB_class_info;
	static WGT_CLASS_INFO		XrtTabB_class_info;
	static WGT_CLASS_INFO		XrtTabM_class_info;
	static WGT_CLASS_INFO		XrtToggleB_class_info;
	static WGT_CLASS_INFO		XrtToolbar_class_info;
	
	static WGT_CLASS_INFO		XrtOutliner_class_info;
	static WGT_CLASS_INFO		XrtNodeStyle_class_info;
	static WGT_CLASS_INFO		XrtColumn_class_info;
	static WGT_CLASS_INFO		XrtGearCombo_class_info;
	static WGT_CLASS_INFO		XrtProgress_class_info;
	static WGT_CLASS_INFO		XrtPanedWindow_class_info;

	XrtGear_init_resource_table();
	
	XrtManager_class_info.name = "XrtManager";
	XrtManager_class_info.filename = "XrtManager";
	XrtManager_class_info.supername = "manager";
	XrtManager_class_info.xt_name = "xmXrtManagerWidgetClass";
	XrtManager_class_info.xt_filename = "Xm/XrtManager.h";
	XrtManager_class_info.resources = NULL;  /*??? tricky*/
	XrtManager_class_info.num_resources = 0; /*no resources for this class*/

	CgEnterWidgetClassInfo(&XrtManager_class_info);

	/*
	 *	Define resources and class info for XRT/Aligner
	 */
	
	n_res_used = 0;
	for (n = 0; n < numAlnr_res; n++) {
		if (xrtAlnr_res_table[n].used) {
			XrtGear_cgdef_resource(xrtAlnr_res_table, XrtAligner_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtAligner_class_info.name = "XrtAligner";
	XrtAligner_class_info.filename = "XrtAligner";
	XrtAligner_class_info.supername = "XrtManager";
	XrtAligner_class_info.xt_name = "xmXrtAlignerWidgetClass";
	XrtAligner_class_info.xt_filename = "Xm/XrtAligner.h";
	XrtAligner_class_info.resources = XrtAligner_res;
	XrtAligner_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtAligner_class_info);

	/*
	 *	Define resources and class info for XRT/PushB
	 */
	
	n_res_used = 0;
	for (n = 0; n < numPB_res; n++) {
		if (xrtPB_res_table[n].used) {
			XrtGear_cgdef_resource(xrtPB_res_table, XrtPushB_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtPushB_class_info.name = "XrtPushB";
	XrtPushB_class_info.filename = "XrtPushB";
	XrtPushB_class_info.supername = "pushButton";
	XrtPushB_class_info.xt_name = "xmXrtPushButtonWidgetClass";
	XrtPushB_class_info.xt_filename = "Xm/XrtPushB.h";
	XrtPushB_class_info.resources = XrtPushB_res;
	XrtPushB_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtPushB_class_info);

	/*
	 *	Define resources and class info for XRT/TabB
	 */
	
	n_res_used = 0;
	for (n = 0; n < numTabB_res; n++) {
		if (xrtTabB_res_table[n].used) {
			XrtGear_cgdef_resource(xrtTabB_res_table, XrtTabB_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtTabB_class_info.name = "XrtTabB";
	XrtTabB_class_info.filename = "XrtTabB";
	XrtTabB_class_info.supername = "pushButton";
	XrtTabB_class_info.xt_name = "xmXrtTabButtonWidgetClass";
	XrtTabB_class_info.xt_filename = "Xm/XrtTabB.h";
	XrtTabB_class_info.resources = XrtTabB_res;
	XrtTabB_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtTabB_class_info);

	/*
	 *	Define resources and class info for XRT/TabM
	 */
	
	n_res_used = 0;
	for (n = 0; n < numTabM_res; n++) {
		if (xrtTabM_res_table[n].used) {
			XrtGear_cgdef_resource(xrtTabM_res_table, XrtTabM_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtTabM_class_info.name = "XrtTabM";
	XrtTabM_class_info.filename = "XrtTabM";
	XrtTabM_class_info.supername = "XrtManager";
	XrtTabM_class_info.xt_name = "xmXrtTabManagerWidgetClass";
	XrtTabM_class_info.xt_filename = "Xm/XrtTabM.h";
	XrtTabM_class_info.resources = XrtTabM_res;
	XrtTabM_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtTabM_class_info);

	/*
	 *	Define resources and class info for XRT/GLabel
	 */
	
	n_res_used = 0;
	for (n = 0; n < numGLbl_res; n++) {
		if (xrtGLbl_res_table[n].used) {
			XrtGear_cgdef_resource(xrtGLbl_res_table, XrtGLabel_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtGLabel_class_info.name = "XrtGLabel";
	XrtGLabel_class_info.filename = "XrtGLabel";
	XrtGLabel_class_info.supername = "label";
	XrtGLabel_class_info.xt_name = "xmXrtGLabelWidgetClass";
	XrtGLabel_class_info.xt_filename = "Xm/XrtGLabel.h";
	XrtGLabel_class_info.resources = XrtGLabel_res;
	XrtGLabel_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGLabel_class_info);

	/*
	 *	Define resources and class info for XRT/ToggleB
	 */
	
	n_res_used = 0;
	for (n = 0; n < numTogB_res; n++) {
		if (xrtTogB_res_table[n].used) {
			XrtGear_cgdef_resource(xrtTogB_res_table, XrtToggleB_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtToggleB_class_info.name = "XrtToggleB";
	XrtToggleB_class_info.filename = "XrtToggleB";
	XrtToggleB_class_info.supername = "toggleButton";
	XrtToggleB_class_info.xt_name = "xmXrtToggleButtonWidgetClass";
	XrtToggleB_class_info.xt_filename = "Xm/XrtToggleB.h";
	XrtToggleB_class_info.resources = XrtToggleB_res;
	XrtToggleB_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtToggleB_class_info);

	/*
	 *	Define resources and class info for XRT/Toolbar
	 */
	
	n_res_used = 0;
	for (n = 0; n < numTbar_res; n++) {
		if (xrtTbar_res_table[n].used) {
			XrtGear_cgdef_resource(xrtTbar_res_table, XrtToolbar_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtToolbar_class_info.name = "XrtToolbar";
	XrtToolbar_class_info.filename = "XrtToolbar";
	XrtToolbar_class_info.supername = "XrtManager";
	XrtToolbar_class_info.xt_name = "xmXrtToolbarWidgetClass";
	XrtToolbar_class_info.xt_filename = "Xm/XrtToolbar.h";
	XrtToolbar_class_info.resources = XrtToolbar_res;
	XrtToolbar_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtToolbar_class_info);


	/* New classes	for gear 2.0 */
	
	/*
	 *	Define resources and class info for XRT/Outliner
	 */
	
	n_res_used = 0;
	for (n = 0; n < numOutliner_res; n++) {
		if (xrtOutliner_res_table[n].used) {
			XrtGear_cgdef_resource(xrtOutliner_res_table, XrtOutliner_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtOutliner_class_info.name = "XrtOutliner";
	XrtOutliner_class_info.filename = "XrtOutliner";
	XrtOutliner_class_info.supername = "XrtManager";
	XrtOutliner_class_info.xt_name = "xmXrtOutlinerWidgetClass";
	XrtOutliner_class_info.xt_filename = "Xm/XrtOutliner.h";
	XrtOutliner_class_info.resources = XrtOutliner_res;
	XrtOutliner_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtOutliner_class_info);

	/*
	 *	Define resources and class info for XRT/NodeStyle
	 */
	
	n_res_used = 0;
	for (n = 0; n < numNodeStyle_res; n++) {
		if (xrtNodeStyle_res_table[n].used) {
			XrtGear_cgdef_resource(xrtNodeStyle_res_table, XrtNodeStyle_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtNodeStyle_class_info.name = "XrtNodeStyle";
	XrtNodeStyle_class_info.filename = "XrtOutliner";
	XrtNodeStyle_class_info.supername = "gadget";
	XrtNodeStyle_class_info.xt_name = "xmXrtNodeStyleObjectClass";
	XrtNodeStyle_class_info.xt_filename = "Xm/XrtNodeStyle.h";
	XrtNodeStyle_class_info.resources = XrtNodeStyle_res;
	XrtNodeStyle_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtNodeStyle_class_info);
	
	/*
	 *	Define resources and class info for XRT/Column
	 */
	
	n_res_used = 0;
	for (n = 0; n < numColumn_res; n++) {
		if (xrtColumn_res_table[n].used) {
			XrtGear_cgdef_resource(xrtColumn_res_table, XrtColumn_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtColumn_class_info.name = "XrtColumn";
	XrtColumn_class_info.filename = "XrtOutliner";
	XrtColumn_class_info.supername = "gadget";
	XrtColumn_class_info.xt_name = "xmXrtColumnObjectClass";
	XrtColumn_class_info.xt_filename = "Xm/XrtColumn.h";
	XrtColumn_class_info.resources = XrtColumn_res;
	XrtColumn_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtColumn_class_info);
	
	/*
	 *	Define resources and class info for XRT/GearCombo
	 */
	
	n_res_used = 0;
	for (n = 0; n < numGearCombo_res; n++) {
		if (xrtGearCombo_res_table[n].used) {
			XrtGear_cgdef_resource(xrtGearCombo_res_table, XrtGearCombo_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtGearCombo_class_info.name = "XrtGearCombo";
	XrtGearCombo_class_info.filename = "XrtGearCombo";
	XrtGearCombo_class_info.supername = "XrtManager";
	XrtGearCombo_class_info.xt_name = "xmXrtGearComboWidgetClass";
	XrtGearCombo_class_info.xt_filename = "Xm/XrtGearCombo.h";
	XrtGearCombo_class_info.resources = XrtGearCombo_res;
	XrtGearCombo_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGearCombo_class_info);
	
	/*
	 *	Define resources and class info for XRT/Progress
	 */
	
	n_res_used = 0;
	for (n = 0; n < numProgress_res; n++) {
		if (xrtProgress_res_table[n].used) {
			XrtGear_cgdef_resource(xrtProgress_res_table, XrtProgress_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtProgress_class_info.name = "XrtProgress";
	XrtProgress_class_info.filename = "XrtProgress";
	XrtProgress_class_info.supername = "primitive";
	XrtProgress_class_info.xt_name = "xmXrtProgressWidgetClass";
	XrtProgress_class_info.xt_filename = "Xm/XrtProgress.h";
	XrtProgress_class_info.resources = XrtProgress_res;
	XrtProgress_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtProgress_class_info);
	
	/*
	 *	Define resources and class info for XRT/PanedWindow
	 */
	
	n_res_used = 0;
	for (n = 0; n < numPanedWindow_res; n++) {
		if (xrtPanedWindow_res_table[n].used) {
			XrtGear_cgdef_resource(xrtPanedWindow_res_table, XrtPanedWindow_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	XrtPanedWindow_class_info.name = "XrtPanedWindow";
	XrtPanedWindow_class_info.filename = "XrtPanedW";
	XrtPanedWindow_class_info.supername = "XrtManager";
	XrtPanedWindow_class_info.xt_name = "xmXrtPanedWindowWidgetClass";
	XrtPanedWindow_class_info.xt_filename = "Xm/XrtPanedW.h";
	XrtPanedWindow_class_info.resources = XrtPanedWindow_res;
	XrtPanedWindow_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtPanedWindow_class_info);
}


