/* $AstecId: XrtGear_menus.c,v 1.3 1999/10/13 11:46:51 nakayama Exp $ */
/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtGear_menus.c	1.1    95/11/10 KL Group Inc.
 */

/******************************************************************************
				XrtGear_menus.c
******************************************************************************/

#include <stdio.h>
#include <Xm/Xm.h>
#include "uxproto.h"
#include "cr_menu_ds.h"		/* definitions of message numbers MS_xxxx */

#include "UxCascB.h"
#include "UxRowCol.h"

swidget UxAddToCreateMenu UXPROTO((swidget, 
								   char *, 
								   char *, 
								   Boolean, 
								   void (*)(), 
								   Class_t, 
								   void (*)() ));

extern Class_t UxC_XrtAligner;
extern Class_t UxC_XrtGLabel;
extern Class_t UxC_XrtPushB;
extern Class_t UxC_XrtTabB;
extern Class_t UxC_XrtTabM;
extern Class_t UxC_XrtToggleB;
extern Class_t UxC_XrtToolbar;
extern Class_t UxC_XrtOutliner;
extern Class_t UxC_XrtNodeStyle;
extern Class_t UxC_XrtColumn;
extern Class_t UxC_XrtProgress;
extern Class_t UxC_XrtGearCombo;
extern Class_t UxC_XrtPanedWindow;

static swidget	create_xrtgear;
static swidget	create_xrtgear_rc;
static swidget	top_create_xrtgear;
static swidget	top_create_xrtgear_rc;


static void
XrtGear_createmenu(casc_swgt, rowcol_swgt, popup)
swidget casc_swgt;
swidget rowcol_swgt;
int	popup;
{
	swidget child_casc;
	swidget child_rowcol;

	child_casc = UxCreateCascadeButton("gear_casc",rowcol_swgt);
	child_rowcol = UxCreateRowColumn("gear_rowcol",rowcol_swgt);
	if(popup){
		create_xrtgear = child_casc;
		create_xrtgear_rc = child_rowcol;
	}
	else{
		top_create_xrtgear = child_casc;
		top_create_xrtgear_rc = child_rowcol;
	}
	UxPutLabelString(child_casc, "XRT/gear");
	UxPutMnemonic(child_casc, "r");
	UxPutSubMenuId(child_casc, "gear_rowcol");
	UxPutRowColumnType(child_rowcol, "menu_pulldown");
	UxCreateWidget(child_rowcol);
	UxCreateWidget(child_casc);

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtAligner",
							 "A",
							 FALSE,
							 NULL,
							 UxC_XrtAligner,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGLabel",
							 "L",
							 FALSE,
							 NULL,
							 UxC_XrtGLabel,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtPushButton",
							 "P",
							 FALSE,
							 NULL,
							 UxC_XrtPushB,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtTabButton",
							 "T",
							 FALSE,
							 NULL,
							 UxC_XrtTabB,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtTabManager",
							 "M",
							 FALSE,
							 NULL,
							 UxC_XrtTabM,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtToggleButton",
							 "g",
							 FALSE,
							 NULL,
							 UxC_XrtToggleB,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtToolbar",
							 "o",
							 FALSE,
							 NULL,
							 UxC_XrtToolbar,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtOutliner",
							 "u",
							 FALSE,
							 NULL,
							 UxC_XrtOutliner,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtNodeStyle",
							 "N",
							 FALSE,
							 NULL,
							 UxC_XrtNodeStyle,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtColumn",
							 "C",
							 FALSE,
							 NULL,
							 UxC_XrtColumn,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGearCombo",
							 "e",
							 FALSE,
							 NULL,
							 UxC_XrtGearCombo,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtProgress",
							 "s",
							 FALSE,
							 NULL,
							 UxC_XrtProgress,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtPanedWindow",
							 "W",
							 FALSE,
							 NULL,
							 UxC_XrtPanedWindow,
							 NULL );
}

void
XrtGear_custmenu(casc_swgt, rowcol_swgt)
swidget casc_swgt;
swidget rowcol_swgt;
{
	XrtGear_createmenu(casc_swgt, rowcol_swgt, FALSE);
}

void
XrtGear_tcustmenu(casc_swgt, rowcol_swgt)
swidget casc_swgt;
swidget rowcol_swgt;
{
	XrtGear_createmenu(casc_swgt, rowcol_swgt, TRUE);
}
