/*---------------------------------------------------------------------
 * $Source: /proj/uimx/integXRT/integ/include/RCS/UxLib.h,v $
 * $Date: 2016/11/24 04:47:21 $             $Revision: 1.3 $
 *---------------------------------------------------------------------
 * 
 *
 *             Copyright (c) 1989-1992, Visual Edge Software Ltd.
 *
 * ALL  RIGHTS  RESERVED.  Permission  to  use,  copy,  modify,  and
 * distribute  this  software  and its documentation for any purpose
 * and  without  fee  is  hereby  granted,  provided  that the above
 * copyright  notice  appear  in  all  copies  and  that  both  that
 * copyright  notice and this permission notice appear in supporting
 * documentation,  and that  the name of Visual Edge Software not be
 * used  in advertising  or publicity  pertaining to distribution of
 * the software without specific, written prior permission. The year
 * included in the notice is the year of the creation of the work.
 *---------------------------------------------------------------------
 * Runtime library definitions.  
 * Used by UIM/X-generated Ux-format sources.
 *-------------------------------------------------------------------*/

#ifndef _UXLIB_INCLUDED
#define _UXLIB_INCLUDED 

#ifdef __cplusplus
#define EXTERNC extern "C"
#else
#define EXTERNC extern
#endif /* __cplusplus */

#if defined(__sparcv9)||(defined(sgi) && _MIPS_SZPTR == 64)||defined(__LP64__)
#define	Ux_LP64
#endif

#ifdef	Ux_LP64
#define	UX_POINTER_TO_INT_CAST	(int)(long)
#else
#define	UX_POINTER_TO_INT_CAST	(int)
#endif

#ifdef UX_CATALOG

#ifdef SOLARIS
#include <stdlib.h>     /* putenv/getenv */
#endif /* SOLARIS */

#include <locale.h>
#include <nl_types.h>
#endif /* UX_CATALOG */

#include <uxproto.h>
#include <valloc.h>
#include <UxCorba.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <Xm/Xm.h>
#include <Xm/Text.h>

#ifdef sgi
#include <Sgm/Grid.h>
#include <Sgm/SpringBox.h>
#endif /* sgi */

#define UxAlloc(s) 	UxMalloc(s)

#ifndef _GRAB_INCLUDED
#define _GRAB_INCLUDED
typedef enum
{
	no_grab = XtGrabNone,
	nonexclusive_grab = XtGrabNonexclusive,
	exclusive_grab = XtGrabExclusive
} grabtype;
#endif  /* _GRAB_INCLUDED  */


#ifdef UXINLINE
#undef UXINLINE
#endif

#if ! UX_INTERPRETER && ! DESIGN_TIME
#define UXINLINE inline
#else
#define UXINLINE
#endif


#ifdef  DESIGN_TIME

#include "UxDesign.h"

#else   /* ! design time */

#include "stdgetput.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
/*------------------------------------------------
 * The runtime library declarations.
 *------------------------------------------------*/

typedef struct 	ShadowWidget 	*swidget;

#ifndef NO_PARENT
#define NO_PARENT       ((swidget) 0)
#endif

#ifndef NULL_SWIDGET
#define NULL_SWIDGET 	((swidget) 0)
#endif

#ifndef NULL_WIDGET
#define NULL_WIDGET	((Widget) 0)
#endif

#ifndef ERROR
#define ERROR           -1
#endif
#ifndef NO_ERROR
#define NO_ERROR        0
#endif

/*-------------------------------------------------------------------
 * Macros, global needed are for using XOpen catalogs
 *------------------------------------------------------------------*/
#ifdef UX_CATALOG
#if (defined(sun4) && defined(__cplusplus))
extern "C" {
nl_catd catopen UXPROTO((const char *, int));
char *catgets UXPROTO((nl_catd, int, int, const char *));
int catclose UXPROTO((nl_catd));
}
#endif /* sun4 && __cplusplus */
#define UxCATOPEN( filename, oflag )    catopen( filename, oflag )
#define UxCATCLOSE( catId )             catclose( catId )
#define UxCATGETS( setId, msgId, ds ) \
        catgets( UxMsgCatalog, (setId), (msgId), (ds) )
#else
#define UxCATOPEN( filename, oflag )    -1
#define UxCATCLOSE( catId )             0
#define UxCATGETS( setId, msgId, ds )   (ds)
#endif /* UX_CATALOG */


/*-------------------------------------------------------------------
 * Resource Puts and Gets.  
 *------------------------------------------------------------------*/

XtArgVal 	UxGetProp  UXPROTO(( swidget, const char * ));
int     	UxPutProp  UXPROTO(( swidget, const char *, XtArgVal ));

char	 	UxCharGetProp  UXPROTO(( swidget, const char * ));

short		UxShortGetProp  UXPROTO(( swidget, const char * ));
int		UxShortPutProp  UXPROTO(( swidget, const char *, XtArgVal ));

#ifdef	Ux_LP64
int	UxIntGetProp	UXPROTO(( swidget, const char * ));
#else
#define	UxIntGetProp	UX_POINTER_TO_INT_CAST UxGetProp
#endif

XtArgVal 	UxDDGetProp  UXPROTO(( swidget, const char * ));
int     	UxDDPutProp  UXPROTO(( swidget, const char *, XtArgVal ));

#include "UxPutsMF.h"
#include "UxGetsMF.h"

#if	XmVersion  >= 2002
#define UxPutTitleMultiList(o,v) UxDDPutProp((o), "titleMultiList", ((XtArgVal)(v)))
#define UxGetTitleMultiList(o) (char *)UxDDGetProp((o), "titleMultiList")
#define UxPutPositionIndexContainer(o,v) UxPutProp((o), XmNpositionIndex, ((XtArgVal)(v)))
#define UxGetPositionIndexContainer(o) UxGetProp((o), XmNpositionIndex)
#endif

#define UxPutMsgDialogType(o,v) UxDDPutProp((o), "msgDialogType", ((XtArgVal)(v)))
#define UxGetMsgDialogType(o) (char *)UxDDGetProp((o), "msgDialogType")
#define UxIsValidSwidget(sw) UxIsSwidget(sw)

#define UxPutText(m,v)   UxPutProp((m), XmNvalue, ((XtArgVal) (v)))	
char 	*UxGetText  UXPROTO(( swidget ));
void    UxClearText UXPROTO(( swidget ));

#ifdef sgi
#define UxPutDialValue(m,v)  UxPutProp((m), XmNvalue, ((XtArgVal) (v)))
#define UxGetDialValue(o)    (short)UxShortGetProp(o, XmNvalue)

#define UxPutNumColumnsGrid(m,v) UxPutProp((m), XmNnumColumns, ((XtArgVal) (v)))
#define UxGetNumColumnsGrid(o)  (int)UxIntGetProp(o, XmNnumColumns)

#define UxPutNumRowsGrid(m,v) UxPutProp((m), XmNnumRows, ((XtArgVal) (v)))
#define UxGetNumRowsGrid(o)  (int)UxIntGetProp(o, XmNnumRows)
#endif /* sgi */

void 	UxPutAccelerators  UXPROTO((swidget, const char *));
void 	UxPutTranslations  UXPROTO((swidget, const char *));

char*	UxGetAccelerators  UXPROTO((swidget));
char*	UxGetTranslations  UXPROTO((swidget));

char*	UxGetCreateManaged UXPROTO((swidget));
void	UxPutCreateManaged UXPROTO((swidget, const char*));

/*-------------------------------------------------------------------
 * Swidget creation.  The UxCreate<ClassName> macros expand
 * into calls to one of these functions.
 *------------------------------------------------------------------*/

swidget		UxCreateSwidget  UXPROTO ((const char*, WidgetClass, swidget));
swidget		UxCreateDialogSwidget  UXPROTO ((const char*, WidgetClass, swidget));
swidget 	UxCreateComponent UXPROTO((const char *, swidget));
void		UxFreeSwidget UXPROTO((swidget));
void		UxSwidgetFreeArgs UXPROTO((swidget));


/*-------------------------------------------------------------------
 * The UIM/X runtime convenience library.
 *------------------------------------------------------------------*/

void    	UxAddCallback  UXPROTO(( swidget, const char *, 
					XtCallbackProc, XtPointer));
void		UxAddTabGroup  UXPROTO(( swidget ));
void    	UxCenterVisibly  UXPROTO(( swidget, swidget ));
void		UxCenterWidgetVisibly  UXPROTO(( Widget, Widget ));
Widget  	UxCreateWidget  UXPROTO(( swidget ));

void    	UxDelayUpdate  UXPROTO(( swidget ));
int     	UxDestroyInterface  UXPROTO(( swidget ));
void    	UxDestroySwidget  UXPROTO(( swidget ));

swidget 	UxFindSwidget  UXPROTO(( const char * ));
void		UxFreeClientDataCB UXPROTO ((Widget, XtPointer, XtPointer));

WidgetClass     UxGetClass	UXPROTO((swidget));
void*		UxGetContext	UXPROTO((swidget));
char*		UxGetName	UXPROTO((swidget));
swidget 	UxGetParent	UXPROTO((swidget));
Widget		UxGetWidget	UXPROTO((swidget));
void		UxPutWidget	UXPROTO((swidget, Widget));

Widget  	UxInitialize	UXPROTO(( const char *, int *, char ** ));
void	  	UxAppInitialize UXPROTO(( const char *, int *, char ** ));
void	  	UxPreInitialize UXPROTO(( void ));
int     	UxIsSwidget	UXPROTO(( swidget ));

int     	UxUsingSb UXPROTO(( void ));
void    	UxStartUnderSoftbench UXPROTO(( Cardinal *, String* ));

void    	UxMainLoop	UXPROTO(( void ));
void    	UxManage	UXPROTO(( swidget ));
void    	UxMap		UXPROTO(( swidget ));
void*   	UxMethodLookup	UXPROTO((swidget, int, const char*));
void    	UxNotify	UXPROTO(( void ));
Widget		UxOptionInitialize UXPROTO(( const char *, int *, char **,
					XrmOptionDescRec *, Cardinal ));

swidget 	UxNameToSwidget	UXPROTO(( swidget, const char * ));

int     	UxPopupInterface UXPROTO(( swidget, grabtype ));
int     	UxPopdownInterface  UXPROTO(( swidget ));
void    	UxPostMenu  	UXPROTO(( Widget, XEvent *, String *, Cardinal *));
int     	UxRealizeInterface  UXPROTO(( swidget ));
Widget  	UxRealWidget	UXPROTO(( swidget ));
void		UxRemoveTabGroup UXPROTO(( swidget ));
Widget  	UxShellWidget	UXPROTO(( swidget ));

void		UxTextAppend UXPROTO((Widget, const char*));

void    	UxUnmanage	UXPROTO(( swidget ));
void    	UxUnmap		UXPROTO(( swidget ));
void    	UxUpdate	UXPROTO(( swidget ));

void    	UxWaitForNotify UXPROTO(( void ));
swidget 	UxWidgetToSwidget  UXPROTO(( Widget ));

/*-------------------------------------------------------------------
 * The runtime versions of the following are the toolkit functions.
 * Use the Ux- form so that your code works in UIM/X at test time.
 *-------------------------------------------------------------------*/

#define 	UxAddActions(a,b)    XtAppAddActions(UxAppContext, a,b)
#define 	UxNextEvent(e)	     XtAppNextEvent(UxAppContext, e)
#define 	UxDispatchEvent(e)   XtDispatchEvent(e)

/*-------------------------------------------------------------------
 * The following are used in Ux-form generated code.
 * You will rarely if ever need to call them directly.
 *-------------------------------------------------------------------*/

WidgetClass     UxGetDefaultShell  UXPROTO((swidget));
void	UxPutDefaultShell  UXPROTO((swidget, const char *));

int	UxIsShellClass	UXPROTO(( WidgetClass ));
void	UxMainWindowSetAreas  UXPROTO((swidget,
				      swidget, swidget, swidget,
				      swidget, swidget ));
void    UxMainWindowSetMessageWindow UXPROTO((swidget, swidget));
void*   UxNewContext	UXPROTO((size_t size, int isSubclass));
int	UxPutContext	UXPROTO((swidget, void*));
void   	UxRegisterPopupMenuHandler  UXPROTO(( swidget, swidget ));
void	UxScrolledWindowSetAreas  UXPROTO((swidget, 
					   swidget, swidget, swidget));
void   	UxSetDefaultShell  UXPROTO(( const char * ));

int	UxGetIfClassCode UXPROTO((swidget));
int	UxPutClassCode   UXPROTO((swidget, int));

void	UxLoadResources UXPROTO((const char *));

char 	*UxInitCat	UXPROTO((void));

void 	UxDestroyContextCB UXPROTO((Widget, XtPointer, XtPointer));
swidget UxChildSite	UXPROTO((swidget));
swidget UxInheritedChildSite UXPROTO((swidget));


/*-------------------------------------------------------------------
 * Global state of Motif and your X session.
 *-------------------------------------------------------------------*/

extern Widget   	UxTopLevel;
extern XtAppContext 	UxAppContext;
extern XEvent   	*UxCurrentEvent;
extern Display  	*UxDisplay;
extern int     		UxScreen;
extern Window 	  	UxRootWindow;
extern GC       	UxDrawGC;
#ifdef UX_CATALOG
extern nl_catd          UxMsgCatalog;
#endif /* UX_CATALOG */

/*-----------------------------------------------------
 * For backwards compatibility of user-rtime.c
 *-----------------------------------------------------*/

#define UxrDDInstall(nm, ut, xt)   UxDDInstall( nm, ut, xt)

/*-----------------------------------------------------
 * Declaration of swidget method helper functions
 *-----------------------------------------------------*/
 
#ifndef SWIDGET_METHOD_HELPER_FUNCTIONS_DECLARED
#define SWIDGET_METHOD_HELPER_FUNCTIONS_DECLARED
 
extern char *UxListToString UXPROTO((XmString *list, int itemcount));
extern XmString *UxStringToList UXPROTO((const char *string, int *itemcount));
extern void UxFreeXmStringList UXPROTO((XmString *list));
extern void UxSwidgetMethodSetBackground UXPROTO((Widget widget, const char *color));
 
#endif /* SWIDGET_METHOD_HELPER_FUNCTIONS_DECLARED */

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' to declare classes. */
#endif /* __cplusplus */
#endif /* not DESIGN_TIME */

#include "UxInterf.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/*------------------------------------------------------------------------
 * UxAdapterSwidget
 * <Creates a component swidget for any Widget.>
 * 
 * INPUT:	Widget w:	-- any Widget
 *		swidget parent;	-- the swidget representing its parent.
 *		char * name;	-- the name for the swidget
 *		int  clsCode	-- the class code for the component
 *		void * cmpntRef -- user field for the external object
 *		void * context	-- the UIM/X context ptr of the component
 * RETURNS:	
 *	A swidget suitable as an interface function or childSite method result.
 *
 * Use this function to create the swidget needed when you integrate 
 * foreign components into UIM/X for design and Ux-mode generated code.
 * The Widget w must be the controlling Widget from the component.
 *
 * The interface class code <clsCode> is acquired (once per component class)
 * from UxNewInterfaceClassId() or UxNewSubclassId().
 * You can register methods against that class code, such as childSite,
 * property get and set, and other validation methods; see below.
 *
 * <parent> should be what was passed to the component's constructor.
 *
 * The context pointer should NULL (or UxNO_CONTEXT) 
 * for the wrapper swidget created in a constructor body.  
 * If you make a separate adapter swidget for a child site,
 * then pass the component's context (from UxGetContext()).
 *
 * This function adds a destroy callback to the Widget w that destroys 
 * the adapter.  Do not destroy the swidget yourself.  
 *------------------------------------------------------------------------*/

extern swidget	UxAdapterSwidget UXPROTO((Widget w,
				       	  swidget parent,
				       	  const char*  name,
					  int	 clsCode,
					  void*  cmpnt,
				       	  void*  context));

extern swidget	UxUseForAdapterSwidget UXPROTO((swidget sw,
				       	  swidget parent,
				       	  const char*  name,
					  int	 clsCode,
					  void*  cmpnt,
				       	  void*  context));

extern int UxMethodRegister UXPROTO((int cid, const char *name, void (*function)()));

extern int UxNewInterfaceClassId UXPROTO((void));

extern int UxNewSubclassId UXPROTO((int));

/*
 * Get or change the 'cmpntRef' supplied to UxAdapterSwidget.
 */
void*	UxGetComponentRef UXPROTO((swidget adapter));
void*	UxGetContextOrComponentRef UXPROTO((swidget adapter));
void	UxPutComponentRef UXPROTO((swidget adapter, void* ref));
swidget 	UxWidgetToRealSwidget  UXPROTO(( Widget ));

#define	UxNO_CLSCODE	-1
#define	UxNO_CONTEXT	0

#ifdef UX_C
#define UXGETCONTEXT(sw) UxGetContextOrComponentRef(sw)
#define UXWIDGETTOSWIDGET(w) UxWidgetToRealSwidget(w)
#else
#define UXGETCONTEXT(sw) UxGetContext(sw)
#define UXWIDGETTOSWIDGET(w) UxWidgetToSwidget(w)
#endif

/*------------------------------------------------------------------------
 * The adapter for DESIGN_TIME makes bridges between UIM/X's internal objects
 * and the external component method system.  You can specify these methods:
 *
 *	<Class>_UxCheckChildren (object, env, childrenClasses, children, num)
 *		Like the builder method UxWidgetCannotAcceptChildren.
 *		The default version rejects new children on
 *		components that do not have a childSite method.
 *
 *	<Class>_UxDrawHandles (object, env)
 *		Serves the builder method UxDrawHandles, to draw the selection
 *		outline and boxes.  The default version adorns the 
 *		Widget you supplied to UxAdapterSwidget.
 *
 *	<Class>_UxObjectToRecreate (object, env, parent)
 *		Serves the builder methods UxSwidgetToRecreate and 
 *		UxRecreateParentOrChild.  The result should be either
 *		the object swidget, or the parent.  
 *
 * Use UxAdapterDesignMethods to register all these methods at once.  
 * Simply pass the function pointers, or NULLs. 
 *------------------------------------------------------------------------*/

#ifdef DESIGN_TIME

extern Class_t	UxC_adapter;

extern void	UxAdapterDesignMethods UXPROTO((
			int   clsCode,
			void* checkChildren,
			void* drawHandles,
			void* objectToRecreate));

#else  /* DESIGN_TIME */

#define	UxAdapterDesignMethods(a,b,c,d)	

#endif  /* DESIGN_TIME */

#ifdef DESIGN_TIME
extern double UxXrtGET_double UXPROTO(( swidget, binptr, char * ));
extern int    UxXrtPUT_double UXPROTO(( swidget, binptr, char *, double ));

#ifdef hp700v9
#ifdef    HASXRTFIELD
extern XtArgVal UxXrtFldDoubleToArgVal(int ,double);
#endif /* HASXRTFIELD */
#ifdef    HASXRT3D
extern XtArgVal UxXrt3dDoubleToArgVal(int ,double);
#endif /* HASXRT3D */
#ifdef    HASXRTGRAPH
extern XtArgVal UxXrtFloatToArgVal(int,double);
#endif /* HASXRTGRAPH */
#ifdef    HASXRTGAUGE
extern XtArgVal UxXrtGaDoubleToArgVal(int ,double);
#endif /* HASXRTGAUGE */
#endif /* hp700v9 */
#endif  /* DESIGN_TIME */

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration which encloses file. */
#endif /* __cplusplus */

#endif  /* _UXLIB_INCLUDED */
