/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaIndicator.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaIndicator.h
******************************************************************************/

#ifndef UxXrtGaIndicator_h
#define UxXrtGaIndicator_h

#include <Xm/XrtGaIndicator.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxGadget.h"
#include "UxXrtGaIndicator.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaIndicator_prpty_name(x)	XrtGaIndicator_res_table[x].prpty, XrtGaIndicator_res_table[x].name

#ifdef hp700v9
#define XrtGaDoubleToArgVal(d) UxXrtGaDoubleToArgVal(0,d)
#endif /* hp700v9 */

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	UxGET_string(sw,XrtGaIndicator_prpty_name(XrtGaIndicator_background))
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxPUT_string(sw,XrtGaIndicator_prpty_name(XrtGaIndicator_background), val)
#endif

#ifndef UxGetWidth
#define UxGetWidth(sw) \
	UxGET_int(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_width))
#endif
#ifndef UxPutWidth
#define UxPutWidth(sw, val) \
	UxPUT_int(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_width),val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_Debug),val)
#endif

#ifndef UxGetXrtGaDrawFunc
#define UxGetXrtGaDrawFunc(sw) \
	UxGET_voidFunction(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_DrawFunc))
#endif
#ifndef UxPutXrtGaDrawFunc
#define UxPutXrtGaDrawFunc(sw, val) \
	UxPUT_voidFunction(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_DrawFunc), val)
#endif

#ifndef UxGetXrtGaInnerExtent
#define UxGetXrtGaInnerExtent(sw) \
	UxGET_float(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_InnerExtent))
#endif
#ifndef UxPutXrtGaInnerExtent
#define UxPutXrtGaInnerExtent(sw, val) \
	UxPUT_float(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_InnerExtent), val)
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	UxGET_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_Image))
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxPUT_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_Image), val)
#endif

#ifndef UxGetXrtGaImageRotate
#define UxGetXrtGaImageRotate(sw) \
	UxGET_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_ImageRotate))
#endif
#ifndef UxPutXrtGaImageRotate
#define UxPutXrtGaImageRotate(sw, val) \
	UxPUT_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_ImageRotate), val)
#endif

#ifndef UxGetXrtGaLinearScale
#define UxGetXrtGaLinearScale(sw) \
	UxGET_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_LinearScale))
#endif
#ifndef UxPutXrtGaLinearScale
#define UxPutXrtGaLinearScale(sw, val) \
	UxPUT_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_LinearScale), val)
#endif

#ifndef UxGetXrtGaInteractionType
#define UxGetXrtGaInteractionType(sw) \
	UxGET_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_InteractionType))
#endif
#ifndef UxPutXrtGaInteractionType
#define UxPutXrtGaInteractionType(sw, val) \
	UxPUT_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_InteractionType), val)
#endif

#ifndef UxGetXrtGaIndicatorType
#define UxGetXrtGaIndicatorType(sw) \
	UxGET_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_IndicatorType))
#endif
#ifndef UxPutXrtGaIndicatorType
#define UxPutXrtGaIndicatorType(sw, val) \
	UxPUT_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_IndicatorType), val)
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	UxGET_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_IsShowing))
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxPUT_string(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_IsShowing), val)
#endif

#ifndef UxGetXrtGaOuterExtent
#define UxGetXrtGaOuterExtent(sw) \
	UxGET_float(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_OuterExtent))
#endif
#ifndef UxPutXrtGaOuterExtent
#define UxPutXrtGaOuterExtent(sw, val) \
	UxPUT_float(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_OuterExtent), val)
#endif

#ifndef UxGetXrtGaValue
#define UxGetXrtGaValue(sw) \
	UxGET_float(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_Value))
#endif
#ifndef UxPutXrtGaValue
#define UxPutXrtGaValue(sw, val) \
	UxPUT_float(sw, XrtGaIndicator_prpty_name(XrtGaIndicator_Value), val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaIndicator;

/* Design-time create macro */
#ifndef UxCreateXrtGaIndicator
#define UxCreateXrtGaIndicator(name, parent) \
	UxCreateSwidget(UxC_XrtGaIndicator, name, parent)
#endif

#else /* RUN-TIME */

extern int	XrtGaGetDoubleProp();
extern double	XrtGaArgValToDouble();

#define RT_GA_GET_DOUBLE(sw,res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(sw,res))

#define RT_GA_PUT_DOUBLE(sw,res,val) \
	UxPutProp(sw,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	(char *) UxDDGetProp(sw, XmNbackground)
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxDDPutProp(sw, XmNbackground, ((XtArgVal)(val)))
#endif

#ifndef UxGetWidth
#define UxGetWidth(sw) \
	(int) UxGetProp(sw, XmNwidth)
#endif
#ifndef UxPutWidth
#define UxPutWidth(sw, val) \
	UxPutProp(sw, XmNwidth, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDrawFunc
#define UxGetXrtGaDrawFunc(sw) \
	(voidFunction) UxGetProp(sw, XmNxrtGaDrawFunc)
#endif
#ifndef UxPutXrtGaDrawFunc
#define UxPutXrtGaDrawFunc(sw, val) \
	UxPutProp(sw, XmNxrtGaDrawFunc, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaInnerExtent
#define UxGetXrtGaInnerExtent(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaInnerExtent)
#endif
#ifndef UxPutXrtGaInnerExtent
#define UxPutXrtGaInnerExtent(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaInnerExtent, (val))
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImage)
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImageRotate
#define UxGetXrtGaImageRotate(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImageRotate)
#endif
#ifndef UxPutXrtGaImageRotate
#define UxPutXrtGaImageRotate(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImageRotate, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLinearScale
#define UxGetXrtGaLinearScale(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaLinearScale)
#endif
#ifndef UxPutXrtGaLinearScale
#define UxPutXrtGaLinearScale(sw, val) \
	UxDDPutProp(sw, XmNxrtGaLinearScale, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaInteractionType
#define UxGetXrtGaInteractionType(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaInteractionType)
#endif
#ifndef UxPutXrtGaInteractionType
#define UxPutXrtGaInteractionType(sw, val) \
	UxDDPutProp(sw, XmNxrtGaInteractionType, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaIndicatorType
#define UxGetXrtGaIndicatorType(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIndicatorType)
#endif
#ifndef UxPutXrtGaIndicatorType
#define UxPutXrtGaIndicatorType(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIndicatorType, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIsShowing)
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIsShowing, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOuterExtent
#define UxGetXrtGaOuterExtent(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaOuterExtent)
#endif
#ifndef UxPutXrtGaOuterExtent
#define UxPutXrtGaOuterExtent(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaOuterExtent, (val))
#endif

#ifndef UxGetXrtGaValue
#define UxGetXrtGaValue(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaValue)
#endif
#ifndef UxPutXrtGaValue
#define UxPutXrtGaValue(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaValue, (val))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaIndicator
#define UxCreateXrtGaIndicator(name, parent) \
	UxCreateSwidget(name, xmXrtGaIndicatorObjectClass, parent)
#endif


#endif /* DESIGN_TIME */

#endif

