/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaLinearGauge.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaLinearGauge.h
******************************************************************************/

#ifndef UxXrtGaLinearGauge_h
#define UxXrtGaLinearGauge_h

#include <Xm/XrtGaLinearGauge.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxPrim.h"
#include "UxXrtGaLinearGauge.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaLGauge_prpty_name(x)	XrtGaLinearGauge_res_table[x].prpty, XrtGaLinearGauge_res_table[x].name

#ifndef UxGetXrtGaBorder
#define UxGetXrtGaBorder(sw) \
	UxGET_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_Border))
#endif
#ifndef UxPutXrtGaBorder
#define UxPutXrtGaBorder(sw, val) \
	UxPUT_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_Border), val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_Debug), val)
#endif

#ifndef UxGetXrtGaDoubleBuffer
#define UxGetXrtGaDoubleBuffer(sw) \
	UxGET_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_DoubleBuffer))
#endif
#ifndef UxPutXrtGaDoubleBuffer
#define UxPutXrtGaDoubleBuffer(sw, val) \
	UxPUT_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_DoubleBuffer),val)
#endif

#ifndef UxGetXrtGaFrame
#define UxGetXrtGaFrame(sw) \
	UxGET_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_Frame))
#endif
#ifndef UxPutXrtGaFrame
#define UxPutXrtGaFrame(sw, val) \
	UxPUT_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_Frame), val)
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	UxGET_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_Image))
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxPUT_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_Image), val)
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	UxGET_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_ImageLayout))
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxPUT_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_ImageLayout),val)
#endif

#ifndef UxGetXrtGaIndicatorList
#define UxGetXrtGaIndicatorList(sw) \
	UxGET_string(sw,XrtGaLGauge_prpty_name(XrtGaLGauge_IndicatorList))
#endif
#ifndef UxPutXrtGaIndicatorList
#define UxPutXrtGaIndicatorList(sw, val) \
	UxPUT_string(sw,XrtGaLGauge_prpty_name(XrtGaLGauge_IndicatorList), val)
#endif

#ifndef UxGetXrtGaLinearScaleList
#define UxGetXrtGaLinearScaleList(sw) \
	UxGET_string(sw,XrtGaLGauge_prpty_name(XrtGaLGauge_LinearScaleList))
#endif
#ifndef UxPutXrtGaLinearScaleList
#define UxPutXrtGaLinearScaleList(sw, val) \
	UxPUT_string(sw,XrtGaLGauge_prpty_name(XrtGaLGauge_LinearScaleList), val)
#endif

#ifndef UxGetXrtGaRangeList
#define UxGetXrtGaRangeList(sw) \
	UxGET_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_RangeList))
#endif
#ifndef UxPutXrtGaRangeList
#define UxPutXrtGaRangeList(sw, val) \
	UxPUT_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_RangeList),val)
#endif

#ifndef UxGetXrtGaRenderList
#define UxGetXrtGaRenderList(sw) \
	UxGET_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_RenderList))
#endif
#ifndef UxPutXrtGaRenderList
#define UxPutXrtGaRenderList(sw, val) \
	UxPUT_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_RenderList),val)
#endif

#ifndef UxGetXrtGaRepaint
#define UxGetXrtGaRepaint(sw) \
	UxGET_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_Repaint))
#endif
#ifndef UxPutXrtGaRepaint
#define UxPutXrtGaRepaint(sw, val) \
	UxPUT_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_Repaint), val)
#endif

#ifndef UxGetXrtGaTextList
#define UxGetXrtGaTextList(sw) \
	UxGET_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_TextList))
#endif
#ifndef UxPutXrtGaTextList
#define UxPutXrtGaTextList(sw, val) \
	UxPUT_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_TextList),val)
#endif

#ifndef UxGetXrtGaTickList
#define UxGetXrtGaTickList(sw) \
	UxGET_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_TickList))
#endif
#ifndef UxPutXrtGaTickList
#define UxPutXrtGaTickList(sw, val) \
	UxPUT_string(sw, XrtGaLGauge_prpty_name(XrtGaLGauge_TickList),val)
#endif

#ifndef UxGetXrtGaUseRenderList
#define UxGetXrtGaUseRenderList(sw) \
	UxGET_string(sw,XrtGaLGauge_prpty_name(XrtGaLGauge_UseRenderList))
#endif
#ifndef UxPutXrtGaUseRenderList
#define UxPutXrtGaUseRenderList(sw, val) \
	UxPUT_string(sw,XrtGaLGauge_prpty_name(XrtGaLGauge_UseRenderList), val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaLinearGauge;

/* Design-time create macro */
#ifndef UxCreateXrtGaLinearGauge
#define UxCreateXrtGaLinearGauge(name, parent) \
	UxCreateSwidget(UxC_XrtGaLinearGauge, name, parent)
#endif

#else /* RUN-TIME */

#ifndef UxGetXrtGaBorder
#define UxGetXrtGaBorder(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaBorder)
#endif
#ifndef UxPutXrtGaBorder
#define UxPutXrtGaBorder(sw, val) \
	UxDDPutProp(sw, XmNxrtGaBorder, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDoubleBuffer
#define UxGetXrtGaDoubleBuffer(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDoubleBuffer)
#endif
#ifndef UxPutXrtGaDoubleBuffer
#define UxPutXrtGaDoubleBuffer(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDoubleBuffer, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaFrame
#define UxGetXrtGaFrame(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaFrame)
#endif
#ifndef UxPutXrtGaFrame
#define UxPutXrtGaFrame(sw, val) \
	UxDDPutProp(sw, XmNxrtGaFrame, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImage)
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImageLayout)
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImageLayout, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaIndicatorList
#define UxGetXrtGaIndicatorList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIndicatorList)
#endif
#ifndef UxPutXrtGaIndicatorList
#define UxPutXrtGaIndicatorList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIndicatorList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLinearScaleList
#define UxGetXrtGaLinearScaleList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaLinearScaleList)
#endif
#ifndef UxPutXrtGaLinearScaleList
#define UxPutXrtGaLinearScaleList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaLinearScaleList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaRangeList
#define UxGetXrtGaRangeList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaRangeList)
#endif
#ifndef UxPutXrtGaRangeList
#define UxPutXrtGaRangeList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaRangeList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaRenderList
#define UxGetXrtGaRenderList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaRenderList)
#endif
#ifndef UxPutXrtGaRenderList
#define UxPutXrtGaRenderList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaRenderList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaRepaint
#define UxGetXrtGaRepaint(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaRepaint)
#endif
#ifndef UxPutXrtGaRepaint
#define UxPutXrtGaRepaint(sw, val) \
	UxDDPutProp(sw, XmNxrtGaRepaint, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaTextList
#define UxGetXrtGaTextList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaTextList)
#endif
#ifndef UxPutXrtGaTextList
#define UxPutXrtGaTextList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaTextList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaTickList
#define UxGetXrtGaTickList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaTickList)
#endif
#ifndef UxPutXrtGaTickList
#define UxPutXrtGaTickList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaTickList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaUseRenderList
#define UxGetXrtGaUseRenderList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaUseRenderList)
#endif
#ifndef UxPutXrtGaUseRenderList
#define UxPutXrtGaUseRenderList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaUseRenderList, ((XtArgVal)(val)))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaLinearGauge
#define UxCreateXrtGaLinearGauge(name, parent) \
	UxCreateSwidget(name, xmXrtGaLinearGaugeWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif

