/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaLinearScale.hxx	1.4    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaLinearScale : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaLinearScale(void);
	UXINLINE UxXrtGaLinearScale(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE int GetHeight () const;
	UXINLINE void SetHeight (int);

	UXINLINE int GetWidth () const;
	UXINLINE void SetWidth (int);

	UXINLINE int GetX () const;
	UXINLINE void SetX (int);

	UXINLINE int GetY () const;
	UXINLINE void SetY (int);

	UXINLINE char * GetXrtGaAllowTransform () const;
	UXINLINE void SetXrtGaAllowTransform (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaDirection () const;
	UXINLINE void SetXrtGaDirection (const char *);

	UXINLINE double GetXrtGaMax () const;
	UXINLINE void SetXrtGaMax (double);

	UXINLINE double GetXrtGaMin () const;
	UXINLINE void SetXrtGaMin (double);

	UXINLINE char * GetXrtGaOrientation () const;
	UXINLINE void SetXrtGaOrientation (const char *);


};

#ifdef DESIGN_TIME

#define XrtGaLScale_prpty_name(x)	XrtGaLinearScale_res_table[x].prpty, XrtGaLinearScale_res_table[x].name

extern Class_t UxC_XrtGaLinearScale;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaLinearScale::UxXrtGaLinearScale(void){}
inline UxXrtGaLinearScale::UxXrtGaLinearScale(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaLinearScale::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaLinearScaleWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaLinearScale::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaLinearScale::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline int UxXrtGaLinearScale::GetHeight (void) const
	{ return (int)IntGetProp(XmNheight);}
inline void UxXrtGaLinearScale::SetHeight (int val)
	{ SetProp(XmNheight, ((XtArgVal)(val)));}

inline int UxXrtGaLinearScale::GetWidth (void) const
	{ return (int)IntGetProp(XmNwidth);}
inline void UxXrtGaLinearScale::SetWidth (int val)
	{ SetProp(XmNwidth, ((XtArgVal)(val)));}

inline int UxXrtGaLinearScale::GetX (void) const
	{ return (int)IntGetProp(XmNx);}
inline void UxXrtGaLinearScale::SetX (int val)
	{ SetProp(XmNx, ((XtArgVal)(val)));}

inline int UxXrtGaLinearScale::GetY (void) const
	{ return (int)IntGetProp(XmNy);}
inline void UxXrtGaLinearScale::SetY (int val)
	{ SetProp(XmNy, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearScale::GetXrtGaAllowTransform (void) const
        { return (char * ) DDGetProp(XmNxrtGaAllowTransform);}
inline void UxXrtGaLinearScale::SetXrtGaAllowTransform (const char * val)
        { DDSetProp(XmNxrtGaAllowTransform, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearScale::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaLinearScale::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearScale::GetXrtGaDirection (void) const
        { return (char * ) DDGetProp(XmNxrtGaDirection);}
inline void UxXrtGaLinearScale::SetXrtGaDirection (const char * val)
        { DDSetProp(XmNxrtGaDirection, ((XtArgVal)(val)));}

inline double UxXrtGaLinearScale::GetXrtGaMax (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaMax);}
inline void UxXrtGaLinearScale::SetXrtGaMax (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaMax,val);}

inline double UxXrtGaLinearScale::GetXrtGaMin (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaMin);}
inline void UxXrtGaLinearScale::SetXrtGaMin (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaMin,val);}

inline char *  UxXrtGaLinearScale::GetXrtGaOrientation (void) const
        { return (char * ) DDGetProp(XmNxrtGaOrientation);}
inline void UxXrtGaLinearScale::SetXrtGaOrientation (const char * val)
        { DDSetProp(XmNxrtGaOrientation, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
