/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaText.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaText.h
******************************************************************************/

#ifndef UxXrtGaText_h
#define UxXrtGaText_h

#include <Xm/XrtGaText.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxGadget.h"
#include "UxXrtGaText.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaText_prpty_name(x)	XrtGaText_res_table[x].prpty, XrtGaText_res_table[x].name

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_background))
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_background), val)
#endif

#ifndef UxGetFontList
#define UxGetFontList(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_fontList))
#endif
#ifndef UxPutFontList
#define UxPutFontList(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_fontList), val)
#endif

#ifndef UxGetForeground
#define UxGetForeground(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_foreground))
#endif
#ifndef UxPutForeground
#define UxPutForeground(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_foreground), val)
#endif

#ifndef UxGetHeight
#define UxGetHeight(sw) \
	UxGET_int(sw, XrtGaText_prpty_name(XrtGaText_height))
#endif
#ifndef UxPutHeight
#define UxPutHeight(sw, val) \
	UxPUT_int(sw, XrtGaText_prpty_name(XrtGaText_height), val)
#endif

#ifndef UxGetWidth
#define UxGetWidth(sw) \
	UxGET_int(sw, XrtGaText_prpty_name(XrtGaText_width))
#endif
#ifndef UxPutWidth
#define UxPutWidth(sw, val) \
	UxPUT_int(sw, XrtGaText_prpty_name(XrtGaText_width), val)
#endif

#ifndef UxGetX
#define UxGetX(sw) \
	UxGET_int(sw, XrtGaText_prpty_name(XrtGaText_x))
#endif
#ifndef UxPutX
#define UxPutX(sw, val) \
	UxPUT_int(sw, XrtGaText_prpty_name(XrtGaText_x), val)
#endif

#ifndef UxGetY
#define UxGetY(sw) \
	UxGET_int(sw, XrtGaText_prpty_name(XrtGaText_y))
#endif
#ifndef UxPutY
#define UxPutY(sw, val) \
	UxPUT_int(sw, XrtGaText_prpty_name(XrtGaText_y), val)
#endif

#ifndef UxGetXrtGaAlignment
#define UxGetXrtGaAlignment(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_Alignment))
#endif
#ifndef UxPutXrtGaAlignment
#define UxPutXrtGaAlignment(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_Alignment), val)
#endif

#ifndef UxGetXrtGaAllowWidgetPositioning
#define UxGetXrtGaAllowWidgetPositioning(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_AllowWidgetPositioning))
#endif
#ifndef UxPutXrtGaAllowWidgetPositioning
#define UxPutXrtGaAllowWidgetPositioning(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_AllowWidgetPositioning), val)
#endif

#ifndef UxGetXrtGaBorder
#define UxGetXrtGaBorder(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_Border))
#endif
#ifndef UxPutXrtGaBorder
#define UxPutXrtGaBorder(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_Border), val)
#endif

#ifndef UxGetXrtGaBorderWidth
#define UxGetXrtGaBorderWidth(sw) \
	UxGET_int(sw, XrtGaText_prpty_name(XrtGaText_BorderWidth))
#endif
#ifndef UxPutXrtGaBorderWidth
#define UxPutXrtGaBorderWidth(sw, val) \
	UxPUT_int(sw, XrtGaText_prpty_name(XrtGaText_BorderWidth), val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_Debug), val)
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_Image))
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_Image), val)
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_ImageLayout))
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_ImageLayout), val)
#endif

#ifndef UxGetXrtGaImageMinimumSize
#define UxGetXrtGaImageMinimumSize(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_ImageMinimumSize))
#endif
#ifndef UxPutXrtGaImageMinimumSize
#define UxPutXrtGaImageMinimumSize(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_ImageMinimumSize),val)
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_IsShowing))
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_IsShowing), val)
#endif

#ifndef UxGetXrtGaString
#define UxGetXrtGaString(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_String))
#endif
#ifndef UxPutXrtGaString
#define UxPutXrtGaString(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_String), val)
#endif

#ifndef UxGetXmXrtGaString
#define UxGetXmXrtGaString(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_XmString))
#endif
#ifndef UxPutXmXrtGaString
#define UxPutXmXrtGaString(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_XmString), val)
#endif

#ifndef UxGetXrtGaStringMode
#define UxGetXrtGaStringMode(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_StringMode))
#endif
#ifndef UxPutXrtGaStringMode
#define UxPutXrtGaStringMode(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_StringMode), val)
#endif

#ifndef UxGetXrtGaValueObject
#define UxGetXrtGaValueObject(sw) \
	UxGET_string(sw, XrtGaText_prpty_name(XrtGaText_ValueObject))
#endif
#ifndef UxPutXrtGaValueObject
#define UxPutXrtGaValueObject(sw, val) \
	UxPUT_string(sw, XrtGaText_prpty_name(XrtGaText_ValueObject), val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaText;

/* Design-time create macro */
#ifndef UxCreateXrtGaText
#define UxCreateXrtGaText(name, parent) \
	UxCreateSwidget(UxC_XrtGaText, name, parent)
#endif

#else /* RUN-TIME */

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	(char *) UxDDGetProp(sw, XmNbackground)
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxDDPutProp(sw, XmNbackground, ((XtArgVal)(val)))
#endif

#ifndef UxGetFontList
#define UxGetFontList(sw) \
	(char *) UxDDGetProp(sw, XmNfontList)
#endif
#ifndef UxPutFontList
#define UxPutFontList(sw, val) \
	UxDDPutProp(sw, XmNfontList, ((XtArgVal)(val)))
#endif

#ifndef UxGetForeground
#define UxGetForeground(sw) \
	(char *) UxDDGetProp(sw, XmNforeground)
#endif
#ifndef UxPutForeground
#define UxPutForeground(sw, val) \
	UxDDPutProp(sw, XmNforeground, ((XtArgVal)(val)))
#endif

#ifndef UxGetHeight
#define UxGetHeight(sw) \
	(int) UxGetProp(sw, XmNheight)
#endif
#ifndef UxPutHeight
#define UxPutHeight(sw, val) \
	UxPutProp(sw, XmNheight, ((XtArgVal)(val)))
#endif

#ifndef UxGetWidth
#define UxGetWidth(sw) \
	(int) UxGetProp(sw, XmNwidth)
#endif
#ifndef UxPutWidth
#define UxPutWidth(sw, val) \
	UxPutProp(sw, XmNwidth, ((XtArgVal)(val)))
#endif

#ifndef UxGetX
#define UxGetX(sw) \
	(int) UxGetProp(sw, XmNx)
#endif
#ifndef UxPutX
#define UxPutX(sw, val) \
	UxPutProp(sw, XmNx, ((XtArgVal)(val)))
#endif

#ifndef UxGetY
#define UxGetY(sw) \
	(int) UxGetProp(sw, XmNy)
#endif
#ifndef UxPutY
#define UxPutY(sw, val) \
	UxPutProp(sw, XmNy, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaAlignment
#define UxGetXrtGaAlignment(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaAlignment)
#endif
#ifndef UxPutXrtGaAlignment
#define UxPutXrtGaAlignment(sw, val) \
	UxDDPutProp(sw, XmNxrtGaAlignment, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaAllowWidgetPositioning
#define UxGetXrtGaAllowWidgetPositioning(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaAllowWidgetPositioning)
#endif
#ifndef UxPutXrtGaAllowWidgetPositioning
#define UxPutXrtGaAllowWidgetPositioning(sw, val) \
	UxDDPutProp(sw, XmNxrtGaAllowWidgetPositioning, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaBorder
#define UxGetXrtGaBorder(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaBorder)
#endif
#ifndef UxPutXrtGaBorder
#define UxPutXrtGaBorder(sw, val) \
	UxDDPutProp(sw, XmNxrtGaBorder, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaBorderWidth
#define UxGetXrtGaBorderWidth(sw) \
	(int) UxGetProp(sw, XmNxrtGaBorderWidth)
#endif
#ifndef UxPutXrtGaBorderWidth
#define UxPutXrtGaBorderWidth(sw, val) \
	UxPutProp(sw, XmNxrtGaBorderWidth, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImage)
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImageLayout)
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImageLayout, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImageMinimumSize
#define UxGetXrtGaImageMinimumSize(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImageMinimumSize)
#endif
#ifndef UxPutXrtGaImageMinimumSize
#define UxPutXrtGaImageMinimumSize(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImageMinimumSize, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIsShowing)
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIsShowing, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaString
#define UxGetXrtGaString(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaString)
#endif
#ifndef UxPutXrtGaString
#define UxPutXrtGaString(sw, val) \
	UxDDPutProp(sw, XmNxrtGaString, ((XtArgVal)(val)))
#endif

#ifndef UxGetXmXrtGaString
#define UxGetXmXrtGaString(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaXmString)
#endif
#ifndef UxPutXmXrtGaString
#define UxPutXmXrtGaString(sw, val) \
	UxDDPutProp(sw, XmNxrtGaXmString, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaStringMode
#define UxGetXrtGaStringMode(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaStringMode)
#endif
#ifndef UxPutXrtGaStringMode
#define UxPutXrtGaStringMode(sw, val) \
	UxDDPutProp(sw, XmNxrtGaStringMode, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaValueObject
#define UxGetXrtGaValueObject(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaValueObject)
#endif
#ifndef UxPutXrtGaValueObject
#define UxPutXrtGaValueObject(sw, val) \
	UxDDPutProp(sw, XmNxrtGaValueObject, ((XtArgVal)(val)))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaText
#define UxCreateXrtGaText(name, parent) \
	UxCreateSwidget(name, xmXrtGaTextObjectClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif

