/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaTick.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaTick.h
******************************************************************************/

#ifndef UxXrtGaTick_h
#define UxXrtGaTick_h

#include <Xm/XrtGaTick.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxGadget.h"
#include "UxXrtGaTick.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaTick_prpty_name(x)	XrtGaTick_res_table[x].prpty, XrtGaTick_res_table[x].name

#ifdef hp700v9
#define XrtGaDoubleToArgVal(d) UxXrtGaDoubleToArgVal(0,d)
#endif /* hp700v9 */

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	UxGET_string(sw, XrtGaTick_prpty_name(XrtGaTick_background))
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxPUT_string(sw, XrtGaTick_prpty_name(XrtGaTick_background), val)
#endif

#ifndef UxGetFontList
#define UxGetFontList(sw) \
	UxGET_string(sw, XrtGaTick_prpty_name(XrtGaTick_fontList))
#endif
#ifndef UxPutFontList
#define UxPutFontList(sw, val) \
	UxPUT_string(sw, XrtGaTick_prpty_name(XrtGaTick_fontList), val)
#endif

#ifndef UxGetWidth
#define UxGetWidth(sw) \
	UxGET_int(sw, XrtGaTick_prpty_name(XrtGaTick_width))
#endif
#ifndef UxPutWidth
#define UxPutWidth(sw, val) \
	UxPUT_int(sw, XrtGaTick_prpty_name(XrtGaTick_width), val)
#endif

#ifndef UxGetXrtGaAutomatic
#define UxGetXrtGaAutomatic(sw) \
	UxGET_string(sw, XrtGaTick_prpty_name(XrtGaTick_Automatic))
#endif
#ifndef UxPutXrtGaAutomatic
#define UxPutXrtGaAutomatic(sw, val) \
	UxPUT_string(sw, XrtGaTick_prpty_name(XrtGaTick_Automatic), val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaTick_prpty_name(XrtGaTick_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaTick_prpty_name(XrtGaTick_Debug), val)
#endif

#ifndef UxGetXrtGaDrawLabels
#define UxGetXrtGaDrawLabels(sw) \
	UxGET_string(sw, XrtGaTick_prpty_name(XrtGaTick_DrawLabels))
#endif
#ifndef UxPutXrtGaDrawLabels
#define UxPutXrtGaDrawLabels(sw, val) \
	UxPUT_string(sw, XrtGaTick_prpty_name(XrtGaTick_DrawLabels), val)
#endif

#ifndef UxGetXrtGaIncrementValue
#define UxGetXrtGaIncrementValue(sw) \
	UxGET_float(sw, XrtGaTick_prpty_name(XrtGaTick_IncrementValue))
#endif
#ifndef UxPutXrtGaIncrementValue
#define UxPutXrtGaIncrementValue(sw, val) \
	UxPUT_float(sw, XrtGaTick_prpty_name(XrtGaTick_IncrementValue),val)
#endif

#ifndef UxGetXrtGaInnerExtent
#define UxGetXrtGaInnerExtent(sw) \
	UxGET_float(sw, XrtGaTick_prpty_name(XrtGaTick_InnerExtent))
#endif
#ifndef UxPutXrtGaInnerExtent
#define UxPutXrtGaInnerExtent(sw, val) \
	UxPUT_float(sw, XrtGaTick_prpty_name(XrtGaTick_InnerExtent), val)
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	UxGET_string(sw, XrtGaTick_prpty_name(XrtGaTick_IsShowing))
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxPUT_string(sw, XrtGaTick_prpty_name(XrtGaTick_IsShowing), val)
#endif

#ifndef UxGetXrtGaLabelExtent
#define UxGetXrtGaLabelExtent(sw) \
	UxGET_float(sw, XrtGaTick_prpty_name(XrtGaTick_LabelExtent))
#endif
#ifndef UxPutXrtGaLabelExtent
#define UxPutXrtGaLabelExtent(sw, val) \
	UxPUT_float(sw, XrtGaTick_prpty_name(XrtGaTick_LabelExtent), val)
#endif

#ifndef UxGetXrtGaLabelFunc
#define UxGetXrtGaLabelFunc(sw) \
	UxGET_voidFunction(sw, XrtGaTick_prpty_name(XrtGaTick_LabelFunc))
#endif
#ifndef UxPutXrtGaLabelFunc
#define UxPutXrtGaLabelFunc(sw, val) \
	UxPUT_voidFunction(sw, XrtGaTick_prpty_name(XrtGaTick_LabelFunc),val)
#endif

#ifndef UxGetXrtGaOffset
#define UxGetXrtGaOffset(sw) \
	UxGET_float(sw, XrtGaTick_prpty_name(XrtGaTick_Offset))
#endif
#ifndef UxPutXrtGaOffset
#define UxPutXrtGaOffset(sw, val) \
	UxPUT_float(sw, XrtGaTick_prpty_name(XrtGaTick_Offset), val)
#endif

#ifndef UxGetXrtGaOuterExtent
#define UxGetXrtGaOuterExtent(sw) \
	UxGET_float(sw, XrtGaTick_prpty_name(XrtGaTick_OuterExtent))
#endif
#ifndef UxPutXrtGaOuterExtent
#define UxPutXrtGaOuterExtent(sw, val) \
	UxPUT_float(sw, XrtGaTick_prpty_name(XrtGaTick_OuterExtent), val)
#endif

#ifndef UxGetXrtGaPrecision
#define UxGetXrtGaPrecision(sw) \
	UxGET_int(sw, XrtGaTick_prpty_name(XrtGaTick_Precision))
#endif
#ifndef UxPutXrtGaPrecision
#define UxPutXrtGaPrecision(sw, val) \
	UxPUT_int(sw, XrtGaTick_prpty_name(XrtGaTick_Precision), val)
#endif

#ifndef UxGetXrtGaPrecisionUseDefault
#define UxGetXrtGaPrecisionUseDefault(sw) \
	UxGET_string(sw,XrtGaTick_prpty_name(XrtGaTick_PrecisionUseDefault))
#endif
#ifndef UxPutXrtGaPrecisionUseDefault
#define UxPutXrtGaPrecisionUseDefault(sw, val) \
	UxPUT_string(sw,XrtGaTick_prpty_name(XrtGaTick_PrecisionUseDefault), val)
#endif

#ifndef UxGetXrtGaScale
#define UxGetXrtGaScale(sw) \
	UxGET_string(sw, XrtGaTick_prpty_name(XrtGaTick_Scale))
#endif
#ifndef UxPutXrtGaScale
#define UxPutXrtGaScale(sw, val) \
	UxPUT_string(sw, XrtGaTick_prpty_name(XrtGaTick_Scale), val)
#endif

#ifndef UxGetXrtGaStartValue
#define UxGetXrtGaStartValue(sw) \
	UxGET_float(sw, XrtGaTick_prpty_name(XrtGaTick_StartValue))
#endif
#ifndef UxPutXrtGaStartValue
#define UxPutXrtGaStartValue(sw, val) \
	UxPUT_float(sw, XrtGaTick_prpty_name(XrtGaTick_StartValue), val)
#endif

#ifndef UxGetXrtGaStopValue
#define UxGetXrtGaStopValue(sw) \
	UxGET_float(sw, XrtGaTick_prpty_name(XrtGaTick_StopValue))
#endif
#ifndef UxPutXrtGaStopValue
#define UxPutXrtGaStopValue(sw, val) \
	UxPUT_float(sw, XrtGaTick_prpty_name(XrtGaTick_StopValue), val)
#endif

#ifndef UxGetXrtGaTickType
#define UxGetXrtGaTickType(sw) \
	UxGET_string(sw, XrtGaTick_prpty_name(XrtGaTick_TickType))
#endif
#ifndef UxPutXrtGaTickType
#define UxPutXrtGaTickType(sw, val) \
	UxPUT_string(sw, XrtGaTick_prpty_name(XrtGaTick_TickType), val)
#endif



#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaTick;

/* Design-time create macro */
#ifndef UxCreateXrtGaTick
#define UxCreateXrtGaTick(name, parent) \
	UxCreateSwidget(UxC_XrtGaTick, name, parent)
#endif

#else /* RUN-TIME */

extern int	XrtGaGetDoubleProp();
extern double	XrtGaArgValToDouble();

#define RT_GA_GET_DOUBLE(sw,res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(sw,res))

#define RT_GA_PUT_DOUBLE(sw,res,val) \
	UxPutProp(sw,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	(char *) UxDDGetProp(sw, XmNbackground)
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxDDPutProp(sw, XmNbackground, ((XtArgVal)(val)))
#endif

#ifndef UxGetFontList
#define UxGetFontList(sw) \
	(char *) UxDDGetProp(sw, XmNfontList)
#endif
#ifndef UxPutFontList
#define UxPutFontList(sw, val) \
	UxDDPutProp(sw, XmNfontList, ((XtArgVal)(val)))
#endif

#ifndef UxGetWidth
#define UxGetWidth(sw) \
	(int) UxGetProp(sw, XmNwidth)
#endif
#ifndef UxPutWidth
#define UxPutWidth(sw, val) \
	UxPutProp(sw, XmNwidth, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaAutomatic
#define UxGetXrtGaAutomatic(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaAutomatic)
#endif
#ifndef UxPutXrtGaAutomatic
#define UxPutXrtGaAutomatic(sw, val) \
	UxDDPutProp(sw, XmNxrtGaAutomatic, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDrawLabels
#define UxGetXrtGaDrawLabels(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDrawLabels)
#endif
#ifndef UxPutXrtGaDrawLabels
#define UxPutXrtGaDrawLabels(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDrawLabels, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaIncrementValue
#define UxGetXrtGaIncrementValue(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaIncrementValue)
#endif
#ifndef UxPutXrtGaIncrementValue
#define UxPutXrtGaIncrementValue(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaIncrementValue, (val))
#endif

#ifndef UxGetXrtGaInnerExtent
#define UxGetXrtGaInnerExtent(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaInnerExtent)
#endif
#ifndef UxPutXrtGaInnerExtent
#define UxPutXrtGaInnerExtent(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaInnerExtent, (val))
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIsShowing)
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIsShowing, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLabelExtent
#define UxGetXrtGaLabelExtent(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaLabelExtent)
#endif
#ifndef UxPutXrtGaLabelExtent
#define UxPutXrtGaLabelExtent(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaLabelExtent, (val))
#endif

#ifndef UxGetXrtGaLabelFunc
#define UxGetXrtGaLabelFunc(sw) \
	(voidFunction) UxGetProp(sw, XmNxrtGaLabelFunc)
#endif
#ifndef UxPutXrtGaLabelFunc
#define UxPutXrtGaLabelFunc(sw, val) \
	UxPutProp(sw, XmNxrtGaLabelFunc, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOffset
#define UxGetXrtGaOffset(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaOffset)
#endif
#ifndef UxPutXrtGaOffset
#define UxPutXrtGaOffset(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaOffset, (val))
#endif

#ifndef UxGetXrtGaOuterExtent
#define UxGetXrtGaOuterExtent(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaOuterExtent)
#endif
#ifndef UxPutXrtGaOuterExtent
#define UxPutXrtGaOuterExtent(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaOuterExtent, (val))
#endif

#ifndef UxGetXrtGaPrecision
#define UxGetXrtGaPrecision(sw) \
	(int) UxGetProp(sw, XmNxrtGaPrecision)
#endif
#ifndef UxPutXrtGaPrecision
#define UxPutXrtGaPrecision(sw, val) \
	UxPutProp(sw, XmNxrtGaPrecision, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaPrecisionUseDefault
#define UxGetXrtGaPrecisionUseDefault(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaPrecisionUseDefault)
#endif
#ifndef UxPutXrtGaPrecisionUseDefault
#define UxPutXrtGaPrecisionUseDefault(sw, val) \
	UxDDPutProp(sw, XmNxrtGaPrecisionUseDefault, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaScale
#define UxGetXrtGaScale(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaScale)
#endif
#ifndef UxPutXrtGaScale
#define UxPutXrtGaScale(sw, val) \
	UxDDPutProp(sw, XmNxrtGaScale, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaStartValue
#define UxGetXrtGaStartValue(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaStartValue)
#endif
#ifndef UxPutXrtGaStartValue
#define UxPutXrtGaStartValue(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaStartValue, (val))
#endif

#ifndef UxGetXrtGaStopValue
#define UxGetXrtGaStopValue(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaStopValue)
#endif
#ifndef UxPutXrtGaStopValue
#define UxPutXrtGaStopValue(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaStopValue, (val))
#endif

#ifndef UxGetXrtGaTickType
#define UxGetXrtGaTickType(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaTickType)
#endif
#ifndef UxPutXrtGaTickType
#define UxPutXrtGaTickType(sw, val) \
	UxDDPutProp(sw, XmNxrtGaTickType, ((XtArgVal)(val)))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtGaTick
#define UxCreateXrtGaTick(name, parent) \
	UxCreateSwidget(name, xmXrtGaTickObjectClass, parent)
#endif


#endif /* DESIGN_TIME */

#endif

