/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtIntField.hxx,v 1.4 2000/06/19 08:32:30 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtIntField.hxx	1.4    97/02/26 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtIntField : public UxXrtField
{
    public:

	// Constructors
	UXINLINE UxXrtIntField(void);
	UXINLINE UxXrtIntField(const char* , swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE long GetXrtIntFldCounterIncrement () const;
	UXINLINE void SetXrtIntFldCounterIncrement (long);

	UXINLINE long GetXrtIntFldDefaultValue () const;
	UXINLINE void SetXrtIntFldDefaultValue (long);

	UXINLINE char * GetXrtIntFldDisplayFormatString () const;
	UXINLINE void SetXrtIntFldDisplayFormatString (const char *);

	UXINLINE long GetXrtIntFldInternalValue () const;
	UXINLINE void SetXrtIntFldInternalValue (long);

	UXINLINE long GetXrtIntFldMax () const;
	UXINLINE void SetXrtIntFldMax	(long);

	UXINLINE long GetXrtIntFldMin () const;
	UXINLINE void SetXrtIntFldMin (long);

	UXINLINE char * GetXrtIntFldNegativeFormat () const;
	UXINLINE void SetXrtIntFldNegativeFormat (const char *);

	UXINLINE char * GetXrtIntFldPickList () const;
	UXINLINE void SetXrtIntFldPickList (const char *);
};

#ifdef DESIGN_TIME

#define XRTINTFLD_NAME(x)	xrtfldint_res_table[x].name
#define XRTINTFLD_PRPTY(x)	xrtfldint_res_table[x].prpty
#define XRTINTFLD_TABLE(x)	XRTINTFLD_PRPTY(x), XRTINTFLD_NAME(x)

extern Class_t UxC_XrtIntField;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtIntField::UxXrtIntField(void){}
inline UxXrtIntField::UxXrtIntField(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtIntField::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtIntFieldWidgetClass, parent);
	return UxThis;
}

inline long UxXrtIntField::GetXrtIntFldCounterIncrement (void) const
	{ return (long)GetProp(XmNxrtFldCounterIncrement);}
inline void UxXrtIntField::SetXrtIntFldCounterIncrement (long val)
	{ SetProp(XmNxrtFldCounterIncrement, ((XtArgVal)(val)));}

inline long UxXrtIntField::GetXrtIntFldDefaultValue (void) const
	{ return (long)GetProp(XmNxrtFldDefaultValue);}
inline void UxXrtIntField::SetXrtIntFldDefaultValue (long val)
	{ SetProp(XmNxrtFldDefaultValue, ((XtArgVal)(val)));}

inline char * UxXrtIntField::GetXrtIntFldDisplayFormatString (void) const
	{ return (char * ) GetProp(XmNxrtFldDisplayFormatString);}
inline void UxXrtIntField::SetXrtIntFldDisplayFormatString (const char * val)
	{ SetProp(XmNxrtFldDisplayFormatString, ((XtArgVal)(val)));}

inline long UxXrtIntField::GetXrtIntFldInternalValue (void) const
	{ return (long)GetProp(XmNxrtFldInternalValue);}
inline void UxXrtIntField::SetXrtIntFldInternalValue (long val)
	{ SetProp(XmNxrtFldInternalValue, ((XtArgVal)(val)));}

inline long UxXrtIntField::GetXrtIntFldMax (void) const
	{ return (long)GetProp(XmNxrtFldMax);}
inline void UxXrtIntField::SetXrtIntFldMax	(long val)
	{ SetProp(XmNxrtFldMax, ((XtArgVal)(val)));}

inline long UxXrtIntField::GetXrtIntFldMin (void) const
	{ return (long)GetProp(XmNxrtFldMin);}
inline void UxXrtIntField::SetXrtIntFldMin (long val)
	{ SetProp(XmNxrtFldMin, ((XtArgVal)(val)));}

inline char * UxXrtIntField::GetXrtIntFldNegativeFormat (void) const
	{ return (char * ) DDGetProp(XmNxrtFldNegativeFormat);}
inline void UxXrtIntField::SetXrtIntFldNegativeFormat (const char * val)
	{ DDSetProp(XmNxrtFldNegativeFormat, ((XtArgVal)(val)));}

inline char * UxXrtIntField::GetXrtIntFldPickList (void) const
	{ return (char * ) DDGetProp(XmNxrtFldPickList);}
inline void UxXrtIntField::SetXrtIntFldPickList (const char * val)
	{ DDSetProp(XmNxrtFldPickList, ((XtArgVal)(val)));}

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
