/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtTable.hxx,v 1.5 2000/06/19 08:32:37 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtTable.hxx	1.6    99/01/29 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtTable : public UxManager
{
    public:


	// Constructors
	UXINLINE UxXrtTable(void);
	UXINLINE UxXrtTable(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE char * GetXrtTblAlignmentContext () const;
	UXINLINE void SetXrtTblAlignmentContext (const char *);

	UXINLINE char * GetXrtTblAlignmentSeries () const;
	UXINLINE void SetXrtTblAlignmentSeries  (const char *);

	UXINLINE char * GetXrtTblAllowCellResize () const;
	UXINLINE void SetXrtTblAllowCellResize  (const char *);

	UXINLINE char * GetXrtTblAllowResize () const;
	UXINLINE void SetXrtTblAllowResize (const char *);

	UXINLINE char * GetXrtTblBackgroundContext () const;
	UXINLINE void SetXrtTblBackgroundContext (const char *);

	UXINLINE char * GetXrtTblBackgroundPixelContext () const;
	UXINLINE void SetXrtTblBackgroundPixelContext (const char *);

	UXINLINE char * GetXrtTblBackgroundSeries () const;
	UXINLINE void SetXrtTblBackgroundSeries  (const char *);

	UXINLINE char * GetXrtTblBackingStore () const;
	UXINLINE void SetXrtTblBackingStore (const char *);

	UXINLINE char * GetXrtTblBorderSidesContext () const;
	UXINLINE void SetXrtTblBorderSidesContext (const char *);

	UXINLINE char * GetXrtTblBorderSidesSeries () const;
	UXINLINE void SetXrtTblBorderSidesSeries  (const char *);

	UXINLINE char * GetXrtTblBorderTypeContext () const;
	UXINLINE void SetXrtTblBorderTypeContext (const char *);

	UXINLINE char * GetXrtTblBorderTypeSeries () const;
	UXINLINE void SetXrtTblBorderTypeSeries  (const char *);

	UXINLINE char * GetXrtTblBottomShadowContext () const;
	UXINLINE void SetXrtTblBottomShadowContext (const char *);

	UXINLINE char * GetXrtTblCaseContext () const;
	UXINLINE void SetXrtTblCaseContext (const char *);

	UXINLINE char * GetXrtTblCaseSeries () const;
	UXINLINE void SetXrtTblCaseSeries (const char *);

	UXINLINE char * GetXrtTblCellValueContext () const;
	UXINLINE void SetXrtTblCellValueContext (const char *);

//???	UXINLINE (voidFunction) GetXrtTblCellValueFunc () const;
//	UXINLINE void SetXrtTblCellValueFunc (voidFunction val) /*???*/

	UXINLINE char * GetXrtTblCellValues () const;
	UXINLINE void SetXrtTblCellValues  (const char *);

	UXINLINE int GetXrtTblCharHeightContext () const;
	UXINLINE void SetXrtTblCharHeightContext	(int);

	UXINLINE char * GetXrtTblCharHeightSeries () const;
	UXINLINE void SetXrtTblCharHeightSeries (char *);

	UXINLINE int GetXrtTblCharWidthContext () const;
	UXINLINE void SetXrtTblCharWidthContext (int);

	UXINLINE char * GetXrtTblCharWidthSeries () const;
	UXINLINE void SetXrtTblCharWidthSeries (char *);

	UXINLINE char * GetXrtTblClipChildrenPersistent () const;
	UXINLINE void SetXrtTblClipChildrenPersistent (const char *);

	UXINLINE char * GetXrtTblClipPixmapContext () const;
	UXINLINE void SetXrtTblClipPixmapContext (const char *);

	UXINLINE char * GetXrtTblClipPixmapSeries () const;
	UXINLINE void SetXrtTblClipPixmapSeries (const char *);

	UXINLINE char * GetXrtTblColumnLabelPlacement () const;
	UXINLINE void SetXrtTblColumnLabelPlacement (const char *);

	UXINLINE char * GetXrtTblColumnLabels () const;
	UXINLINE void SetXrtTblColumnLabels  (const char *);

	UXINLINE int GetXrtTblColumnLabelOffset () const;
	UXINLINE void SetXrtTblColumnLabelOffset (int);

	UXINLINE char * GetXrtTblContext () const;
	UXINLINE void SetXrtTblContext (const char *);

	UXINLINE char * GetXrtTblCursorCorner () const;
	UXINLINE void SetXrtTblCursorCorner (const char *);

	UXINLINE char * GetXrtTblCursorHorizontal () const;
	UXINLINE void SetXrtTblCursorHorizontal (const char *);

	UXINLINE char * GetXrtTblCursorNontraversable () const;
	UXINLINE void SetXrtTblCursorNontraversable (const char *);

	UXINLINE char * GetXrtTblCursorTraversable () const;
	UXINLINE void SetXrtTblCursorTraversable (const char *);

	UXINLINE char * GetXrtTblCursorVertical () const;
	UXINLINE void SetXrtTblCursorVertical (const char *);

	UXINLINE char * GetXrtTblDataTypeContext () const;
	UXINLINE void SetXrtTblDataTypeContext (const char *);

	UXINLINE char * GetXrtTblDataTypeSeries () const;
	UXINLINE void SetXrtTblDataTypeSeries (const char *);

	UXINLINE char * GetXrtTblDebug () const;
	UXINLINE void SetXrtTblDebug (const char *);

	UXINLINE char * GetXrtTblDisplayClipArrows () const;
	UXINLINE void SetXrtTblDisplayClipArrows (const char *);

	UXINLINE char * GetXrtTblDisplayHorizScrollBar () const;
	UXINLINE void SetXrtTblDisplayHorizScrollBar (const char *);

	UXINLINE char * GetXrtTblDisplayVertScrollBar () const;
	UXINLINE void SetXrtTblDisplayVertScrollBar (const char *);

	UXINLINE char * GetXrtTblDoubleBuffer () const;
	UXINLINE void SetXrtTblDoubleBuffer (const char *);

	UXINLINE char * GetXrtTblEditableContext () const;
	UXINLINE void SetXrtTblEditableContext (const char *);

	UXINLINE char * GetXrtTblEditableSeries () const;
	UXINLINE void SetXrtTblEditableSeries (const char *);

	UXINLINE char * GetXrtTblExportDelimiter () const;
	UXINLINE void SetXrtTblExportDelimiter (const char *);

	UXINLINE char * GetXrtTblFontListContext () const;
	UXINLINE void SetXrtTblFontListContext (const char *);

	UXINLINE char * GetXrtTblFontListSeries () const;
	UXINLINE void SetXrtTblFontListSeries (const char *);

	UXINLINE char * GetXrtTblForegroundContext () const;
	UXINLINE void SetXrtTblForegroundContext (const char *);

	UXINLINE char * GetXrtTblForegroundSeries () const;
	UXINLINE void SetXrtTblForegroundSeries (const char *);

	UXINLINE char * GetXrtTblFrameBorderType () const;
	UXINLINE void SetXrtTblFrameBorderType (const char *);

	UXINLINE short GetXrtTblFrameShadowThickness () const;
	UXINLINE void SetXrtTblFrameShadowThickness (short);

	UXINLINE char * GetXrtTblFrozenColumnPlacement () const;
	UXINLINE void SetXrtTblFrozenColumnPlacement (const char *);

	UXINLINE int GetXrtTblFrozenColumns () const;
	UXINLINE void SetXrtTblFrozenColumns    (int);

	UXINLINE char * GetXrtTblFrozenRowPlacement () const;
	UXINLINE void SetXrtTblFrozenRowPlacement (const char *);

	UXINLINE int GetXrtTblFrozenRows () const;
	UXINLINE void SetXrtTblFrozenRows    (int);

	UXINLINE char * GetXrtTblHorizScrollBarLeftAttachment () const;
	UXINLINE void SetXrtTblHorizScrollBarLeftAttachment (const char *);

	UXINLINE char * GetXrtTblHorizScrollBarPlacement () const;
	UXINLINE void SetXrtTblHorizScrollBarPlacement (const char *);

	UXINLINE char * GetXrtTblHorizScrollBarPosition () const;
	UXINLINE void SetXrtTblHorizScrollBarPosition (const char *);

	UXINLINE char * GetXrtTblHorizScrollBarRightAttachment () const;
	UXINLINE void SetXrtTblHorizScrollBarRightAttachment (const char *);

	UXINLINE char * GetXrtTblHorizontalScrollBar () const;
	UXINLINE void SetXrtTblHorizontalScrollBar (const char *);

	UXINLINE char * GetXrtTblImportDelimiter () const;
	UXINLINE void SetXrtTblImportDelimiter (const char *);

	UXINLINE char * GetXrtTblJumpScroll () const;
	UXINLINE void SetXrtTblJumpScroll (const char *);

	UXINLINE char * GetXrtTblLabelContext () const;
	UXINLINE void SetXrtTblLabelContext (const char *);

//	UXINLINE (voidFunction) GetXrtTblLabelCreateFunc (void) const /*???*/
//	UXINLINE void SetXrtTblLabelCreateFunc (voidFunction);

	UXINLINE int GetXrtTblLeftColumn () const;
	UXINLINE void SetXrtTblLeftColumn    (int);

	UXINLINE short GetXrtTblMarginHeight () const;
	UXINLINE void SetXrtTblMarginHeight    (short);

	UXINLINE short GetXrtTblMarginWidth () const;
	UXINLINE void SetXrtTblMarginWidth    (short);

	UXINLINE int GetXrtTblMaxLengthContext () const;
	UXINLINE void SetXrtTblMaxLengthContext (int);

	UXINLINE char * GetXrtTblMaxLengthSeries () const;
	UXINLINE void SetXrtTblMaxLengthSeries (const char *);

	UXINLINE int GetXrtTblMinCellVisibility () const;
	UXINLINE void SetXrtTblMinCellVisibility (int);

	UXINLINE short GetXrtTblMinFlexibleHeight () const;
	UXINLINE void SetXrtTblMinFlexibleHeight (short);

	UXINLINE short GetXrtTblMinFlexibleWidth () const;
	UXINLINE void SetXrtTblMinFlexibleWidth (short);

	UXINLINE char * GetXrtTblMode () const;
	UXINLINE void SetXrtTblMode (const char *);

	UXINLINE char * GetXrtTblMultilineContext () const;
	UXINLINE void SetXrtTblMultilineContext (const char *);

	UXINLINE char * GetXrtTblMultilineSeries () const;
	UXINLINE void SetXrtTblMultilineSeries (const char *);

	UXINLINE int GetXrtTblNumColumns () const;
	UXINLINE void SetXrtTblNumColumns    (int);

	UXINLINE int GetXrtTblNumRows () const;
	UXINLINE void SetXrtTblNumRows    (int);

	UXINLINE char * GetXrtTblOverflowContext () const;
	UXINLINE void SetXrtTblOverflowContext (const char *);

	UXINLINE char * GetXrtTblOverflowSeries () const;
	UXINLINE void SetXrtTblOverflowSeries (const char *);

	UXINLINE char * GetXrtTblPSFontListContext () const;
	UXINLINE void SetXrtTblPSFontListContext (const char *);

	UXINLINE char * GetXrtTblPSFontListSeries () const;
	UXINLINE void SetXrtTblPSFontListSeries (const char *);

	UXINLINE char * GetXrtTblPSFontMapList () const;
	UXINLINE void SetXrtTblPSFontMapList (const char *);

	UXINLINE int GetXrtTblPixelHeightContext () const;
	UXINLINE void SetXrtTblPixelHeightContext (int);

	UXINLINE char * GetXrtTblPixelHeightSeries () const;
	UXINLINE void SetXrtTblPixelHeightSeries (const char *);

	UXINLINE int GetXrtTblPixelWidthContext () const;
	UXINLINE void SetXrtTblPixelWidthContext (int);

	UXINLINE char * GetXrtTblPixelWidthSeries () const;
	UXINLINE void SetXrtTblPixelWidthSeries (const char *);

	UXINLINE char * GetXrtTblPixmapContext () const;
	UXINLINE void SetXrtTblPixmapContext (const char *);

	UXINLINE char * GetXrtTblPixmapLayoutContext () const;
	UXINLINE void SetXrtTblPixmapLayoutContext (const char *);

	UXINLINE char * GetXrtTblPixmapLayoutSeries () const;
	UXINLINE void SetXrtTblPixmapLayoutSeries (const char *);

	UXINLINE char * GetXrtTblPixmapSeries () const;
	UXINLINE void SetXrtTblPixmapSeries (const char *);

	UXINLINE char * GetXrtTblPixmapShadowContext () const;
	UXINLINE void SetXrtTblPixmapShadowContext (const char *);

	UXINLINE char * GetXrtTblPixmapShadowSeries () const;
	UXINLINE void SetXrtTblPixmapShadowSeries (const char *);

	UXINLINE char * GetXrtTblRangeContext () const;
	UXINLINE void SetXrtTblRangeContext (const char *);

	UXINLINE char * GetXrtTblRepaint () const;
	UXINLINE void SetXrtTblRepaint (const char *);

	UXINLINE char * GetXrtTblRepeatBackgroundColors () const;
	UXINLINE void SetXrtTblRepeatBackgroundColors (const char *);

	UXINLINE char * GetXrtTblRepeatForegroundColors () const;
	UXINLINE void SetXrtTblRepeatForegroundColors (const char *);

	UXINLINE int GetXrtTblRowLabelOffset () const;
	UXINLINE void SetXrtTblRowLabelOffset (int);

	UXINLINE char * GetXrtTblRowLabelPlacement () const;
	UXINLINE void SetXrtTblRowLabelPlacement (const char *);

	UXINLINE char * GetXrtTblRowLabels () const;
	UXINLINE void SetXrtTblRowLabels (const char *);

	UXINLINE char * GetXrtTblSelectedBackground () const;
	UXINLINE void SetXrtTblSelectedBackground (const char *);

	UXINLINE char * GetXrtTblSelectedCellList () const;
	UXINLINE void SetXrtTblSelectedCellList (const char *);

	UXINLINE char * GetXrtTblSelectedForeground () const;
	UXINLINE void SetXrtTblSelectedForeground (const char *);

	UXINLINE char * GetXrtTblSelectionPolicy () const;
	UXINLINE void SetXrtTblSelectionPolicy (const char *);

	UXINLINE char * GetXrtTblSetTextCursorPos () const;
	UXINLINE void SetXrtTblSetTextCursorPos (const char *);

	UXINLINE short GetXrtTblShadowThickness () const;
	UXINLINE void SetXrtTblShadowThickness    (short);

	UXINLINE short GetXrtTblSpace () const;
	UXINLINE void SetXrtTblSpace    (short);

	UXINLINE char * GetXrtTblSpanList () const;
	UXINLINE void SetXrtTblSpanList (const char *);

	UXINLINE char * GetXrtTblText () const;
	UXINLINE void SetXrtTblText (const char *);

	UXINLINE char * GetXrtTblTextInitSelect () const;
	UXINLINE void SetXrtTblTextInitSelect (const char *);

	UXINLINE int GetXrtTblTopRow () const;
	UXINLINE void SetXrtTblTopRow    (int);

	UXINLINE char * GetXrtTblTopShadowContext () const;
	UXINLINE void SetXrtTblTopShadowContext (const char *);

	UXINLINE char * GetXrtTblTrackCursor () const;
	UXINLINE void SetXrtTblTrackCursor (const char *);

	UXINLINE char * GetXrtTblTraversableContext () const;
	UXINLINE void SetXrtTblTraversableContext (const char *);

	UXINLINE char * GetXrtTblTraversableSeries () const;
	UXINLINE void SetXrtTblTraversableSeries (const char *);

	UXINLINE char * GetXrtTblUseXmGetColors () const;
	UXINLINE void SetXrtTblUseXmGetColors (const char *);

	UXINLINE char * GetXrtTblValidatePolicy () const;
	UXINLINE void SetXrtTblValidatePolicy (const char *);

	UXINLINE char * GetXrtTblVertScrollBarBottomAttachment () const;
	UXINLINE void SetXrtTblVertScrollBarBottomAttachment (const char *);

	UXINLINE char * GetXrtTblVertScrollBarPlacement () const;
	UXINLINE void SetXrtTblVertScrollBarPlacement (const char *);

	UXINLINE char * GetXrtTblVertScrollBarPosition () const;
	UXINLINE void SetXrtTblVertScrollBarPosition (const char *);

	UXINLINE char * GetXrtTblVertScrollBarTopAttachment () const;
	UXINLINE void SetXrtTblVertScrollBarTopAttachment (const char *);

	UXINLINE char * GetXrtTblVerticalScrollBar () const;
	UXINLINE void SetXrtTblVerticalScrollBar (const char *);

	UXINLINE int GetXrtTblVisibleColumns () const;
	UXINLINE void SetXrtTblVisibleColumns    (int);

	UXINLINE int GetXrtTblVisibleRows () const;
	UXINLINE void SetXrtTblVisibleRows    (int);

	UXINLINE char * GetXrtTblWidgetContext () const;
	UXINLINE void SetXrtTblWidgetContext (const char *);

	UXINLINE char * GetXrtTblWidgetSeries () const;
	UXINLINE void SetXrtTblWidgetSeries (const char *);

	UXINLINE char * GetXrtTblWidgetShadowContext () const;
	UXINLINE void SetXrtTblWidgetShadowContext (const char *);

	UXINLINE char * GetXrtTblWidgetShadowSeries () const;
	UXINLINE void SetXrtTblWidgetShadowSeries (const char *);

	UXINLINE char * GetXrtTblWordWrapContext () const;
	UXINLINE void SetXrtTblWordWrapContext (const char *);

	UXINLINE char * GetXrtTblWordWrapSeries () const;
	UXINLINE void SetXrtTblWordWrapSeries (const char *);

	UXINLINE char * GetXrtTblXmStringGetMode () const;
	UXINLINE void SetXrtTblXmStringGetMode (const char *);

	UXINLINE char * GetXrtTblXmStringSetMode () const;
	UXINLINE void SetXrtTblXmStringSetMode (const char *);

	UXINLINE char * GetXrtTblCurrencyPickListContext () const;
	UXINLINE void SetXrtTblCurrencyPickListContext(const char *);

	UXINLINE char * GetXrtTblCurrencyPickListSeries () const;
	UXINLINE void SetXrtTblCurrencyPickListSeries(const char *);

	UXINLINE char * GetXrtTblDatePickListContext () const;
	UXINLINE void SetXrtTblDatePickListContext(const char *);

	UXINLINE char * GetXrtTblDatePickListSeries () const;
	UXINLINE void SetXrtTblDatePickListSeries(const char *);

	UXINLINE char * GetXrtTblFloatPickListContext () const;
	UXINLINE void SetXrtTblFloatPickListContext(const char *);

	UXINLINE char * GetXrtTblFloatPickListSeries () const;
	UXINLINE void SetXrtTblFloatPickListSeries(const char *);

	UXINLINE char * GetXrtTblIntPickListContext () const;
	UXINLINE void SetXrtTblIntPickListContext(const char *);

	UXINLINE char * GetXrtTblIntPickListSeries () const;
	UXINLINE void SetXrtTblIntPickListSeries(const char *);

	UXINLINE char * GetXrtTblPreviewScrolling () const;
	UXINLINE void SetXrtTblPreviewScrolling(const char *);

	UXINLINE char * GetXrtTblSensitiveContext () const;
	UXINLINE void SetXrtTblSensitiveContext(const char *);

	UXINLINE char * GetXrtTblSensitiveSeries () const;
	UXINLINE void SetXrtTblSensitiveSeries(const char *);

	UXINLINE char * GetXrtTblStringPickListContext () const;
	UXINLINE void SetXrtTblStringPickListContext(const char *);

	UXINLINE char * GetXrtTblStringPickListSeries () const;
	UXINLINE void SetXrtTblStringPickListSeries(const char *);

	UXINLINE char * GetXrtTblWidgetClassList () const;
	UXINLINE void SetXrtTblWidgetClassList (const char *);

};

#ifdef DESIGN_TIME

#define XRTTBL_TABLE(x)	xrttbl_res_table[x].prpty, xrttbl_res_table[x].name

extern Class_t UxC_XrtTable;

#else  /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtTable::UxXrtTable(void){}
inline UxXrtTable::UxXrtTable(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrtTable::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtTableWidgetClass, parent);
	return UxThis;
}

inline char * UxXrtTable::GetXrtTblAlignmentContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblAlignmentContext);}
inline void UxXrtTable::SetXrtTblAlignmentContext (const char * val)
	{ DDSetProp(XmNxrtTblAlignmentContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblAlignmentSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblAlignmentSeries);}
inline void UxXrtTable::SetXrtTblAlignmentSeries  (const char * val)
	{ DDSetProp(XmNxrtTblAlignmentSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblAllowCellResize (void) const
	{ return (char * ) DDGetProp(XmNxrtTblAllowCellResize);}
inline void UxXrtTable::SetXrtTblAllowCellResize  (const char * val)
	{ DDSetProp(XmNxrtTblAllowCellResize, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblAllowResize (void) const
	{ return (char * ) DDGetProp(XmNxrtTblAllowResize);}
inline void UxXrtTable::SetXrtTblAllowResize (const char * val)
	{ DDSetProp(XmNxrtTblAllowResize, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblBackgroundContext (void) const
	{ return (char * ) GetProp(XmNxrtTblBackgroundContext);}
inline void UxXrtTable::SetXrtTblBackgroundContext (const char * val)
	{ SetProp(XmNxrtTblBackgroundContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblBackgroundPixelContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblBackgroundPixelContext);}
inline void UxXrtTable::SetXrtTblBackgroundPixelContext (const char * val)
	{ DDSetProp(XmNxrtTblBackgroundPixelContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblBackgroundSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblBackgroundSeries);}
inline void UxXrtTable::SetXrtTblBackgroundSeries  (const char * val)
	{ DDSetProp(XmNxrtTblBackgroundSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblBackingStore (void) const
	{ return (char * ) DDGetProp(XmNxrtTblBackingStore);}
inline void UxXrtTable::SetXrtTblBackingStore (const char * val)
	{ DDSetProp(XmNxrtTblBackingStore, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblBorderSidesContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblBorderSidesContext);}
inline void UxXrtTable::SetXrtTblBorderSidesContext (const char * val)
	{ DDSetProp(XmNxrtTblBorderSidesContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblBorderSidesSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblBorderSidesSeries);}
inline void UxXrtTable::SetXrtTblBorderSidesSeries  (const char * val)
	{ DDSetProp(XmNxrtTblBorderSidesSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblBorderTypeContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblBorderTypeContext);}
inline void UxXrtTable::SetXrtTblBorderTypeContext (const char * val)
	{ DDSetProp(XmNxrtTblBorderTypeContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblBorderTypeSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblBorderTypeSeries);}
inline void UxXrtTable::SetXrtTblBorderTypeSeries  (const char * val)
	{ DDSetProp(XmNxrtTblBorderTypeSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblBottomShadowContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblBottomShadowContext);}
inline void UxXrtTable::SetXrtTblBottomShadowContext (const char * val)
	{ DDSetProp(XmNxrtTblBottomShadowContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCaseContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblCaseContext);}
inline void UxXrtTable::SetXrtTblCaseContext (const char * val)
	{ DDSetProp(XmNxrtTblCaseContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCaseSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblCaseSeries);}
inline void UxXrtTable::SetXrtTblCaseSeries (const char * val)
	{ DDSetProp(XmNxrtTblCaseSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCellValueContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblCellValueContext);}
inline void UxXrtTable::SetXrtTblCellValueContext (const char * val)
	{ DDSetProp(XmNxrtTblCellValueContext, ((XtArgVal)(val)));}

// inline (voidFunction) UxXrtTable::GetXrtTblCellValueFunc (void) const
// 	{ return ((voidFunction) ) DDGetProp(XmNxrtTblCellValueFunc);}
// inline void UxXrtTable::SetXrtTblCellValueFunc (voidFunction val) /*???*/
// 	{ DDSetProp(XmNxrtTblCellValueFunc, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCellValues (void) const
	{ return (char * ) DDGetProp(XmNxrtTblCellValues);}
inline void UxXrtTable::SetXrtTblCellValues  (const char * val)
	{ DDSetProp(XmNxrtTblCellValues, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblCharHeightContext (void) const
	{ return (int)IntGetProp(XmNxrtTblCharHeightContext);}
inline void UxXrtTable::SetXrtTblCharHeightContext	(int val)
	{ SetProp(XmNxrtTblCharHeightContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCharHeightSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblCharHeightSeries);}
inline void UxXrtTable::SetXrtTblCharHeightSeries (char * val)
	{ DDSetProp(XmNxrtTblCharHeightSeries, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblCharWidthContext (void) const
	{ return (int)IntGetProp(XmNxrtTblCharWidthContext);}
inline void UxXrtTable::SetXrtTblCharWidthContext (int val)
	{ SetProp(XmNxrtTblCharWidthContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCharWidthSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblCharWidthSeries);}
inline void UxXrtTable::SetXrtTblCharWidthSeries (char * val)
	{ DDSetProp(XmNxrtTblCharWidthSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblClipChildrenPersistent (void) const
	{ return (char * ) DDGetProp(XmNxrtTblClipChildrenPersistent);}
inline void UxXrtTable::SetXrtTblClipChildrenPersistent (const char * val)
	{ DDSetProp(XmNxrtTblClipChildrenPersistent, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblClipPixmapContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblClipPixmapContext);}
inline void UxXrtTable::SetXrtTblClipPixmapContext (const char * val)
	{ DDSetProp(XmNxrtTblClipPixmapContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblClipPixmapSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblClipPixmapSeries);}
inline void UxXrtTable::SetXrtTblClipPixmapSeries (const char * val)
	{ DDSetProp(XmNxrtTblClipPixmapSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblColumnLabelPlacement (void) const
	{ return (char * ) DDGetProp(XmNxrtTblColumnLabelPlacement);}
inline void UxXrtTable::SetXrtTblColumnLabelPlacement (const char * val)
	{ DDSetProp(XmNxrtTblColumnLabelPlacement, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblColumnLabels (void) const
	{ return (char * ) DDGetProp(XmNxrtTblColumnLabels);}
inline void UxXrtTable::SetXrtTblColumnLabels  (const char * val)
	{ DDSetProp(XmNxrtTblColumnLabels, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblColumnLabelOffset (void) const
	{ return (int)IntGetProp(XmNxrtTblColumnLabelOffset);}
inline void UxXrtTable::SetXrtTblColumnLabelOffset (int val)
	{ SetProp(XmNxrtTblColumnLabelOffset, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblContext);}
inline void UxXrtTable::SetXrtTblContext (const char * val)
	{ DDSetProp(XmNxrtTblContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCursorCorner (void) const
	{ return (char * ) DDGetProp(XmNxrtTblCursorCorner);}
inline void UxXrtTable::SetXrtTblCursorCorner (const char * val)
	{ DDSetProp(XmNxrtTblCursorCorner, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCursorHorizontal (void) const
	{ return (char * ) DDGetProp(XmNxrtTblCursorHorizontal);}
inline void UxXrtTable::SetXrtTblCursorHorizontal (const char * val)
	{ DDSetProp(XmNxrtTblCursorHorizontal, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCursorNontraversable (void) const
	{ return (char * ) DDGetProp(XmNxrtTblCursorNontraversable);}
inline void UxXrtTable::SetXrtTblCursorNontraversable (const char * val)
	{ DDSetProp(XmNxrtTblCursorNontraversable, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCursorTraversable (void) const
	{ return (char * ) DDGetProp(XmNxrtTblCursorTraversable);}
inline void UxXrtTable::SetXrtTblCursorTraversable (const char * val)
	{ DDSetProp(XmNxrtTblCursorTraversable, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCursorVertical (void) const
	{ return (char * ) DDGetProp(XmNxrtTblCursorVertical);}
inline void UxXrtTable::SetXrtTblCursorVertical (const char * val)
	{ DDSetProp(XmNxrtTblCursorVertical, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblDataTypeContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblDataTypeContext);}
inline void UxXrtTable::SetXrtTblDataTypeContext (const char * val)
	{ DDSetProp(XmNxrtTblDataTypeContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblDataTypeSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblDataTypeSeries);}
inline void UxXrtTable::SetXrtTblDataTypeSeries (const char * val)
	{ DDSetProp(XmNxrtTblDataTypeSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblDebug (void) const
	{ return (char * ) DDGetProp(XmNxrtTblDebug);}
inline void UxXrtTable::SetXrtTblDebug (const char * val)
	{ DDSetProp(XmNxrtTblDebug, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblDisplayClipArrows (void) const
	{ return (char * ) DDGetProp(XmNxrtTblDisplayClipArrows);}
inline void UxXrtTable::SetXrtTblDisplayClipArrows (const char * val)
	{ DDSetProp(XmNxrtTblDisplayClipArrows, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblDisplayHorizScrollBar (void) const
	{ return (char * ) DDGetProp(XmNxrtTblDisplayHorizScrollBar);}
inline void UxXrtTable::SetXrtTblDisplayHorizScrollBar (const char * val)
	{ DDSetProp(XmNxrtTblDisplayHorizScrollBar, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblDisplayVertScrollBar (void) const
	{ return (char * ) DDGetProp(XmNxrtTblDisplayVertScrollBar);}
inline void UxXrtTable::SetXrtTblDisplayVertScrollBar (const char * val)
	{ DDSetProp(XmNxrtTblDisplayVertScrollBar, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblDoubleBuffer (void) const
	{ return (char * ) DDGetProp(XmNxrtTblDoubleBuffer);}
inline void UxXrtTable::SetXrtTblDoubleBuffer (const char * val)
	{ DDSetProp(XmNxrtTblDoubleBuffer, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblEditableContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblEditableContext);}
inline void UxXrtTable::SetXrtTblEditableContext (const char * val)
	{ DDSetProp(XmNxrtTblEditableContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblEditableSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblEditableSeries);}
inline void UxXrtTable::SetXrtTblEditableSeries (const char * val)
	{ DDSetProp(XmNxrtTblEditableSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblExportDelimiter (void) const
	{ return (char * ) GetProp(XmNxrtTblExportDelimiter);}
inline void UxXrtTable::SetXrtTblExportDelimiter (const char * val)
	{ SetProp(XmNxrtTblExportDelimiter, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblFontListContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblFontListContext);}
inline void UxXrtTable::SetXrtTblFontListContext (const char * val)
	{ DDSetProp(XmNxrtTblFontListContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblFontListSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblFontListSeries);}
inline void UxXrtTable::SetXrtTblFontListSeries (const char * val)
	{ DDSetProp(XmNxrtTblFontListSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblForegroundContext (void) const
	{ return (char * ) GetProp(XmNxrtTblForegroundContext);}
inline void UxXrtTable::SetXrtTblForegroundContext (const char * val)
	{ SetProp(XmNxrtTblForegroundContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblForegroundSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblForegroundSeries);}
inline void UxXrtTable::SetXrtTblForegroundSeries (const char * val)
	{ DDSetProp(XmNxrtTblForegroundSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblFrameBorderType (void) const
	{ return (char * ) DDGetProp(XmNxrtTblFrameBorderType);}
inline void UxXrtTable::SetXrtTblFrameBorderType (const char * val)
	{ DDSetProp(XmNxrtTblFrameBorderType, ((XtArgVal)(val)));}

inline short UxXrtTable::GetXrtTblFrameShadowThickness (void) const
	{ return (short ) ShortGetProp(XmNxrtTblFrameShadowThickness);}
inline void UxXrtTable::SetXrtTblFrameShadowThickness (short val)
	{ SetProp(XmNxrtTblFrameShadowThickness, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblFrozenColumnPlacement (void) const
	{ return (char * ) DDGetProp(XmNxrtTblFrozenColumnPlacement);}
inline void UxXrtTable::SetXrtTblFrozenColumnPlacement (const char * val)
	{ DDSetProp(XmNxrtTblFrozenColumnPlacement, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblFrozenColumns (void) const
	{ return (int)IntGetProp(XmNxrtTblFrozenColumns);}
inline void UxXrtTable::SetXrtTblFrozenColumns    (int val)
	{ SetProp(XmNxrtTblFrozenColumns, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblFrozenRowPlacement (void) const
	{ return (char * ) DDGetProp(XmNxrtTblFrozenRowPlacement);}
inline void UxXrtTable::SetXrtTblFrozenRowPlacement (const char * val)
	{ DDSetProp(XmNxrtTblFrozenRowPlacement, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblFrozenRows (void) const
	{ return (int)IntGetProp(XmNxrtTblFrozenRows);}
inline void UxXrtTable::SetXrtTblFrozenRows    (int val)
	{ SetProp(XmNxrtTblFrozenRows, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblHorizScrollBarLeftAttachment (void) const
	{ return (char * ) DDGetProp(XmNxrtTblHorizScrollBarLeftAttachment);}
inline void UxXrtTable::SetXrtTblHorizScrollBarLeftAttachment (const char * val)
	{ DDSetProp(XmNxrtTblHorizScrollBarLeftAttachment, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblHorizScrollBarPlacement (void) const
	{ return (char * ) DDGetProp(XmNxrtTblHorizScrollBarPlacement);}
inline void UxXrtTable::SetXrtTblHorizScrollBarPlacement (const char * val)
	{ DDSetProp(XmNxrtTblHorizScrollBarPlacement, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblHorizScrollBarPosition (void) const
	{ return (char * ) DDGetProp(XmNxrtTblHorizScrollBarPosition);}
inline void UxXrtTable::SetXrtTblHorizScrollBarPosition (const char * val)
	{ DDSetProp(XmNxrtTblHorizScrollBarPosition, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblHorizScrollBarRightAttachment (void) const
	{ return (char * ) DDGetProp(XmNxrtTblHorizScrollBarRightAttachment);}
inline void UxXrtTable::SetXrtTblHorizScrollBarRightAttachment (const char * val)
	{ DDSetProp(XmNxrtTblHorizScrollBarRightAttachment, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblHorizontalScrollBar (void) const
	{ return (char * ) DDGetProp(XmNxrtTblHorizontalScrollBar);}
inline void UxXrtTable::SetXrtTblHorizontalScrollBar (const char * val)
	{ DDSetProp(XmNxrtTblHorizontalScrollBar, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblImportDelimiter (void) const
	{ return (char * ) GetProp(XmNxrtTblImportDelimiter);}
inline void UxXrtTable::SetXrtTblImportDelimiter (const char * val)
	{ SetProp(XmNxrtTblImportDelimiter, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblJumpScroll (void) const
	{ return (char * ) DDGetProp(XmNxrtTblJumpScroll);}
inline void UxXrtTable::SetXrtTblJumpScroll (const char * val)
	{ DDSetProp(XmNxrtTblJumpScroll, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblLabelContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblLabelContext);}
inline void UxXrtTable::SetXrtTblLabelContext (const char * val)
	{ DDSetProp(XmNxrtTblLabelContext, ((XtArgVal)(val)));}

// inline voidFunction UxXrtTable::GetXrtTblLabelCreateFunc (void) const
// 	{ return (voidFunction ) DDGetProp(XmNxrtTblLabelCreateFunc);}
// inline void UxXrtTable::SetXrtTblLabelCreateFunc (voidFunction val)  /*???*/
// 	{ DDSetProp(XmNxrtTblLabelCreateFunc , ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblLeftColumn (void) const
	{ return (int)IntGetProp(XmNxrtTblLeftColumn);}
inline void UxXrtTable::SetXrtTblLeftColumn    (int val)
	{ SetProp(XmNxrtTblLeftColumn, ((XtArgVal)(val)));}

inline short UxXrtTable::GetXrtTblMarginHeight (void) const
	{ return (short ) ShortGetProp(XmNxrtTblMarginHeight);}
inline void UxXrtTable::SetXrtTblMarginHeight    (short val)
	{ SetProp(XmNxrtTblMarginHeight, ((XtArgVal)(val)));}

inline short UxXrtTable::GetXrtTblMarginWidth (void) const
	{ return (short ) ShortGetProp(XmNxrtTblMarginWidth);}
inline void UxXrtTable::SetXrtTblMarginWidth    (short val)
	{ SetProp(XmNxrtTblMarginWidth, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblMaxLengthContext (void) const
	{ return (int)IntGetProp(XmNxrtTblMaxLengthContext);}
inline void UxXrtTable::SetXrtTblMaxLengthContext (int val)
	{ SetProp(XmNxrtTblMaxLengthContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblMaxLengthSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblMaxLengthSeries);}
inline void UxXrtTable::SetXrtTblMaxLengthSeries (const char * val)
	{ DDSetProp(XmNxrtTblMaxLengthSeries, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblMinCellVisibility (void) const
	{ return (int)IntGetProp(XmNxrtTblMinCellVisibility);}
inline void UxXrtTable::SetXrtTblMinCellVisibility (int val)
	{ SetProp(XmNxrtTblMinCellVisibility, ((XtArgVal)(val)));}

inline short UxXrtTable::GetXrtTblMinFlexibleHeight (void) const
	{ return (short ) ShortGetProp(XmNxrtTblMinFlexibleHeight);}
inline void UxXrtTable::SetXrtTblMinFlexibleHeight (short val)
	{ SetProp(XmNxrtTblMinFlexibleHeight, ((XtArgVal)(val)));}

inline short UxXrtTable::GetXrtTblMinFlexibleWidth (void) const
	{ return (short ) ShortGetProp(XmNxrtTblMinFlexibleWidth);}
inline void UxXrtTable::SetXrtTblMinFlexibleWidth (short val)
	{ SetProp(XmNxrtTblMinFlexibleWidth, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblMode (void) const
	{ return (char * ) DDGetProp(XmNxrtTblMode);}
inline void UxXrtTable::SetXrtTblMode (const char * val)
	{ DDSetProp(XmNxrtTblMode, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblMultilineContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblMultilineContext);}
inline void UxXrtTable::SetXrtTblMultilineContext (const char * val)
	{ DDSetProp(XmNxrtTblMultilineContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblMultilineSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblMultilineSeries);}
inline void UxXrtTable::SetXrtTblMultilineSeries (const char * val)
	{ DDSetProp(XmNxrtTblMultilineSeries, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblNumColumns (void) const
	{ return (int)IntGetProp(XmNxrtTblNumColumns);}
inline void UxXrtTable::SetXrtTblNumColumns    (int val)
	{ SetProp(XmNxrtTblNumColumns, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblNumRows (void) const
	{ return (int)IntGetProp(XmNxrtTblNumRows);}
inline void UxXrtTable::SetXrtTblNumRows    (int val)
	{ SetProp(XmNxrtTblNumRows, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblOverflowContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblOverflowContext);}
inline void UxXrtTable::SetXrtTblOverflowContext (const char * val)
	{ DDSetProp(XmNxrtTblOverflowContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblOverflowSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblOverflowSeries);}
inline void UxXrtTable::SetXrtTblOverflowSeries (const char * val)
	{ DDSetProp(XmNxrtTblOverflowSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPSFontListContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblPSFontListContext);}
inline void UxXrtTable::SetXrtTblPSFontListContext (const char * val)
	{ DDSetProp(XmNxrtTblPSFontListContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPSFontListSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblPSFontListSeries);}
inline void UxXrtTable::SetXrtTblPSFontListSeries (const char * val)
	{ DDSetProp(XmNxrtTblPSFontListSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPSFontMapList (void) const
	{ return (char * ) DDGetProp(XmNxrtTblPSFontMapList);}
inline void UxXrtTable::SetXrtTblPSFontMapList (const char * val)
	{ DDSetProp(XmNxrtTblPSFontMapList, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblPixelHeightContext (void) const
	{ return (int)IntGetProp(XmNxrtTblPixelHeightContext);}
inline void UxXrtTable::SetXrtTblPixelHeightContext (int val)
	{ SetProp(XmNxrtTblPixelHeightContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPixelHeightSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblPixelHeightSeries);}
inline void UxXrtTable::SetXrtTblPixelHeightSeries (const char * val)
	{ DDSetProp(XmNxrtTblPixelHeightSeries, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblPixelWidthContext (void) const
	{ return (int)IntGetProp(XmNxrtTblPixelWidthContext);}
inline void UxXrtTable::SetXrtTblPixelWidthContext (int val)
	{ SetProp(XmNxrtTblPixelWidthContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPixelWidthSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblPixelWidthSeries);}
inline void UxXrtTable::SetXrtTblPixelWidthSeries (const char * val)
	{ DDSetProp(XmNxrtTblPixelWidthSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPixmapContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblPixmapContext);}
inline void UxXrtTable::SetXrtTblPixmapContext (const char * val)
	{ DDSetProp(XmNxrtTblPixmapContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPixmapLayoutContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblPixmapLayoutContext);}
inline void UxXrtTable::SetXrtTblPixmapLayoutContext (const char * val)
	{ DDSetProp(XmNxrtTblPixmapLayoutContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPixmapLayoutSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblPixmapLayoutSeries);}
inline void UxXrtTable::SetXrtTblPixmapLayoutSeries (const char * val)
	{ DDSetProp(XmNxrtTblPixmapLayoutSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPixmapSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblPixmapSeries);}
inline void UxXrtTable::SetXrtTblPixmapSeries (const char * val)
	{ DDSetProp(XmNxrtTblPixmapSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPixmapShadowContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblPixmapShadowContext);}
inline void UxXrtTable::SetXrtTblPixmapShadowContext (const char * val)
	{ DDSetProp(XmNxrtTblPixmapShadowContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPixmapShadowSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblPixmapShadowSeries);}
inline void UxXrtTable::SetXrtTblPixmapShadowSeries (const char * val)
	{ DDSetProp(XmNxrtTblPixmapShadowSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblRangeContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblRangeContext);}
inline void UxXrtTable::SetXrtTblRangeContext (const char * val)
	{ DDSetProp(XmNxrtTblRangeContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblRepaint (void) const
	{ return (char * ) DDGetProp(XmNxrtTblRepaint);}
inline void UxXrtTable::SetXrtTblRepaint (const char * val)
	{ DDSetProp(XmNxrtTblRepaint, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblRepeatBackgroundColors (void) const
	{ return (char * ) DDGetProp(XmNxrtTblRepeatBackgroundColors);}
inline void UxXrtTable::SetXrtTblRepeatBackgroundColors (const char * val)
	{ DDSetProp(XmNxrtTblRepeatBackgroundColors, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblRepeatForegroundColors (void) const
	{ return (char * ) DDGetProp(XmNxrtTblRepeatForegroundColors);}
inline void UxXrtTable::SetXrtTblRepeatForegroundColors (const char * val)
	{ DDSetProp(XmNxrtTblRepeatForegroundColors, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblRowLabelOffset (void) const
	{ return (int)IntGetProp(XmNxrtTblRowLabelOffset);}
inline void UxXrtTable::SetXrtTblRowLabelOffset (int val)
	{ SetProp(XmNxrtTblRowLabelOffset, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblRowLabelPlacement (void) const
	{ return (char * ) DDGetProp(XmNxrtTblRowLabelPlacement);}
inline void UxXrtTable::SetXrtTblRowLabelPlacement (const char * val)
	{ DDSetProp(XmNxrtTblRowLabelPlacement, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblRowLabels (void) const
	{ return (char * ) DDGetProp(XmNxrtTblRowLabels);}
inline void UxXrtTable::SetXrtTblRowLabels (const char * val)
	{ DDSetProp(XmNxrtTblRowLabels, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblSelectedBackground (void) const
	{ return (char * ) GetProp(XmNxrtTblSelectedBackground);}
inline void UxXrtTable::SetXrtTblSelectedBackground (const char * val)
	{ SetProp(XmNxrtTblSelectedBackground, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblSelectedCellList (void) const
	{ return (char * ) DDGetProp(XmNxrtTblSelectedCellList);}
inline void UxXrtTable::SetXrtTblSelectedCellList (const char * val)
	{ DDSetProp(XmNxrtTblSelectedCellList, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblSelectedForeground (void) const
	{ return (char * ) GetProp(XmNxrtTblSelectedForeground);}
inline void UxXrtTable::SetXrtTblSelectedForeground (const char * val)
	{ SetProp(XmNxrtTblSelectedForeground, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblSelectionPolicy (void) const
	{ return (char * ) DDGetProp(XmNxrtTblSelectionPolicy);}
inline void UxXrtTable::SetXrtTblSelectionPolicy (const char * val)
	{ DDSetProp(XmNxrtTblSelectionPolicy, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblSetTextCursorPos (void) const
	{ return (char * ) DDGetProp(XmNxrtTblSetTextCursorPos);}
inline void UxXrtTable::SetXrtTblSetTextCursorPos (const char * val)
	{ DDSetProp(XmNxrtTblSetTextCursorPos, ((XtArgVal)(val)));}

inline short UxXrtTable::GetXrtTblShadowThickness (void) const
	{ return (short ) ShortGetProp(XmNxrtTblShadowThickness);}
inline void UxXrtTable::SetXrtTblShadowThickness    (short val)
	{ SetProp(XmNxrtTblShadowThickness, ((XtArgVal)(val)));}

inline short UxXrtTable::GetXrtTblSpace (void) const
	{ return (short ) ShortGetProp(XmNxrtTblSpace);}
inline void UxXrtTable::SetXrtTblSpace    (short val)
	{ SetProp(XmNxrtTblSpace, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblSpanList (void) const
	{ return (char * ) DDGetProp(XmNxrtTblSpanList);}
inline void UxXrtTable::SetXrtTblSpanList (const char * val)
	{ DDSetProp(XmNxrtTblSpanList, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblText (void) const
	{ return (char * ) DDGetProp(XmNxrtTblText);}
inline void UxXrtTable::SetXrtTblText (const char * val)
	{ DDSetProp(XmNxrtTblText, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblTextInitSelect (void) const
	{ return (char * ) DDGetProp(XmNxrtTblTextInitSelect);}
inline void UxXrtTable::SetXrtTblTextInitSelect (const char * val)
	{ DDSetProp(XmNxrtTblTextInitSelect, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblTopRow (void) const
	{ return (int)IntGetProp(XmNxrtTblTopRow);}
inline void UxXrtTable::SetXrtTblTopRow    (int val)
	{ SetProp(XmNxrtTblTopRow, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblTopShadowContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblTopShadowContext);}
inline void UxXrtTable::SetXrtTblTopShadowContext (const char * val)
	{ DDSetProp(XmNxrtTblTopShadowContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblTrackCursor (void) const
	{ return (char * ) DDGetProp(XmNxrtTblTrackCursor);}
inline void UxXrtTable::SetXrtTblTrackCursor (const char * val)
	{ DDSetProp(XmNxrtTblTrackCursor, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblTraversableContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblTraversableContext);}
inline void UxXrtTable::SetXrtTblTraversableContext (const char * val)
	{ DDSetProp(XmNxrtTblTraversableContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblTraversableSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblTraversableSeries);}
inline void UxXrtTable::SetXrtTblTraversableSeries (const char * val)
	{ DDSetProp(XmNxrtTblTraversableSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblUseXmGetColors (void) const
	{ return (char * ) DDGetProp(XmNxrtTblUseXmGetColors);}
inline void UxXrtTable::SetXrtTblUseXmGetColors (const char * val)
	{ DDSetProp(XmNxrtTblUseXmGetColors, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblValidatePolicy (void) const
	{ return (char * ) DDGetProp(XmNxrtTblValidatePolicy);}
inline void UxXrtTable::SetXrtTblValidatePolicy (const char * val)
	{ DDSetProp(XmNxrtTblValidatePolicy, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblVertScrollBarBottomAttachment (void) const
	{ return (char * ) DDGetProp(XmNxrtTblVertScrollBarBottomAttachment);}
inline void UxXrtTable::SetXrtTblVertScrollBarBottomAttachment (const char * val)
	{ DDSetProp(XmNxrtTblVertScrollBarBottomAttachment, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblVertScrollBarPlacement (void) const
	{ return (char * ) DDGetProp(XmNxrtTblVertScrollBarPlacement);}
inline void UxXrtTable::SetXrtTblVertScrollBarPlacement (const char * val)
	{ DDSetProp(XmNxrtTblVertScrollBarPlacement, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblVertScrollBarPosition (void) const
	{ return (char * ) DDGetProp(XmNxrtTblVertScrollBarPosition);}
inline void UxXrtTable::SetXrtTblVertScrollBarPosition (const char * val)
	{ DDSetProp(XmNxrtTblVertScrollBarPosition, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblVertScrollBarTopAttachment (void) const
	{ return (char * ) DDGetProp(XmNxrtTblVertScrollBarTopAttachment);}
inline void UxXrtTable::SetXrtTblVertScrollBarTopAttachment (const char * val)
	{ DDSetProp(XmNxrtTblVertScrollBarTopAttachment, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblVerticalScrollBar (void) const
	{ return (char * ) DDGetProp(XmNxrtTblVerticalScrollBar);}
inline void UxXrtTable::SetXrtTblVerticalScrollBar (const char * val)
	{ DDSetProp(XmNxrtTblVerticalScrollBar, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblVisibleColumns (void) const
	{ return (int)IntGetProp(XmNxrtTblVisibleColumns);}
inline void UxXrtTable::SetXrtTblVisibleColumns    (int val)
	{ SetProp(XmNxrtTblVisibleColumns, ((XtArgVal)(val)));}

inline int UxXrtTable::GetXrtTblVisibleRows (void) const
	{ return (int)IntGetProp(XmNxrtTblVisibleRows);}
inline void UxXrtTable::SetXrtTblVisibleRows    (int val)
	{ SetProp(XmNxrtTblVisibleRows, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblWidgetContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblWidgetContext);}
inline void UxXrtTable::SetXrtTblWidgetContext (const char * val)
	{ DDSetProp(XmNxrtTblWidgetContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblWidgetSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblWidgetSeries);}
inline void UxXrtTable::SetXrtTblWidgetSeries (const char * val)
	{ DDSetProp(XmNxrtTblWidgetSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblWidgetShadowContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblWidgetShadowContext);}
inline void UxXrtTable::SetXrtTblWidgetShadowContext (const char * val)
	{ DDSetProp(XmNxrtTblWidgetShadowContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblWidgetShadowSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblWidgetShadowSeries);}
inline void UxXrtTable::SetXrtTblWidgetShadowSeries (const char * val)
	{ DDSetProp(XmNxrtTblWidgetShadowSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblWordWrapContext (void) const
	{ return (char * ) DDGetProp(XmNxrtTblWordWrapContext);}
inline void UxXrtTable::SetXrtTblWordWrapContext (const char * val)
	{ DDSetProp(XmNxrtTblWordWrapContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblWordWrapSeries (void) const
	{ return (char * ) DDGetProp(XmNxrtTblWordWrapSeries);}
inline void UxXrtTable::SetXrtTblWordWrapSeries (const char * val)
	{ DDSetProp(XmNxrtTblWordWrapSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblXmStringGetMode (void) const
	{ return (char * ) DDGetProp(XmNxrtTblXmStringGetMode);}
inline void UxXrtTable::SetXrtTblXmStringGetMode (const char * val)
	{ DDSetProp(XmNxrtTblXmStringGetMode, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblXmStringSetMode (void) const
	{ return (char * ) DDGetProp(XmNxrtTblXmStringSetMode);}
inline void UxXrtTable::SetXrtTblXmStringSetMode (const char * val)
	{ DDSetProp(XmNxrtTblXmStringSetMode, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCurrencyPickListContext (void) const
	{ return (char *) DDGetProp(XmNxrtTblCurrencyPickListContext);}
inline void UxXrtTable::SetXrtTblCurrencyPickListContext (const char * val)
	{ DDSetProp(XmNxrtTblCurrencyPickListContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblCurrencyPickListSeries (void) const
	{ return (char *) DDGetProp(XmNxrtTblCurrencyPickListSeries);}
inline void UxXrtTable::SetXrtTblCurrencyPickListSeries (const char * val)
	{ DDSetProp(XmNxrtTblCurrencyPickListSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblDatePickListContext (void) const
	{ return (char *) DDGetProp(XmNxrtTblDatePickListContext);}
inline void UxXrtTable::SetXrtTblDatePickListContext (const char * val)
	{ DDSetProp(XmNxrtTblDatePickListContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblDatePickListSeries (void) const
	{ return (char *) DDGetProp(XmNxrtTblDatePickListSeries);}
inline void UxXrtTable::SetXrtTblDatePickListSeries (const char * val)
	{ DDSetProp(XmNxrtTblDatePickListSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblFloatPickListContext (void) const
	{ return (char *) DDGetProp(XmNxrtTblFloatPickListContext);}
inline void UxXrtTable::SetXrtTblFloatPickListContext (const char * val)
	{ DDSetProp(XmNxrtTblFloatPickListContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblFloatPickListSeries (void) const
	{ return (char *) DDGetProp(XmNxrtTblFloatPickListSeries);}
inline void UxXrtTable::SetXrtTblFloatPickListSeries (const char * val)
	{ DDSetProp(XmNxrtTblFloatPickListSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblIntPickListContext (void) const
	{ return (char *) DDGetProp(XmNxrtTblIntPickListContext);}
inline void UxXrtTable::SetXrtTblIntPickListContext (const char * val)
	{ DDSetProp(XmNxrtTblIntPickListContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblIntPickListSeries (void) const
	{ return (char *) DDGetProp(XmNxrtTblIntPickListSeries);}
inline void UxXrtTable::SetXrtTblIntPickListSeries (const char * val)
	{ DDSetProp(XmNxrtTblIntPickListSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblPreviewScrolling (void) const
	{ return (char *) DDGetProp(XmNxrtTblPreviewScrolling);}
inline void UxXrtTable::SetXrtTblPreviewScrolling (const char * val)
	{ DDSetProp(XmNxrtTblPreviewScrolling, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblSensitiveContext (void) const
	{ return (char *) DDGetProp(XmNxrtTblSensitiveContext);}
inline void UxXrtTable::SetXrtTblSensitiveContext (const char * val)
	{ DDSetProp(XmNxrtTblSensitiveContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblSensitiveSeries (void) const
	{ return (char *) DDGetProp(XmNxrtTblSensitiveSeries);}
inline void UxXrtTable::SetXrtTblSensitiveSeries (const char * val)
	{ DDSetProp(XmNxrtTblSensitiveSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblStringPickListContext (void) const
	{ return (char *) DDGetProp(XmNxrtTblStringPickListContext);}
inline void UxXrtTable::SetXrtTblStringPickListContext (const char * val)
	{ DDSetProp(XmNxrtTblStringPickListContext, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblStringPickListSeries (void) const
	{ return (char *) DDGetProp(XmNxrtTblStringPickListSeries);}
inline void UxXrtTable::SetXrtTblStringPickListSeries (const char * val)
	{ DDSetProp(XmNxrtTblStringPickListSeries, ((XtArgVal)(val)));}

inline char * UxXrtTable::GetXrtTblWidgetClassList (void) const
	{ return (char *) GetProp(XmNxrtTblWidgetClassList);}
inline void UxXrtTable::SetXrtTblWidgetClassList    (const char * val)
	{ SetProp(XmNxrtTblWidgetClassList, ((XtArgVal)(val)));}

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
