/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/3d widget UIM/X integration file
 *
 * $AstecId: Xrt3d.cl.h,v 1.2 1999/10/09 17:53:40 nakayama Exp $
 *
 *  SCCSID -- @(#)Xrt3d.cl.h	1.3    98/11/05 KL Group Inc.
 */

/******************************************************************************
				Xrt3d.cl.h
******************************************************************************/

#ifndef XRT3D_CL_H
#define XRT3D_CL_H

#include "prim.cl.h"	/* swidget-superclass header file */
#include "gadget.cl.h"	/* swidget-superclass header file */

/* Definition of the Xrt3d class structure */

typedef	struct UxXrt3dClassPart
{
	Resource_t		*RD_xrt3dAxisStrokeFont;
	Resource_t		*RD_xrt3dAxisStrokeSize;
	Resource_t		*RD_xrt3dAxisTitleStrokeFont;
	Resource_t		*RD_xrt3dAxisTitleStrokeSize;
	Resource_t		*RD_xrt3dBackgroundColor;
	Resource_t		*RD_xrt3dContourStyles;
	Resource_t		*RD_xrt3dDataAreaBackgroundColor;
	Resource_t		*RD_xrt3dDebug;
	Resource_t		*RD_xrt3dDistnMethod;
	Resource_t		*RD_xrt3dDistnTable;
	Resource_t		*RD_xrt3dDoubleBuffer;
	Resource_t		*RD_xrt3dDrawContours;
	Resource_t		*RD_xrt3dDrawHiddenLines;
	Resource_t		*RD_xrt3dDrawMesh;
	Resource_t		*RD_xrt3dDrawShaded;
	Resource_t		*RD_xrt3dDrawZones;
	Resource_t		*RD_xrt3dExposeCallback;
	Resource_t		*RD_xrt3dFooterAdjust;
	Resource_t		*RD_xrt3dFooterBackgroundColor;
	Resource_t		*RD_xrt3dFooterBorder;
	Resource_t		*RD_xrt3dFooterBorderWidth;
	Resource_t		*RD_xrt3dFooterFont;
	Resource_t		*RD_xrt3dFooterForegroundColor;
	Resource_t		*RD_xrt3dFooterHeight;
	Resource_t		*RD_xrt3dFooterStrings;
	Resource_t		*RD_xrt3dFooterWidth;
	Resource_t		*RD_xrt3dFooterX;
	Resource_t		*RD_xrt3dFooterXUseDefault;
	Resource_t		*RD_xrt3dFooterY;
	Resource_t		*RD_xrt3dFooterYUseDefault;
	Resource_t		*RD_xrt3dForegroundColor;
	Resource_t		*RD_xrt3dGraphBackgroundColor;
	Resource_t		*RD_xrt3dGraphBorder;
	Resource_t		*RD_xrt3dGraphBorderWidth;
	Resource_t		*RD_xrt3dGraphForegroundColor;
	Resource_t		*RD_xrt3dGraphHeight;
	Resource_t		*RD_xrt3dGraphHeightUseDefault;
	Resource_t		*RD_xrt3dGraphWidth;
	Resource_t		*RD_xrt3dGraphWidthUseDefault;
	Resource_t		*RD_xrt3dGraphX;
	Resource_t		*RD_xrt3dGraphXUseDefault;
	Resource_t		*RD_xrt3dGraphY;
	Resource_t		*RD_xrt3dGraphYUseDefault;
	Resource_t		*RD_xrt3dHeaderAdjust;
	Resource_t		*RD_xrt3dHeaderBackgroundColor;
	Resource_t		*RD_xrt3dHeaderBorder;
	Resource_t		*RD_xrt3dHeaderBorderWidth;
	Resource_t		*RD_xrt3dHeaderFont;
	Resource_t		*RD_xrt3dHeaderForegroundColor;
	Resource_t		*RD_xrt3dHeaderHeight;
	Resource_t		*RD_xrt3dHeaderStrings;
	Resource_t		*RD_xrt3dHeaderWidth;
	Resource_t		*RD_xrt3dHeaderX;
	Resource_t		*RD_xrt3dHeaderXUseDefault;
	Resource_t		*RD_xrt3dHeaderY;
	Resource_t		*RD_xrt3dHeaderYUseDefault;
	Resource_t		*RD_xrt3dLegendAnchor;
	Resource_t		*RD_xrt3dLegendBackgroundColor;
	Resource_t		*RD_xrt3dLegendBorder;
	Resource_t		*RD_xrt3dLegendBorderWidth;
	Resource_t		*RD_xrt3dLegendFont;
	Resource_t		*RD_xrt3dLegendForegroundColor;
	Resource_t		*RD_xrt3dLegendHeight;
	Resource_t		*RD_xrt3dLegendLabelFunc;
	Resource_t		*RD_xrt3dLegendOrientation;
	Resource_t		*RD_xrt3dLegendShow;
	Resource_t		*RD_xrt3dLegendStrings;
	Resource_t		*RD_xrt3dLegendStyle;
	Resource_t		*RD_xrt3dLegendWidth;
	Resource_t		*RD_xrt3dLegendX;
	Resource_t		*RD_xrt3dLegendXUseDefault;
	Resource_t		*RD_xrt3dLegendY;
	Resource_t		*RD_xrt3dLegendYUseDefault;
	Resource_t		*RD_xrt3dMapCallback;
	Resource_t		*RD_xrt3dMeshBottomColor;
	Resource_t		*RD_xrt3dMeshTopColor;
	Resource_t		*RD_xrt3dModifyCallback;
	Resource_t		*RD_xrt3dNumDistnLevels;
	Resource_t		*RD_xrt3dPerspectiveDepth;
	Resource_t		*RD_xrt3dPickCallback;
	Resource_t		*RD_xrt3dPreviewMethod;
	Resource_t		*RD_xrt3dProjectZMax;
	Resource_t		*RD_xrt3dProjectZMin;
	Resource_t		*RD_xrt3dRepaint;
	Resource_t		*RD_xrt3dResizeCallback;
	Resource_t		*RD_xrt3dRotateCallback;
	Resource_t		*RD_xrt3dSolidSurface;
	Resource_t		*RD_xrt3dSurfaceBottomColor;
	Resource_t		*RD_xrt3dSurfaceData;
	Resource_t		*RD_xrt3dSurfaceTopColor;
	Resource_t		*RD_xrt3dTextList;
	Resource_t		*RD_xrt3dTransformCallback;
	Resource_t		*RD_xrt3dType;
	Resource_t		*RD_xrt3dViewNormalized;
	Resource_t		*RD_xrt3dViewScale;
	Resource_t		*RD_xrt3dViewXTranslate;
	Resource_t		*RD_xrt3dViewYTranslate;
	Resource_t		*RD_xrt3dXAnnoMethod;
	Resource_t		*RD_xrt3dXAxisShow;
	Resource_t		*RD_xrt3dXAxisTitle;
	Resource_t		*RD_xrt3dXBarFormat;
	Resource_t		*RD_xrt3dXBarSpacing;
	Resource_t		*RD_xrt3dXDataLabels;
	Resource_t		*RD_xrt3dXGridLines;
	Resource_t		*RD_xrt3dXMax;
	Resource_t		*RD_xrt3dXMaxUseDefault;
	Resource_t		*RD_xrt3dXMeshFilter;
	Resource_t		*RD_xrt3dXMeshShow;
	Resource_t		*RD_xrt3dXMin;
	Resource_t		*RD_xrt3dXMinUseDefault;
	Resource_t		*RD_xrt3dXRotation;
	Resource_t		*RD_xrt3dXScale;
	Resource_t		*RD_xrt3dXValueLabels;
	Resource_t		*RD_xrt3dXYColors;
	Resource_t		*RD_xrt3dYAnnoMethod;
	Resource_t		*RD_xrt3dYAxisShow;
	Resource_t		*RD_xrt3dYAxisTitle;
	Resource_t		*RD_xrt3dYBarFormat;
	Resource_t		*RD_xrt3dYBarSpacing;
	Resource_t		*RD_xrt3dYDataLabels;
	Resource_t		*RD_xrt3dYGridLines;
	Resource_t		*RD_xrt3dYMax;
	Resource_t		*RD_xrt3dYMaxUseDefault;
	Resource_t		*RD_xrt3dYMeshFilter;
	Resource_t		*RD_xrt3dYMeshShow;
	Resource_t		*RD_xrt3dYMin;
	Resource_t		*RD_xrt3dYMinUseDefault;
	Resource_t		*RD_xrt3dYRotation;
	Resource_t		*RD_xrt3dYScale;
	Resource_t		*RD_xrt3dYValueLabels;
	Resource_t		*RD_xrt3dZAnnoMethod;
	Resource_t		*RD_xrt3dZAxisShow;
	Resource_t		*RD_xrt3dZAxisTitle;
	Resource_t		*RD_xrt3dZGridLines;
	Resource_t		*RD_xrt3dZMax;
	Resource_t		*RD_xrt3dZMaxUseDefault;
	Resource_t		*RD_xrt3dZMin;
	Resource_t		*RD_xrt3dZMinUseDefault;
	Resource_t		*RD_xrt3dZOrigin;
	Resource_t		*RD_xrt3dZRotation;
	Resource_t		*RD_xrt3dZScale;
	Resource_t		*RD_xrt3dZValueLabels;
	Resource_t		*RD_xrt3dZoneData;
	Resource_t		*RD_xrt3dZoneMethod;
	/* new Xrt3d 3.0 */
	Resource_t		*RD_xrt3dColorFunc;
	Resource_t		*RD_xrt3dDataStyles;
	Resource_t		*RD_xrt3dDataStylesUseDefault;
	Resource_t		*RD_xrt3dDrawDropLines;
	Resource_t		*RD_xrt3dFooterImage;
	Resource_t		*RD_xrt3dFooterImageLayout;
	Resource_t		*RD_xrt3dFooterImageMinimumSize;
	Resource_t		*RD_xrt3dGraphImage;
	Resource_t		*RD_xrt3dGraphImageLayout;
	Resource_t		*RD_xrt3dHeaderImage;
	Resource_t		*RD_xrt3dHeaderImageLayout;
	Resource_t		*RD_xrt3dHeaderImageMinimumSize;
	Resource_t		*RD_xrt3dImage;
	Resource_t		*RD_xrt3dImageLayout;
	Resource_t		*RD_xrt3dLegendDistnRange;
	Resource_t		*RD_xrt3dLegendImage;
	Resource_t		*RD_xrt3dLegendImageLayout;
	Resource_t		*RD_xrt3dLegendLabelFilter;
	Resource_t		*RD_xrt3dLegendTitle;
	Resource_t		*RD_xrt3dXGridLineStyle;
	Resource_t		*RD_xrt3dXGridLineStyleUseDefault;
	Resource_t		*RD_xrt3dYGridLineStyle;
	Resource_t		*RD_xrt3dYGridLineStyleUseDefault;
	Resource_t		*RD_xrt3dZGridLineStyle;
	Resource_t		*RD_xrt3dZGridLineStyleUseDefault;
	int	mumble;		/* Just in case */
} UxXrt3dClassPart;

/* Definition of the Xrt3dText class structure */

typedef	struct UxXrt3dTextClassPart
{
	Resource_t		*RD_xrt3dTextAdjust;
	Resource_t		*RD_xrt3dTextAttachIndexX;
	Resource_t		*RD_xrt3dTextAttachIndexY;
	Resource_t		*RD_xrt3dTextAttachMethod;
	Resource_t		*RD_xrt3dTextAttachPixelX;
	Resource_t		*RD_xrt3dTextAttachPixelY;
	Resource_t		*RD_xrt3dTextAttachPointX;
	Resource_t		*RD_xrt3dTextAttachPointY;
	Resource_t		*RD_xrt3dTextAttachPointZ;
	Resource_t		*RD_xrt3dTextBackgroundColor;
	Resource_t		*RD_xrt3dTextBorder;
	Resource_t		*RD_xrt3dTextBorderWidth;
	Resource_t		*RD_xrt3dTextFont;
	Resource_t		*RD_xrt3dTextForegroundColor;
	Resource_t		*RD_xrt3dTextLineShow;
	Resource_t		*RD_xrt3dTextOffsetX;
	Resource_t		*RD_xrt3dTextOffsetY;
	Resource_t		*RD_xrt3dTextPrintFont;
	Resource_t		*RD_xrt3dTextPlane;
	Resource_t		*RD_xrt3dTextShow;
	Resource_t		*RD_xrt3dTextStrings;
	Resource_t		*RD_xrt3dTextStrokeFont;
	Resource_t		*RD_xrt3dTextStrokeSize;
	/* new Xrt3d 3.0 */
	Resource_t		*RD_xrt3dTextAttachIndexPoint;
	Resource_t		*RD_xrt3dTextAttachIndexSeries;
	Resource_t		*RD_xrt3dTextImage;
	Resource_t		*RD_xrt3dTextImageLayout;
	Resource_t		*RD_xrt3dTextImageMinimumSize;
	int	mumble;		/* Just in case */
} UxXrt3dTextClassPart;

typedef	struct	UxXrt3dClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxCoreClassPart			Core;
	UxPrimitiveClassPart	primitive;
	UxXrt3dClassPart		Xrt3d;
} UxXrt3dClass;

/* Definition of the Xrt3d instance structure
   (there are no instance properties so the Xrt3d instance structure
    is the same as the primitive instance structure) */

typedef	primitive	UxXrt3d;

typedef struct UxXrt3dText {
	int mumble;
} UxXrt3dText;

typedef	struct	UxXrt3dTextClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrt3dTextClassPart	Xrt3dText;
} UxXrt3dTextClass;

typedef struct Xrt3dTextObject {
	UxObjectPart    		objectPart;
	UxVeditablePart			veditablePart;
	UxShadowWidgetPart      ShadowWidgetPart;
	UxRectObjectPart        RectObjectPart;
	UxGadgetPart			gadgetPart;
	UxXrt3dText				Xrt3dTextPart;
} Xrt3dTextObject;

/* Declarations of global variables for Xrt3d class */

extern Class_t	UxC_Xrt3d;
extern Class_t	UxC_Xrt3dText;

#include "Xrt_restable.h"

#endif /* XRT3D_CL_H */
