/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: XrtGear_xtype.h,v 1.2 1999/10/09 17:53:40 nakayama Exp $
 *
 *  SCCSID -- @(#)XrtGear_xtype.h	1.8    98/11/05 KL Group Inc.
 */

/*****************************************************************************
				XrtGear_xtype.h
*****************************************************************************/

#ifndef XRTGEAR_XTYPES_H
#define XRTGEAR_XTYPES_H

/* Xtypes that are declaired in XrtGear_xtype.c */

extern int		UxXT_XrtGearArmMask;
extern int		UxXT_XrtGearArmPixmap; 			
extern int		UxXT_XrtGearAlignerAlignment;
extern int		UxXT_XrtGearAlignment;
extern int		UxXT_XrtGearAnchorSide;
extern int		UxXT_XrtGearBorderType;
extern int		UxXT_XrtGearChildType;
extern int		UxXT_XrtGearIndicator;
extern int		UxXT_XrtGearIndicatorPixmapList;
extern int		UxXT_XrtGearIndicatorMaskList;
extern int		UxXT_XrtGearMask;
extern int		UxXT_XrtGearPageAttachPolicy;		
extern int		UxXT_XrtGearPixmap;
extern int		UxXT_XrtGearRotation;
extern int		UxXT_XrtGearTabSide;
extern int		UxXT_XrtGearStringLayout;
extern int		UxXT_XrtGearStyle;
extern int		UxXT_XrtGearType;
extern int		UxXT_XrtGearWidget;

extern int		UxXT_XrtGearArrowType;
extern int		UxXT_XrtGearBorderLocation;
extern int		UxXT_XrtGearColumnResizePolicy;
extern int		UxXT_XrtGearColumn;
extern int		UxXT_XrtGearCursor;
extern int		UxXT_XrtGearDisplayPolicy;
extern int		UxXT_XrtGearFolderStateMask;
extern int		UxXT_XrtGearIcon;
extern int		UxXT_XrtGearImportPolicy;
extern int		UxXT_XrtGearIndentPolicy;
extern int		UxXT_XrtGearLineStyle;
extern int		UxXT_XrtGearMenuAlignment;
extern int		UxXT_XrtGearNodeMovePolicy;
extern int		UxXT_XrtGearNodeStyle;
extern int		UxXT_XrtGearProgressType;
extern int		UxXT_XrtGearPSFontMapList;
extern int		UxXT_XrtGearSelectionPolicy;
extern int		UxXT_XrtGearSelectionRestrictions;
extern int		UxXT_XrtGearSearchPolicy;
extern int		UxXT_XrtGearSizingPolicy;
extern int		UxXT_XrtGearString;
extern int		UxXT_XrtGearStringTable;
extern int		UxXT_XrtGearTextClipPolicy;
extern int		UxXT_XrtGearUlong;
extern int		UxXT_XrtGearWidgetResizePolicy;
extern int		UxXT_XrtGearEditType;

#ifdef SOLARIS
extern int              UxXT_XrtGearPixel;
#endif /* SOLARIS */

/* XrtGear Specific function pointers */

extern int		UxValuesOfXrtGearAlignerAlignment();
extern int		UxValuesOfXrtGearAlignment();
extern int		UxValuesOfXrtGearAnchorSide();
extern int		UxValuesOfXrtGearBorderType();
extern int		UxValuesOfXrtGearChildType();
extern int		UxValuesOfXrtGearIndicator();
extern int		UxValuesOfXrtGearMask();
extern int		UxValuesOfXrtGearIndicatorPixmapList();
extern int		UxValuesOfXrtGearIndicatorMaskList();
extern int		UxValuesOfXrtGearPageAttachPolicy();
extern int		UxValuesOfXrtGearPSFontMapList();
extern int		UxValuesOfXrtGearPixmap();
extern int		UxValuesOfXrtGearRotation();
extern int		UxValuesOfXrtGearTabSide();
extern int		UxValuesOfXrtGearStringLayout();
extern int		UxValuesOfXrtGearStyle();
extern int		UxValuesOfXrtGearType();

extern int		UxValuesOfXrtGearArrowType();
extern int		UxValuesOfXrtGearMenuAlignment();
extern int		UxValuesOfXrtGearProgressType();
extern int		UxValuesOfXrtGearBorderLocation();
extern int		UxValuesOfXrtGearColumnResizePolicy();
extern int		UxValuesOfXrtGearDisplayPolicy();
extern int		UxValuesOfXrtGearImportPolicy();
extern int		UxValuesOfXrtGearIndentPolicy();
extern int		UxValuesOfXrtGearLineStyle();
extern int		UxValuesOfXrtGearNodeMovePolicy();
extern int		UxValuesOfXrtGearSelectionPolicy();
extern int		UxValuesOfXrtGearSearchPolicy();
extern int		UxValuesOfXrtGearSizingPolicy();
extern int		UxValuesOfXrtGearTextClipPolicy();
extern int		UxValuesOfXrtGearWidgetResizePolicy();
extern int		UxValuesOfXrtGearString();
extern int		UxValuesOfXrtGearIcon();
extern int		UxValuesOfXrtGearFolderStateMask();
extern int		UxValuesOfXrtGearSelectionRestrictions();
extern int		UxValuesOfXrtGearPickListIndex();

extern int		UxValuesOfXrtGearEditType();

extern int		UxValidateXrtGearAlignerAlignment();
extern int		UxValidateXrtGearAlignment();
extern int		UxValidateXrtGearAnchorSide();
extern int		UxValidateXrtGearBorderType();
extern int		UxValidateXrtGearChildType();
extern int		UxValidateXrtGearIndicator();
extern int		UxValidateXrtGearPageAttachPolicy();
extern int		UxValidateXrtGearPagePosition();
extern int		UxValidateXrtGearRotation();
extern int		UxValidateXrtGearTabSide();
extern int		UxValidateXrtGearStringLayout();
extern int		UxValidateXrtGearStyle();
extern int		UxValidateXrtGearType();

extern int		UxValidateXrtGearArrowType();
extern int		UxValidateXrtGearMenuAlignment();
extern int		UxValidateXrtGearProgressType();
extern int		UxValidateXrtGearBorderLocation();
extern int		UxValidateXrtGearColumnResizePolicy();
extern int		UxValidateXrtGearDisplayPolicy();
extern int		UxValidateXrtGearImportPolicy();
extern int		UxValidateXrtGearIndentPolicy();
extern int		UxValidateXrtGearLineStyle();
extern int		UxValidateXrtGearNodeMovePolicy();
extern int		UxValidateXrtGearSelectionPolicy();
extern int		UxValidateXrtGearSearchPolicy();
extern int		UxValidateXrtGearSizingPolicy();
extern int		UxValidateXrtGearWidgetResizePolicy();
extern int		UxValidateXrtGearTextClipPolicy();
extern int		UxValidateXrtGearPickListIndex();
extern int		UxValidateXrtGearEditType();


#endif /* XRTGEAR_XTYPES_H */

