/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/table widget UIM/X integration file
 *
 * $AstecId: XrtTbl_xtype.h,v 1.2 1999/10/09 17:53:40 nakayama Exp $
 *
 *  SCCSID -- @(#)XrtTbl_xtype.h	1.8    98/11/05 KL Group Inc.
 */

/******************************************************************************
				XrtTbl_xtype.h
******************************************************************************/

#ifndef XRTTBL_XTYPES_H
#define XRTTBL_XTYPES_H

/* Xtypes that are initialized in XrtTbl_xtype.c */

extern int     UxXT_XrtTblAlignment;
extern int     UxXT_XrtTblAlignmentSeries;
extern int     UxXT_XrtTblAttachment;
extern int     UxXT_XrtTblBooleanSeries;
extern int     UxXT_XrtTblBorderSides;
extern int     UxXT_XrtTblBorderSidesSeries;
extern int     UxXT_XrtTblBorderType;
extern int     UxXT_XrtTblBorderTypeSeries;
extern int     UxXT_XrtTblCase;
extern int     UxXT_XrtTblCaseSeries;
extern int     UxXT_XrtTblCellSizeSeries;
extern int     UxXT_XrtTblCellValues;
extern int     UxXT_XrtTblColorSeries;
extern int     UxXT_XrtTblColumnPlacement;
extern int     UxXT_XrtTblContext;
extern int     UxXT_XrtTblCursorCorner;
extern int     UxXT_XrtTblCursorHorizontal;
extern int     UxXT_XrtTblCursorNonTrvrsbl;
extern int     UxXT_XrtTblCursorTrvrsbl;
extern int     UxXT_XrtTblCursorVertical;
extern int     UxXT_XrtTblCursor;
extern int     UxXT_XrtTblDataType;
extern int     UxXT_XrtTblDataTypeSeries;
extern int     UxXT_XrtTblDispScrollBar;
extern int     UxXT_XrtTblDoubleBuffer;
extern int     UxXT_XrtTblFontList;
extern int     UxXT_XrtTblFontListSeries;
extern int     UxXT_XrtTblIntSeries;
extern int     UxXT_XrtTblLabelBorderType;
extern int     UxXT_XrtTblLocation;
extern int     UxXT_XrtTblMode;				
extern int     UxXT_XrtTblJumpScroll;
extern int     UxXT_XrtTblOverflow;
extern int     UxXT_XrtTblOverflowSeries;
extern int     UxXT_XrtTblPixmap;
extern int     UxXT_XrtTblPixmapLayout;
extern int     UxXT_XrtTblPixmapLayoutSeries;
extern int     UxXT_XrtTblPixmapSeries;
extern int     UxXT_XrtTblPSFontMapList;	
extern int     UxXT_XrtTblRange;
extern int     UxXT_XrtTblRangeList;
extern int     UxXT_XrtTblRepaint;
extern int     UxXT_XrtTblResize;
extern int     UxXT_XrtTblRotation;
extern int     UxXT_XrtTblRowPlacement;
extern int     UxXT_XrtTblSBPosition;
extern int     UxXT_XrtTblSelectionPolicy;
extern int     UxXT_XrtTblStringSeries;
extern int     UxXT_XrtTblStringTable;
extern int     UxXT_XrtTblValidatePolicy;
extern int     UxXT_XrtTblWidgetSeries;
extern int     UxXT_XrtTblXmStringGetMode;		
extern int     UxXT_XrtTblXmStringList;		
extern int     UxXT_XrtTblXmStringSetMode;		

extern int     UxXT_XrtTblCurrencyPickList;
extern int     UxXT_XrtTblCurrencyPickListSeries;
extern int     UxXT_XrtTblDatePickList;
extern int     UxXT_XrtTblDatePickListSeries;
extern int     UxXT_XrtTblFloatPickList;
extern int     UxXT_XrtTblFloatPickListSeries;
extern int     UxXT_XrtTblIntPickList;
extern int     UxXT_XrtTblIntPickListSeries;
extern int     UxXT_XrtTblPreviewScrolling;
extern int     UxXT_XrtTblSensitiveSeries;
extern int     UxXT_XrtTblStringPickList;
extern int     UxXT_XrtTblStringPickListSeries;

/* XrtTable Specific function pointers */

extern int     UxValuesOfXrtTblAlignment();
extern int     UxValuesOfXrtTblAlignmentSeries();
extern int     UxValuesOfXrtTblAttachment();
extern int     UxValuesOfXrtTblBooleanSeries();
extern int     UxValuesOfXrtTblBorderSides();
extern int     UxValuesOfXrtTblBorderSidesSeries();
extern int     UxValuesOfXrtTblBorderType();
extern int     UxValuesOfXrtTblBorderTypeSeries();
extern int     UxValuesOfXrtTblCase();
extern int     UxValuesOfXrtTblCaseSeries();
extern int     UxValuesOfXrtTblCellSizeSeries();
extern int     UxValuesOfXrtTblCellValues();
extern int     UxValuesOfXrtTblColorSeries();
extern int     UxValuesOfXrtTblColumnPlacement();
extern int     UxValuesOfXrtTblContext();
extern int     UxValuesOfXrtTblCursor();
extern int     UxValuesOfXrtTblDataType();
extern int     UxValuesOfXrtTblDataTypeSeries();
extern int     UxValuesOfXrtTblDispScrollBar();
extern int     UxValuesOfXrtTblDoubleBuffer();
extern int     UxValuesOfXrtTblFontList();
extern int     UxValuesOfXrtTblFontListSeries();
extern int     UxValuesOfXrtTblIntSeries();
extern int     UxValuesOfXrtTblJumpScroll();
extern int     UxValuesOfXrtTblLabelBorderType();
extern int     UxValuesOfXrtTblLocation();
extern int     UxValuesOfXrtTblMode();					
extern int     UxValuesOfXrtTblOverflow();
extern int     UxValuesOfXrtTblOverflowSeries();
extern int     UxValuesOfXrtTblPixel();
extern int     UxValuesOfXrtTblPixmap();
extern int     UxValuesOfXrtTblPixmapLayout();
extern int     UxValuesOfXrtTblPixmapLayoutSeries();
extern int     UxValuesOfXrtTblPixmapSeries();
extern int     UxValuesOfXrtTblPSFontMapList();				
extern int     UxValuesOfXrtTblRange();
extern int     UxValuesOfXrtTblRangeList();
extern int     UxValuesOfXrtTblRepaint();
extern int     UxValuesOfXrtTblResize();
extern int     UxValuesOfXrtTblRotation();
extern int     UxValuesOfXrtTblRowPlacement();
extern int     UxValuesOfXrtTblSBPosition();
extern int     UxValuesOfXrtTblSelectionPolicy();
extern int     UxValuesOfXrtTblStringSeries();
extern int     UxValuesOfXrtTblStringTable();				
extern int     UxValuesOfXrtTblValidatePolicy();
extern int     UxValuesOfXrtTblWidgetSeries();
extern int     UxValuesOfXrtTblXmStringGetMode();			
extern int     UxValuesOfXrtTblXmStringList();
extern int     UxValuesOfXrtTblXmStringSetMode();			

extern int     UxValuesOfXrtTblCurrencyPickList();
extern int     UxValuesOfXrtTblCurrencyPickListSeries();
extern int     UxValuesOfXrtTblDatePickList();
extern int     UxValuesOfXrtTblDatePickListSeries();
extern int     UxValuesOfXrtTblFloatPickList();
extern int     UxValuesOfXrtTblFloatPickListSeries();
extern int     UxValuesOfXrtTblIntPickList();
extern int     UxValuesOfXrtTblIntPickListSeries();
extern int     UxValuesOfXrtTblPreviewScrolling();
extern int     UxValuesOfXrtTblSensitiveSeries();
extern int     UxValuesOfXrtTblStringPickList();
extern int     UxValuesOfXrtTblStringPickListSeries();

extern int     UxValidateXrtTblAlignment();
extern int     UxValidateXrtTblAttachment();
extern int     UxValidateXrtTblBorderSides();
extern int     UxValidateXrtTblBorderType();
extern int     UxValidateXrtTblCase();
extern int     UxValidateXrtTblCellValues();
extern int     UxValidateXrtTblColumnPlacement();
extern int     UxValidateXrtTblDataType();
extern int     UxValidateXrtTblDispScrollBar();
extern int     UxValidateXrtTblDoubleBuffer();
extern int     UxValidateXrtTblLabelBorderType();
extern int     UxValidateXrtTblLocation();
extern int     UxValidateXrtTblMode();				
extern int     UxValidateXrtTblJumpScroll();
extern int     UxValidateXrtTblOverflow();
extern int     UxValidateXrtTblPixmapLayout();
extern int     UxValidateXrtTblRepaint();
extern int     UxValidateXrtTblResize();
extern int     UxValidateXrtTblRotation();
extern int     UxValidateXrtTblRowPlacement();
extern int     UxValidateXrtTblSelectionPolicy();
extern int     UxValidateXrtTblSBPosition();
extern int     UxValidateXrtTblValidatePolicy();
extern int     UxValidateXrtTblXmStringGetMode();		
extern int     UxValidateXrtTblXmStringSetMode();		

extern int     UxValidateXrtTblCurrencyPickList();
extern int     UxValidateXrtTblCurrencyPickListSeries();
extern int     UxValidateXrtTblDatePickList();
extern int     UxValidateXrtTblDatePickListSeries();
extern int     UxValidateXrtTblFloatPickList();
extern int     UxValidateXrtTblFloatPickListSeries();
extern int     UxValidateXrtTblIntPickList();
extern int     UxValidateXrtTblIntPickListSeries();
extern int     UxValidateXrtTblPreviewScrolling();
extern int     UxValidateXrtTblSensitiveSeries();
extern int     UxValidateXrtTblStringPickList();
extern int     UxValidateXrtTblStringPickListSeries();

#endif /* XRTTBL_XTYPES_H */
