/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 *  SCCSID -- @(#)Xrt_restable.h	1.8    98/11/05 KL Group Inc.
 */

/******************************************************************************
				Xrt_restable.h
******************************************************************************/

#ifndef XRT_RESTABLE_H
#define XRT_RESTABLE_H

#include <stdlib.h>

#include "vh_layout.h"
#include "UxLib.h"
#include "XrtGph_resnum.h"
#include "Xrt3d_resnum.h"
#include "XrtTbl_resnum.h"
#include "XrtFld_resnum.h"
#include "XrtGear_resnum.h"
#include "XrtGauge_resnum.h"

typedef enum {
	XRTGPH_BOOL = 0,
	XRTGPH_CALLBACK,
	XRTGPH_COLOR,
	XRTGPH_FLOAT,
	XRTGPH_FONT_LIST,          
	XRTGPH_LONG,
	XRTGPH_INT,
	XRTGPH_SHORT,
	XRTGPH_STRING,
	XRTGPH_ADJUST,
	XRTGPH_ALIGN,
	XRTGPH_ANCHOR,
	XRTGPH_ANGLEUNIT,          
	XRTGPH_BORDER,
	XRTGPH_DATA,
	XRTGPH_DATA2,
	XRTGPH_DATASTYLE,
	XRTGPH_DATASTYLES,
	XRTGPH_MARKERMETHOD,       
	XRTGPH_PIEORDER,
	XRTGPH_PIETHRESHOLDMETHOD,
	XRTGPH_ROTATE,
	XRTGPH_SHADING,          
	XRTGPH_STRINGS,
	XRTGPH_TIMEUNIT,
	XRTGPH_TYPE,
	XRTGPH_VALUELABELS,
	XRTGPH_ANNOTATIONMETHOD,
	XRTGPH_ANNOPLACEMENT,
	XRTGPH_ORIGINPLACEMENT,
	XRTGPH_NUMMETHOD,

	XRTGPH_BUBBLEMETHOD,
	XRTGPH_IMAGE,
	XRTGPH_IMAGELAYOUT,
	XRTGPH_VOIDFUNCTION
} XrtGphResDataType;

typedef enum {
	XRT3D_UX_BOOL = 0,
	XRT3D_UX_CALLBACK,
	XRT3D_UX_COLOR,
	XRT3D_UX_DOUBLE,
	XRT3D_UX_INT,
	XRT3D_UX_SHORT,
	XRT3D_UX_STRING,
	XRT3D_UX_VOIDFUNCTION,
	XRT3D_UX_FONT_LIST,     
	XRT3D_UX_ADJUST,
	XRT3D_UX_ALIGN,
	XRT3D_UX_ANCHOR,
	XRT3D_UX_ANNOMETHOD,
	XRT3D_UX_ATTACHMETHOD,
	XRT3D_UX_BARFORMAT,
	XRT3D_UX_BORDER,
	XRT3D_UX_CONTOURSTYLES,
	XRT3D_UX_DISTNMETHOD,
	XRT3D_UX_DISTNTABLE,
	XRT3D_UX_LEGENDSTYLE,
	XRT3D_UX_PREVIEWMETHOD,
	XRT3D_UX_PLANE,
	XRT3D_UX_PROJECT,
	XRT3D_UX_STRINGS,
	XRT3D_UX_STROKEFONT,
	XRT3D_UX_SURFACEDATA,
	XRT3D_UX_TEXTLIST,
	XRT3D_UX_TYPE,
	XRT3D_UX_VALUELABELS,
	XRT3D_UX_XYCOLORS,
	XRT3D_UX_XGRIDLINES,
	XRT3D_UX_YGRIDLINES,
	XRT3D_UX_ZGRIDLINES,
	XRT3D_UX_ZONEDATA,
	XRT3D_UX_ZONEMETHOD,

	XRT3D_UX_DATASTYLES,
	XRT3D_UX_DISTNRANGE,
	XRT3D_UX_IMAGE,
	XRT3D_UX_IMAGELAYOUT,
	XRT3D_UX_LINESTYLE
} Xrt3dResDataType;

typedef enum {
	XRTTBL_ALIGNMENT = 0,
	XRTTBL_ALIGNMENT_LABEL,
	XRTTBL_ALIGNMENT_SERIES,
	XRTTBL_ATTACHMENT,
	XRTTBL_BOOLEAN,
	XRTTBL_BOOLEAN_SERIES,
	XRTTBL_BORDER_SIDES,
	XRTTBL_BORDER_SIDES_SERIES,
	XRTTBL_BORDER_TYPE,
	XRTTBL_BORDER_TYPE_SERIES,
	XRTTBL_CASE,
	XRTTBL_CASE_SERIES,
	XRTTBL_CALLBACK,
	XRTTBL_CELL_SIZE_SERIES,
	XRTTBL_CELL_VALUES,
	XRTTBL_COLOR,
	XRTTBL_COLOR_SERIES,
	XRTTBL_COLUMN_PLACEMENT,
	XRTTBL_CONTEXT,
	XRTTBL_CURSOR_CORNER,
	XRTTBL_CURSOR_HORIZONTAL,
	XRTTBL_CURSOR_NON_TRAVERSABLE,
	XRTTBL_CURSOR_TRAVERSABLE,
	XRTTBL_CURSOR_VERTICAL,
	XRTTBL_DATA_TYPE,
	XRTTBL_DATA_TYPE_SERIES,
	XRTTBL_DISP_SCROLLBAR,
	XRTTBL_DOUBLE_BUFFER,
	XRTTBL_FONT_LIST,
	XRTTBL_FONT_LIST_SERIES,
	XRTTBL_INT,
	XRTTBL_INT_SERIES,
	XRTTBL_JUMP_SCROLL,
	XRTTBL_LABEL_BORDER_TYPE,
	XRTTBL_LOCATION,
	XRTTBL_MODE,
	XRTTBL_OVERFLOW,
	XRTTBL_OVERFLOW_SERIES,
	XRTTBL_PIXMAP,
	XRTTBL_PIXMAP_LAYOUT,
	XRTTBL_PIXMAP_LAYOUT_SERIES,
	XRTTBL_PIXMAP_SERIES,
	XRTTBL_PS_FONT_MAP_LIST,
	XRTTBL_RANGE,
	XRTTBL_RANGE_LIST,
	XRTTBL_REPAINT,
	XRTTBL_RESIZE,
	XRTTBL_ROTATION,
	XRTTBL_ROW_PLACEMENT,
	XRTTBL_SELECTION_POLICY,
	XRTTBL_SCROLLBAR_POSITION,
	XRTTBL_SHORT,
	XRTTBL_STRING,
	XRTTBL_STRING_DIRECTION,
	XRTTBL_STRING_TABLE,
	XRTTBL_STRING_SERIES,
	XRTTBL_TYPE,
	XRTTBL_VALIDATE_POLICY,
	XRTTBL_VOID_FUNCTION,
	XRTTBL_WIDGET_CLASS_LIST,
	XRTTBL_WIDGET,
	XRTTBL_WIDGET_SERIES,
	XRTTBL_XMSTRING,
	XRTTBL_XMSTRING_GET,
	XRTTBL_XMSTRING_LIST,
	XRTTBL_XMSTRING_SET,
	XRTTBL_XPIXEL,

	XRTTBL_CURRENCY_PICKLIST,
	XRTTBL_CURRENCY_PICKLIST_SERIES,
	XRTTBL_DATE_PICKLIST,
	XRTTBL_DATE_PICKLIST_SERIES,
	XRTTBL_FLOAT_PICKLIST,
	XRTTBL_FLOAT_PICKLIST_SERIES,
	XRTTBL_INT_PICKLIST,
	XRTTBL_INT_PICKLIST_SERIES,
	XRTTBL_PREVIEW_SCROLLING,
	XRTTBL_STRING_PICKLIST,
	XRTTBL_STRING_PICKLIST_SERIES
} XrtTblResDataType;

typedef enum {
	XRTFLD_ARROW_TYPE = 0, 
	XRTFLD_BOOLEAN,
	XRTFLD_CALLBACK,
	XRTFLD_CASE,
	XRTFLD_COLOR,
	XRTFLD_DATE,
	XRTFLD_DATE_INCREMENT,
	XRTFLD_DISP_SCROLLBAR,
	XRTFLD_DOUBLE,
	XRTFLD_ERROR,
	XRTFLD_FIELD_TYPE,
	XRTFLD_FORMAT,
	XRTFLD_INT,
	XRTFLD_LONG,
	XRTFLD_MATCH_MASK,
	XRTFLD_MENU_ALIGNMENT,  
	XRTFLD_MULTI_TYPE_LIST,
	XRTFLD_NEG_FORMAT,
	XRTFLD_RANGE,
	XRTFLD_SEARCH_POLICY, 
	XRTFLD_SHORT, 
	XRTFLD_SPIN_ARROW_LAYOUT,
	XRTFLD_SPIN_ARROW_ORIENTATION,
	XRTFLD_SPIN_TYPE,
	XRTFLD_STRING,
	XRTFLD_STRING_TABLE,
	XRTFLD_WIDGET,
	XRTFLD_WIDGET_CLASS,
	XRTFLD_XMSTRING,

	XRTFLD_POPUP_TYPE,
	XRTFLD_FONT_LIST,
	XRTFLD_SPECIAL_DAYS,
	XRTFLD_SPIN_POLICY
} XrtFldResDataType;

typedef enum {
	XRTGEAR_ARM_MASK = 0,	
	XRTGEAR_ARM_PIXMAP,	
	XRTGEAR_ALIGNER_ALIGNMENT,	
	XRTGEAR_ALIGNMENT,	
	XRTGEAR_ANCHOR_SIDE,	
	XRTGEAR_BOOLEAN,
	XRTGEAR_BORDER_TYPE,
	XRTGEAR_CALLBACK,
	XRTGEAR_CHILD_TYPE,	
	XRTGEAR_INDICATOR,	
	XRTGEAR_INDICATOR_MASK_LIST,
	XRTGEAR_INDICATOR_PIXMAP_LIST,
	XRTGEAR_INT,
	XRTGEAR_MASK,
	XRTGEAR_ORIENTATION,	
	XRTGEAR_PAGE_ATTACH_POLICY,
	XRTGEAR_PIXEL,
	XRTGEAR_PIXMAP,	
	XRTGEAR_ROTATION,	
	XRTGEAR_SHORT,
	XRTGEAR_STRING_LAYOUT, 
	XRTGEAR_STYLE,	
	XRTGEAR_TAB_SIDE,	
	XRTGEAR_TYPE,				
	XRTGEAR_WIDGET,
	XRTGEAR_WIDGET_CLASS,
	/* New in gear 2.0 */	
	XRTGEAR_ARROW_TYPE,
	XRTGEAR_BORDER_LOCATION,
	XRTGEAR_CHAR,
	XRTGEAR_COLUMN,
	XRTGEAR_COLUMN_RESIZE_POLICY,
	XRTGEAR_CURSOR,
	XRTGEAR_DISPLAY_POLICY,
	XRTGEAR_FONT_LIST,
	XRTGEAR_FOLDER_STATE_MASK,
	XRTGEAR_FUNCTION,
	XRTGEAR_GEAR_STRING,
	XRTGEAR_ICON,
	XRTGEAR_IMPORT_POLICY,
	XRTGEAR_INDENT_POLICY,
	XRTGEAR_LINE_STYLE,
	XRTGEAR_MENU_ALIGNMENT,
	XRTGEAR_NODE_MOVE_POLICY,
	XRTGEAR_NODE_STYLE,
	XRTGEAR_POSITION,
	XRTGEAR_PROGRESS_TYPE,
	XRTGEAR_PS_FONT_MAP_LIST,
	XRTGEAR_SCROLLBAR_PLACEMENT,
	XRTGEAR_SELECTION_POLICY,
	XRTGEAR_SELECTION_RESTRICTIONS,
	XRTGEAR_SEARCH_POLICY,
	XRTGEAR_SIZING_POLICY,
	XRTGEAR_STRING,
	XRTGEAR_STRING_TABLE,
	XRTGEAR_TEXT_CLIP_POLICY,
	XRTGEAR_TREE_DATA,
	XRTGEAR_ULONG,
	XRTGEAR_WIDGET_RESIZE_POLICY,
	XRTGEAR_EDIT_TYPE,
	XRTGEAR_PICKLIST_INDEX
} XrtGearResDataType;

typedef enum {
	XRTGA_XM_BOOLEAN,
	XRTGA_XM_FONTLIST,
	XRTGA_XM_FUNCTION,
	XRTGA_XM_INT,
	XRTGA_XM_ORIENTATION,
	XRTGA_XM_PIXEL,
	XRTGA_XM_STRING,
	XRTGA_XM_XMSTRING,
	XRTGA_ALIGNMENT,
	XRTGA_BORDER,
	XRTGA_CALC_MODE,
	XRTGA_CALLBACK,
	XRTGA_DIRECTION,
	XRTGA_DISPLAY_MODE,
	XRTGA_DOUBLE,
	XRTGA_IMAGE,
	XRTGA_IMAGE_LAYOUT,
	XRTGA_INDICATOR_TYPE,
	XRTGA_INTERACTION_TYPE,
	XRTGA_LINE_PATTERN,
	XRTGA_MARKER_TYPE,
	XRTGA_NEEDLE_TYPE,
	XRTGA_OBJECT,
	XRTGA_OBJECT_LIST,
	XRTGA_OFFSET_TYPE,
	XRTGA_SHAPE,
	XRTGA_SIZING_POLICY,
	XRTGA_STRING_MODE,
	XRTGA_SWITCH_TYPE,
	XRTGA_TICK_TYPE,
	XRTGA_VALUE_TYPE
} XrtGaugeResDataType;

typedef union {
	XrtGphResDataType	type_graph;
	Xrt3dResDataType	type_3d;
	XrtTblResDataType	type_table;
	XrtFldResDataType	type_field;
	XrtGearResDataType	type_gear;
	XrtGaugeResDataType	type_gauge;
} XrtResDataType;

typedef enum {
	XRTDIV_CORE = 0,
	XRTDIV_SPECIFIC = 1,
	XRTDIV_BEHAVIOR = 2,
	XRTDIV_CONSTRAINT = 3,
	XRTDIV_DECL = 4,
	XRTDIV_COMPOUND = 5
} XrtDivision;

typedef enum {
	XRTPASS0 = 0,
	XRTPASS1 = 1,
	XRTPASS2 = 2
} XrtPass;

typedef struct	{
	XrtResDataType		datatype;			/* data type of resource */
	short				utype;
	int					xtype;
	int					convert_flag;
	char				*converter;
	int					(*values_of)();
	int					(*validate)();
	swidget				(*edit_func)();
	int					(*get_func)();
	int					(*put_func)();
} XrtResourceType;

typedef struct {
	char				*name;
	char				*rd_name;
	char				*xt_name;
	char				*xt_name_def;
	XrtGphResDataType	res_type;
	binptr				prpty;
	int					offset;
	XrtDivision			division;
	XrtPass				pass;
	XrtResourceType		*type;
	int					resnum;
	Boolean				readonly;
	Boolean				used;
} XrtGphResourceDesc;

typedef struct {
	char				*name;
	char				*rd_name;
	char				*xt_name;
	char				*xt_name_def;
	Xrt3dResDataType	res_type;
	binptr				prpty;
	int					offset;
	XrtDivision			division;
	XrtPass				pass;
	XrtResourceType		*type;
	int					resnum;
	Boolean				readonly;
	Boolean				used;
} Xrt3dResourceDesc;

typedef struct {
	char				*name;
	char				*rd_name;
	char				*xt_name;
	char				*xt_name_def;
	XrtTblResDataType	res_type;
	binptr				prpty;
	int					offset;
	XrtDivision			division;
	XrtPass				pass;
	XrtResourceType		*type;
	int					resnum;
	Boolean				readonly;
	Boolean				used;
} XrtTblResourceDesc;

typedef struct {
	char				*name;
	char				*rd_name;
	char				*xt_name;
	char				*xt_name_def;
	XrtFldResDataType	res_type;
	binptr				prpty;
	int					offset;
	XrtDivision			division;
	XrtPass				pass;
	XrtResourceType		*type;
	int					resnum;
	Boolean				readonly;
	Boolean				used;
} XrtFldResourceDesc;

typedef struct {
	char				*name;
	char				*rd_name;
	char				*xt_name;
	char				*xt_name_def;
	XrtGearResDataType	res_type;
	binptr				prpty;
	int					offset;
	XrtDivision			division;
	XrtPass				pass;
	XrtResourceType		*type;
	int					resnum;
	Boolean				readonly;
	Boolean				used;
} XrtGearResourceDesc;

typedef struct {
	char				*name;
	char				*rd_name;
	char				*xt_name;
	char				*xt_name_def;
	XrtGaugeResDataType	res_type;
	binptr				prpty;
	int					offset;
	XrtDivision			division;
	XrtPass				pass;
	XrtResourceType		*type;
	int					resnum;
	Boolean				readonly;
	Boolean				used;
} XrtGaugeResourceDesc;

#define XRTGPH_CLASS_NAME			"XrtGraph"

extern XrtResourceType **xrtgph_res_types;
extern int numgph_res_types;

extern XrtGphResourceDesc xrtgph_res_table[];
extern int numgph_res;

#define XRT3D_CLASS_NAME			"Xrt3d"
#define XRT3DTEXT_CLASS_NAME		"Xrt3dText"

extern XrtResourceType **xrt3d_res_types;
extern int num3d_res_types;

extern Xrt3dResourceDesc xrt3d_res_table[];
extern int num3d_res;

extern Xrt3dResourceDesc xrt3dtext_res_table[];
extern int num3dtext_res;

#define XRTTBL_CLASS_NAME			"XrtTable"
#define XRTLBL_CLASS_NAME			"XrtLabel"

extern XrtResourceType **xrttbl_res_types;
extern int numtbl_res_types;

extern XrtTblResourceDesc xrttbl_res_table[];
extern int numtbl_res;

extern XrtTblResourceDesc xrtlbl_res_table[];
extern int numlbl_res;

#define XRTFLDMANAGER_CLASS_NAME	"XrtFldManager"
#define XRTFLD_CLASS_NAME			"XrtField"
#define XRTSTRINGFLD_CLASS_NAME		"XrtStringField"
#define XRTDATEFLD_CLASS_NAME		"XrtDateField"
#define XRTFLOATFLD_CLASS_NAME		"XrtFloatField"
#define XRTCURRENCYFLD_CLASS_NAME	"XrtCurrencyField"
#define XRTINTFLD_CLASS_NAME		"XrtIntField"
#define XRTCOMBOBOX_CLASS_NAME		"XrtComboBox"
#define XRTSPINBOX_CLASS_NAME		"XrtSpinBox"
#define XRTCALENDAR_CLASS_NAME		"XrtCalendar"

extern XrtResourceType **xrtfld_res_types;
extern int numfld_res_types;

extern XrtFldResourceDesc xrtfld_res_table[];
extern int numfld_res;

extern XrtFldResourceDesc xrtfldstr_res_table[];
extern int numfldstr_res;

extern XrtFldResourceDesc xrtflddat_res_table[];
extern int numflddat_res;

extern XrtFldResourceDesc xrtfldflt_res_table[];
extern int numfldflt_res;

extern XrtFldResourceDesc xrtfldint_res_table[];
extern int numfldint_res;

extern XrtFldResourceDesc xrtfldcmb_res_table[];
extern int numfldcmb_res;

extern XrtFldResourceDesc xrtfldspn_res_table[];
extern int numfldspn_res;

extern XrtFldResourceDesc xrtfldcal_res_table[];
extern int numfldcal_res;

#define XRTMANAGER_CLASS_NAME			"XrtManager"
#define XRTALIGNER_CLASS_NAME			"XrtAligner"
#define XRTGLABEL_CLASS_NAME			"XrtGLabel"
#define XRTPUSHB_CLASS_NAME				"XrtPushB"
#define XRTTABB_CLASS_NAME				"XrtTabB"
#define XRTTABM_CLASS_NAME				"XrtTabM"
#define XRTTOGGLEB_CLASS_NAME			"XrtToggleB"
#define XRTTOOLBAR_CLASS_NAME			"XrtToolbar"
#define XRTOUTLINER_CLASS_NAME			"XrtOutliner"
#define XRTNODESTYLE_CLASS_NAME			"XrtNodeStyle"
#define XRTCOLUMN_CLASS_NAME			"XrtColumn"
#define XRTGEARCOMBO_CLASS_NAME			"XrtGearCombo"
#define XRTPROGRESS_CLASS_NAME			"XrtProgress"
#define XRTPANEDWINDOW_CLASS_NAME		"XrtPanedWindow"

extern XrtResourceType **xrtgear_res_types;
extern int numgear_res_types;

/* no recources extern XrtMngrResourceDesc xrtMngr_res_table[];*/

extern XrtGearResourceDesc 	xrtAlnr_res_table[];
extern int numAlnr_res;

extern XrtGearResourceDesc 	xrtGLbl_res_table[];
extern int numGLbl_res;

extern XrtGearResourceDesc 	xrtPB_res_table[];
extern int numPB_res;

extern XrtGearResourceDesc	xrtTabB_res_table[];
extern int numTabB_res;

extern XrtGearResourceDesc 	xrtTabM_res_table[];
extern int numTabM_res;

extern XrtGearResourceDesc 	xrtTogB_res_table[];
extern int numTogB_res;

extern XrtGearResourceDesc 	xrtTbar_res_table[];
extern int numTbar_res;

extern XrtGearResourceDesc 	xrtOutliner_res_table[];
extern int numOutliner_res;

extern XrtGearResourceDesc 	xrtNodeStyle_res_table[];
extern int numNodeStyle_res;

extern XrtGearResourceDesc 	xrtColumn_res_table[];
extern int numColumn_res;

extern XrtGearResourceDesc 	xrtGearCombo_res_table[];
extern int numGearCombo_res;

extern XrtGearResourceDesc 	xrtProgress_res_table[];
extern int numProgress_res;

extern XrtGearResourceDesc 	xrtPanedWindow_res_table[];
extern int numPanedWindow_res;

extern XrtResourceType **xrtgauge_res_types;
extern int numgauge_res_types;

extern XrtGaugeResourceDesc 	XrtGaCircularDial_res_table[];
extern int numXrtGaCircularDial_res;

extern XrtGaugeResourceDesc 	XrtGaCircularGauge_res_table[];
extern int numXrtGaCircularGauge_res;

extern XrtGaugeResourceDesc 	XrtGaCounter_res_table[];
extern int numXrtGaCounter_res;

extern XrtGaugeResourceDesc 	XrtGaLEDIcon_res_table[];
extern int numXrtGaLEDIcon_res;

extern XrtGaugeResourceDesc 	XrtGaLEDNumerical_res_table[];
extern int numXrtGaLEDNumerical_res;

extern XrtGaugeResourceDesc 	XrtGaLinearDial_res_table[];
extern int numXrtGaLinearDial_res;

extern XrtGaugeResourceDesc 	XrtGaLinearGauge_res_table[];
extern int numXrtGaLinearGauge_res;

extern XrtGaugeResourceDesc 	XrtGaPercent_res_table[];
extern int numXrtGaPercent_res;

extern XrtGaugeResourceDesc 	XrtGaCenter_res_table[];
extern int numXrtGaCenter_res;

extern XrtGaugeResourceDesc 	XrtGaCircularScale_res_table[];
extern int numXrtGaCircularScale_res;

extern XrtGaugeResourceDesc 	XrtGaFrame_res_table[];
extern int numXrtGaFrame_res;

extern XrtGaugeResourceDesc 	XrtGaIcon_res_table[];
extern int numXrtGaIcon_res;

extern XrtGaugeResourceDesc 	XrtGaIndicator_res_table[];
extern int numXrtGaIndicator_res;

extern XrtGaugeResourceDesc 	XrtGaItem_res_table[];
extern int numXrtGaItem_res;

extern XrtGaugeResourceDesc 	XrtGaLinearScale_res_table[];
extern int numXrtGaLinearScale_res;

extern XrtGaugeResourceDesc 	XrtGaMarker_res_table[];
extern int numXrtGaMarker_res;

extern XrtGaugeResourceDesc 	XrtGaNeedle_res_table[];
extern int numXrtGaNeedle_res;

extern XrtGaugeResourceDesc 	XrtGaRange_res_table[];
extern int numXrtGaRange_res;

extern XrtGaugeResourceDesc 	XrtGaState_res_table[];
extern int numXrtGaState_res;

extern XrtGaugeResourceDesc 	XrtGaSwitch_res_table[];
extern int numXrtGaSwitch_res;

extern XrtGaugeResourceDesc 	XrtGaText_res_table[];
extern int numXrtGaText_res;

extern XrtGaugeResourceDesc 	XrtGaTick_res_table[];
extern int numXrtGaTick_res;


typedef struct {
	int			(*func)();
	int			identifier;
	swidget		sw;
	char		*string;
} XrtStringInfo;

extern XrtStringInfo	*FindXrtStringInfo();
extern char				*XrtEscapeQuotes();
extern void				 XrtInitCommonXtypes();

#endif /* XRT_RESTABLE_H */
