/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/graph widget UIM/X integration file
 *
 * $AstecId: UxXrtGraph.h,v 1.6 2000/06/19 08:32:28 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtGraph.h	1.7    98/11/05 KL Group Inc.
 */

/******************************************************************************
				UxXrtGraph.h
******************************************************************************/

#ifndef UXXrtGraph_INCLUDED
#define UXXrtGraph_INCLUDED

#include <Xm/XrtGraph.h>
#include "Xrt_restable.h"	/* Widget class public header file */
#include "UxPrim.h"

#include "UxXrtGraph.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define GRAPH_TABLE(z) xrtgph_res_table[z].prpty, xrtgph_res_table[z].name

#ifdef hp700v9
#define XrtFloatToArgVal(d) UxXrtFloatToArgVal(0,d)
#endif /* hp700v9 */

/*graph 3.0*/
#ifndef UxGetXrtAngleUnit
#define UxGetXrtAngleUnit (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumAngleUnit))
#endif
#ifndef UxPutXrtAngleUnit
#define UxPutXrtAngleUnit(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumAngleUnit), val)
#endif

#ifndef UxGetXrtAxisBoundingBox
#define UxGetXrtAxisBoundingBox(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumAxisBoundingBox))
#endif
#ifndef UxPutXrtAxisBoundingBox
#define UxPutXrtAxisBoundingBox(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumAxisBoundingBox), val)
#endif

#ifndef UxGetXrtAxisFont
#define UxGetXrtAxisFont(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumAxisFont))
#endif
#ifndef UxPutXrtAxisFont
#define UxPutXrtAxisFont(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumAxisFont), val)
#endif

#ifndef UxGetXrtBackgroundColor
#define UxGetXrtBackgroundColor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumBackgroundColor))
#endif
#ifndef UxPutXrtBackgroundColor
#define UxPutXrtBackgroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumBackgroundColor), val)
#endif

#ifndef UxGetXrtBarClusterOverlap
#define UxGetXrtBarClusterOverlap(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumBarClusterOverlap))
#endif
#ifndef UxPutXrtBarClusterOverlap
#define UxPutXrtBarClusterOverlap(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumBarClusterOverlap), val)
#endif

#ifndef UxGetXrtBarClusterWidth
#define UxGetXrtBarClusterWidth(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumBarClusterWidth))
#endif
#ifndef UxPutXrtBarClusterWidth
#define UxPutXrtBarClusterWidth(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumBarClusterWidth), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtBorder
#define UxGetXrtBorder (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumBorder))
#endif
#ifndef UxPutXrtBorder
#define UxPutXrtBorder(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumBorder), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtCandleComplex
#define UxGetXrtCandleComplex (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumCandleComplex))
#endif
#ifndef UxPutXrtCandleComplex
#define UxPutXrtCandleComplex(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumCandleComplex), val)
#endif

#ifndef UxGetXrtData
#define UxGetXrtData(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumData))
#endif
#ifndef UxPutXrtData
#define UxPutXrtData(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumData), val)
#endif

#ifndef UxGetXrtData2
#define UxGetXrtData2(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumData2))
#endif
#ifndef UxPutXrtData2
#define UxPutXrtData2(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumData2), val)
#endif

#ifndef UxGetXrtDataAreaBackgroundColor
#define UxGetXrtDataAreaBackgroundColor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumDataAreaBackgroundColor))
#endif
#ifndef UxPutXrtDataAreaBackgroundColor
#define UxPutXrtDataAreaBackgroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumDataAreaBackgroundColor), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtDataAreaForegroundColor
#define UxGetXrtDataAreaForegroundColor (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumDataAreaForegroundColor))
#endif
#ifndef UxPutXrtDataAreaForegroundColor
#define UxPutXrtDataAreaForegroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumDataAreaForegroundColor), val)
#endif

#ifndef UxGetXrtDataStyles
#define UxGetXrtDataStyles(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumDataStyles))
#endif
#ifndef UxPutXrtDataStyles
#define UxPutXrtDataStyles(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumDataStyles), val)
#endif

#ifndef UxGetXrtDataStyles2
#define UxGetXrtDataStyles2(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumDataStyles2))
#endif
#ifndef UxPutXrtDataStyles2
#define UxPutXrtDataStyles2(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumDataStyles2), val)
#endif

#ifndef UxGetXrtDataStyles2UseDefault
#define UxGetXrtDataStyles2UseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumDataStyles2UseDefault))
#endif
#ifndef UxPutXrtDataStyles2UseDefault
#define UxPutXrtDataStyles2UseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumDataStyles2UseDefault), val)
#endif

#ifndef UxGetXrtDataStylesUseDefault
#define UxGetXrtDataStylesUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumDataStylesUseDefault))
#endif
#ifndef UxPutXrtDataStylesUseDefault
#define UxPutXrtDataStylesUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumDataStylesUseDefault), val)
#endif

#ifndef UxGetXrtDebug
#define UxGetXrtDebug(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumDebug))
#endif
#ifndef UxPutXrtDebug
#define UxPutXrtDebug(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumDebug), val)
#endif

#ifndef UxGetXrtDoubleBuffer
#define UxGetXrtDoubleBuffer(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumDoubleBuffer))
#endif
#ifndef UxPutXrtDoubleBuffer
#define UxPutXrtDoubleBuffer(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumDoubleBuffer), val)
#endif

#ifndef UxGetXrtFooterAdjust
#define UxGetXrtFooterAdjust(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumFooterAdjust))
#endif
#ifndef UxPutXrtFooterAdjust
#define UxPutXrtFooterAdjust(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumFooterAdjust), val)
#endif

#ifndef UxGetXrtFooterBackgroundColor
#define UxGetXrtFooterBackgroundColor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumFooterBackgroundColor))
#endif
#ifndef UxPutXrtFooterBackgroundColor
#define UxPutXrtFooterBackgroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumFooterBackgroundColor), val)
#endif

#ifndef UxGetXrtFooterBorder
#define UxGetXrtFooterBorder(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumFooterBorder))
#endif
#ifndef UxPutXrtFooterBorder
#define UxPutXrtFooterBorder(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumFooterBorder), val)
#endif

#ifndef UxGetXrtFooterBorderWidth
#define UxGetXrtFooterBorderWidth(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumFooterBorderWidth))
#endif
#ifndef UxPutXrtFooterBorderWidth
#define UxPutXrtFooterBorderWidth(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumFooterBorderWidth), val)
#endif

#ifndef UxGetXrtFooterFont
#define UxGetXrtFooterFont(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumFooterFont))
#endif
#ifndef UxPutXrtFooterFont
#define UxPutXrtFooterFont(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumFooterFont), val)
#endif

#ifndef UxGetXrtFooterForegroundColor
#define UxGetXrtFooterForegroundColor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumFooterForegroundColor))
#endif
#ifndef UxPutXrtFooterForegroundColor
#define UxPutXrtFooterForegroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumFooterForegroundColor), val)
#endif

#ifndef UxGetXrtFooterHeight
#define UxGetXrtFooterHeight(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumFooterHeight))
#endif
#ifndef UxPutXrtFooterHeight
#define UxPutXrtFooterHeight(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumFooterHeight), val)
#endif

#ifndef UxGetXrtFooterStrings
#define UxGetXrtFooterStrings(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumFooterStrings))
#endif
#ifndef UxPutXrtFooterStrings
#define UxPutXrtFooterStrings(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumFooterStrings), val)
#endif

#ifndef UxGetXrtFooterWidth
#define UxGetXrtFooterWidth(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumFooterWidth))
#endif
#ifndef UxPutXrtFooterWidth
#define UxPutXrtFooterWidth(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumFooterWidth), val)
#endif

#ifndef UxGetXrtFooterX
#define UxGetXrtFooterX(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumFooterX))
#endif
#ifndef UxPutXrtFooterX
#define UxPutXrtFooterX(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumFooterX), val)
#endif

#ifndef UxGetXrtFooterXUseDefault
#define UxGetXrtFooterXUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumFooterXUseDefault))
#endif
#ifndef UxPutXrtFooterXUseDefault
#define UxPutXrtFooterXUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumFooterXUseDefault), val)
#endif

#ifndef UxGetXrtFooterY
#define UxGetXrtFooterY(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumFooterY))
#endif
#ifndef UxPutXrtFooterY
#define UxPutXrtFooterY(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumFooterY), val)
#endif

#ifndef UxGetXrtFooterYUseDefault
#define UxGetXrtFooterYUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumFooterYUseDefault))
#endif
#ifndef UxPutXrtFooterYUseDefault
#define UxPutXrtFooterYUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumFooterYUseDefault), val)
#endif

#ifndef UxGetXrtForegroundColor
#define UxGetXrtForegroundColor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumForegroundColor))
#endif
#ifndef UxPutXrtForegroundColor
#define UxPutXrtForegroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumForegroundColor), val)
#endif

#ifndef UxGetXrtFrontDataset
#define UxGetXrtFrontDataset(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumFrontDataset))
#endif
#ifndef UxPutXrtFrontDataset
#define UxPutXrtFrontDataset(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumFrontDataset), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtGraph3dShading
#define UxGetXrtGraph3dShading (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraph3dShading))
#endif
#ifndef UxPutXrtGraph3dShading
#define UxPutXrtGraph3dShading(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraph3dShading), val)
#endif

#ifndef UxGetXrtGraphBackgroundColor
#define UxGetXrtGraphBackgroundColor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphBackgroundColor))
#endif
#ifndef UxPutXrtGraphBackgroundColor
#define UxPutXrtGraphBackgroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphBackgroundColor), val)
#endif

#ifndef UxGetXrtGraphBorder
#define UxGetXrtGraphBorder(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphBorder))
#endif
#ifndef UxPutXrtGraphBorder
#define UxPutXrtGraphBorder(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphBorder), val)
#endif

#ifndef UxGetXrtGraphBorderWidth
#define UxGetXrtGraphBorderWidth(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumGraphBorderWidth))
#endif
#ifndef UxPutXrtGraphBorderWidth
#define UxPutXrtGraphBorderWidth(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumGraphBorderWidth), val)
#endif

#ifndef UxGetXrtGraphDepth
#define UxGetXrtGraphDepth(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumGraphDepth))
#endif
#ifndef UxPutXrtGraphDepth
#define UxPutXrtGraphDepth(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumGraphDepth), val)
#endif

#ifndef UxGetXrtGraphForegroundColor
#define UxGetXrtGraphForegroundColor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphForegroundColor))
#endif
#ifndef UxPutXrtGraphForegroundColor
#define UxPutXrtGraphForegroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphForegroundColor), val)
#endif

#ifndef UxGetXrtGraphHeight
#define UxGetXrtGraphHeight(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumGraphHeight))
#endif
#ifndef UxPutXrtGraphHeight
#define UxPutXrtGraphHeight(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumGraphHeight), val)
#endif

#ifndef UxGetXrtGraphHeightUseDefault
#define UxGetXrtGraphHeightUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphHeightUseDefault))
#endif
#ifndef UxPutXrtGraphHeightUseDefault
#define UxPutXrtGraphHeightUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphHeightUseDefault), val)
#endif

#ifndef UxGetXrtGraphInclination
#define UxGetXrtGraphInclination(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumGraphInclination))
#endif
#ifndef UxPutXrtGraphInclination
#define UxPutXrtGraphInclination(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumGraphInclination), val)
#endif

#ifndef UxGetXrtGraphMarginBottom
#define UxGetXrtGraphMarginBottom(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumGraphMarginBottom))
#endif
#ifndef UxPutXrtGraphMarginBottom
#define UxPutXrtGraphMarginBottom(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumGraphMarginBottom), val)
#endif

#ifndef UxGetXrtGraphMarginBottomUseDefault
#define UxGetXrtGraphMarginBottomUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphMarginBottomUseDefault))
#endif
#ifndef UxPutXrtGraphMarginBottomUseDefault
#define UxPutXrtGraphMarginBottomUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphMarginBottomUseDefault), val)
#endif

#ifndef UxGetXrtGraphMarginLeft
#define UxGetXrtGraphMarginLeft(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumGraphMarginLeft))
#endif
#ifndef UxPutXrtGraphMarginLeft
#define UxPutXrtGraphMarginLeft(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumGraphMarginLeft), val)
#endif

#ifndef UxGetXrtGraphMarginLeftUseDefault
#define UxGetXrtGraphMarginLeftUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphMarginLeftUseDefault))
#endif
#ifndef UxPutXrtGraphMarginLeftUseDefault
#define UxPutXrtGraphMarginLeftUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphMarginLeftUseDefault), val)
#endif

#ifndef UxGetXrtGraphMarginRight
#define UxGetXrtGraphMarginRight(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumGraphMarginRight))
#endif
#ifndef UxPutXrtGraphMarginRight
#define UxPutXrtGraphMarginRight(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumGraphMarginRight), val)
#endif

#ifndef UxGetXrtGraphMarginRightUseDefault
#define UxGetXrtGraphMarginRightUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphMarginRightUseDefault))
#endif
#ifndef UxPutXrtGraphMarginRightUseDefault
#define UxPutXrtGraphMarginRightUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphMarginRightUseDefault), val)
#endif

#ifndef UxGetXrtGraphMarginTop
#define UxGetXrtGraphMarginTop(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumGraphMarginTop))
#endif
#ifndef UxPutXrtGraphMarginTop
#define UxPutXrtGraphMarginTop(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumGraphMarginTop), val)
#endif

#ifndef UxGetXrtGraphMarginTopUseDefault
#define UxGetXrtGraphMarginTopUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphMarginTopUseDefault))
#endif
#ifndef UxPutXrtGraphMarginTopUseDefault
#define UxPutXrtGraphMarginTopUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphMarginTopUseDefault), val)
#endif

#ifndef UxGetXrtGraphRotation
#define UxGetXrtGraphRotation(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumGraphRotation))
#endif
#ifndef UxPutXrtGraphRotation
#define UxPutXrtGraphRotation(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumGraphRotation), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtGraphShowOutlines
#define UxGetXrtGraphShowOutlines (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphShowOutlines))
#endif
#ifndef UxPutXrtGraphShowOutlines
#define UxPutXrtGraphShowOutlines(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphShowOutlines), val)
#endif

#ifndef UxGetXrtGraphWidth
#define UxGetXrtGraphWidth(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumGraphWidth))
#endif
#ifndef UxPutXrtGraphWidth
#define UxPutXrtGraphWidth(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumGraphWidth), val)
#endif

#ifndef UxGetXrtGraphWidthUseDefault
#define UxGetXrtGraphWidthUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphWidthUseDefault))
#endif
#ifndef UxPutXrtGraphWidthUseDefault
#define UxPutXrtGraphWidthUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphWidthUseDefault), val)
#endif

#ifndef UxGetXrtGraphX
#define UxGetXrtGraphX(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumGraphX))
#endif
#ifndef UxPutXrtGraphX
#define UxPutXrtGraphX(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumGraphX), val)
#endif

#ifndef UxGetXrtGraphXUseDefault
#define UxGetXrtGraphXUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphXUseDefault))
#endif
#ifndef UxPutXrtGraphXUseDefault
#define UxPutXrtGraphXUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphXUseDefault), val)
#endif

#ifndef UxGetXrtGraphY
#define UxGetXrtGraphY(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumGraphY))
#endif
#ifndef UxPutXrtGraphY
#define UxPutXrtGraphY(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumGraphY), val)
#endif

#ifndef UxGetXrtGraphYUseDefault
#define UxGetXrtGraphYUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphYUseDefault))
#endif
#ifndef UxPutXrtGraphYUseDefault
#define UxPutXrtGraphYUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphYUseDefault), val)
#endif

#ifndef UxGetXrtHeaderAdjust
#define UxGetXrtHeaderAdjust(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHeaderAdjust))
#endif
#ifndef UxPutXrtHeaderAdjust
#define UxPutXrtHeaderAdjust(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHeaderAdjust), val)
#endif

#ifndef UxGetXrtHeaderBackgroundColor
#define UxGetXrtHeaderBackgroundColor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHeaderBackgroundColor))
#endif
#ifndef UxPutXrtHeaderBackgroundColor
#define UxPutXrtHeaderBackgroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHeaderBackgroundColor), val)
#endif

#ifndef UxGetXrtHeaderBorder
#define UxGetXrtHeaderBorder(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHeaderBorder))
#endif
#ifndef UxPutXrtHeaderBorder
#define UxPutXrtHeaderBorder(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHeaderBorder), val)
#endif

#ifndef UxGetXrtHeaderBorderWidth
#define UxGetXrtHeaderBorderWidth(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumHeaderBorderWidth))
#endif
#ifndef UxPutXrtHeaderBorderWidth
#define UxPutXrtHeaderBorderWidth(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumHeaderBorderWidth), val)
#endif

#ifndef UxGetXrtHeaderFont
#define UxGetXrtHeaderFont(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHeaderFont))
#endif
#ifndef UxPutXrtHeaderFont
#define UxPutXrtHeaderFont(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHeaderFont), val)
#endif

#ifndef UxGetXrtHeaderForegroundColor
#define UxGetXrtHeaderForegroundColor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHeaderForegroundColor))
#endif
#ifndef UxPutXrtHeaderForegroundColor
#define UxPutXrtHeaderForegroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHeaderForegroundColor), val)
#endif

#ifndef UxGetXrtHeaderHeight
#define UxGetXrtHeaderHeight(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumHeaderHeight))
#endif
#ifndef UxPutXrtHeaderHeight
#define UxPutXrtHeaderHeight(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumHeaderHeight), val)
#endif

#ifndef UxGetXrtHeaderStrings
#define UxGetXrtHeaderStrings(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHeaderStrings))
#endif
#ifndef UxPutXrtHeaderStrings
#define UxPutXrtHeaderStrings(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHeaderStrings), val)
#endif

#ifndef UxGetXrtHeaderWidth
#define UxGetXrtHeaderWidth(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumHeaderWidth))
#endif
#ifndef UxPutXrtHeaderWidth
#define UxPutXrtHeaderWidth(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumHeaderWidth), val)
#endif

#ifndef UxGetXrtHeaderX
#define UxGetXrtHeaderX(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumHeaderX))
#endif
#ifndef UxPutXrtHeaderX
#define UxPutXrtHeaderX(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumHeaderX), val)
#endif

#ifndef UxGetXrtHeaderXUseDefault
#define UxGetXrtHeaderXUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHeaderXUseDefault))
#endif
#ifndef UxPutXrtHeaderXUseDefault
#define UxPutXrtHeaderXUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHeaderXUseDefault), val)
#endif

#ifndef UxGetXrtHeaderY
#define UxGetXrtHeaderY(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumHeaderY))
#endif
#ifndef UxPutXrtHeaderY
#define UxPutXrtHeaderY(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumHeaderY), val)
#endif

#ifndef UxGetXrtHeaderYUseDefault
#define UxGetXrtHeaderYUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHeaderYUseDefault))
#endif
#ifndef UxPutXrtHeaderYUseDefault
#define UxPutXrtHeaderYUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHeaderYUseDefault), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtHiLoCloseShow
#define UxGetXrtHiLoCloseShow (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHiLoCloseShow))
#endif
#ifndef UxPutXrtHiLoCloseShow
#define UxPutXrtHiLoCloseShow(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHiLoCloseShow), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtHiLoOpenCloseFullWidth
#define UxGetXrtHiLoOpenCloseFullWidth (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHiLoOpenCloseFullWidth))
#endif
#ifndef UxPutXrtHiLoOpenCloseFullWidth
#define UxPutXrtHiLoOpenCloseFullWidth(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHiLoOpenCloseFullWidth), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtHiLoOpenShow
#define UxGetXrtHiLoOpenShow (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHiLoOpenShow))
#endif
#ifndef UxPutXrtHiLoOpenShow
#define UxPutXrtHiLoOpenShow(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHiLoOpenShow), val)
#endif

#ifndef UxGetXrtInvertOrientation
#define UxGetXrtInvertOrientation(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumInvertOrientation))
#endif
#ifndef UxPutXrtInvertOrientation
#define UxPutXrtInvertOrientation(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumInvertOrientation), val)
#endif

#ifndef UxGetXrtLegendAnchor
#define UxGetXrtLegendAnchor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendAnchor))
#endif
#ifndef UxPutXrtLegendAnchor
#define UxPutXrtLegendAnchor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendAnchor), val)
#endif

#ifndef UxGetXrtLegendBackgroundColor
#define UxGetXrtLegendBackgroundColor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendBackgroundColor))
#endif
#ifndef UxPutXrtLegendBackgroundColor
#define UxPutXrtLegendBackgroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendBackgroundColor), val)
#endif

#ifndef UxGetXrtLegendBorder
#define UxGetXrtLegendBorder(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendBorder))
#endif
#ifndef UxPutXrtLegendBorder
#define UxPutXrtLegendBorder(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendBorder), val)
#endif

#ifndef UxGetXrtLegendBorderWidth
#define UxGetXrtLegendBorderWidth(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumLegendBorderWidth))
#endif
#ifndef UxPutXrtLegendBorderWidth
#define UxPutXrtLegendBorderWidth(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumLegendBorderWidth), val)
#endif

#ifndef UxGetXrtLegendFont
#define UxGetXrtLegendFont(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendFont))
#endif
#ifndef UxPutXrtLegendFont
#define UxPutXrtLegendFont(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendFont), val)
#endif

#ifndef UxGetXrtLegendForegroundColor
#define UxGetXrtLegendForegroundColor(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendForegroundColor))
#endif
#ifndef UxPutXrtLegendForegroundColor
#define UxPutXrtLegendForegroundColor(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendForegroundColor), val)
#endif

#ifndef UxGetXrtLegendHeight
#define UxGetXrtLegendHeight(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumLegendHeight))
#endif
#ifndef UxPutXrtLegendHeight
#define UxPutXrtLegendHeight(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumLegendHeight), val)
#endif

#ifndef UxGetXrtLegendOrientation
#define UxGetXrtLegendOrientation(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendOrientation))
#endif
#ifndef UxPutXrtLegendOrientation
#define UxPutXrtLegendOrientation(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendOrientation), val)
#endif

#ifndef UxGetXrtLegendShow
#define UxGetXrtLegendShow(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendShow))
#endif
#ifndef UxPutXrtLegendShow
#define UxPutXrtLegendShow(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendShow), val)
#endif

#ifndef UxGetXrtLegendWidth
#define UxGetXrtLegendWidth(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumLegendWidth))
#endif
#ifndef UxPutXrtLegendWidth
#define UxPutXrtLegendWidth(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumLegendWidth), val)
#endif

#ifndef UxGetXrtLegendX
#define UxGetXrtLegendX(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumLegendX))
#endif
#ifndef UxPutXrtLegendX
#define UxPutXrtLegendX(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumLegendX), val)
#endif

#ifndef UxGetXrtLegendXUseDefault
#define UxGetXrtLegendXUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendXUseDefault))
#endif
#ifndef UxPutXrtLegendXUseDefault
#define UxPutXrtLegendXUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendXUseDefault), val)
#endif

#ifndef UxGetXrtLegendY
#define UxGetXrtLegendY(sw) \
	UxGET_short(sw, GRAPH_TABLE(xrtResNumLegendY))
#endif
#ifndef UxPutXrtLegendY
#define UxPutXrtLegendY(sw, val) \
	UxPUT_short(sw, GRAPH_TABLE(xrtResNumLegendY), val)
#endif

#ifndef UxGetXrtLegendYUseDefault
#define UxGetXrtLegendYUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendYUseDefault))
#endif
#ifndef UxPutXrtLegendYUseDefault
#define UxPutXrtLegendYUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendYUseDefault), val)
#endif

#ifndef UxGetXrtMarkerDataStyle
#define UxGetXrtMarkerDataStyle(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumMarkerDataStyle))
#endif
#ifndef UxPutXrtMarkerDataStyle
#define UxPutXrtMarkerDataStyle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumMarkerDataStyle), val)
#endif

#ifndef UxGetXrtMarkerDataStyleUseDefault
#define UxGetXrtMarkerDataStyleUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumMarkerDataStyleUseDefault))
#endif
#ifndef UxPutXrtMarkerDataStyleUseDefault
#define UxPutXrtMarkerDataStyleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumMarkerDataStyleUseDefault), val)
#endif

#ifndef UxGetXrtMarkerDataset
#define UxGetXrtMarkerDataset(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumMarkerDataset))
#endif
#ifndef UxPutXrtMarkerDataset
#define UxPutXrtMarkerDataset(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumMarkerDataset), val)
#endif

#ifndef UxGetXrtOtherDataStyle
#define UxGetXrtOtherDataStyle(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumOtherDataStyle))
#endif
#ifndef UxPutXrtOtherDataStyle
#define UxPutXrtOtherDataStyle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumOtherDataStyle), val)
#endif

#ifndef UxGetXrtOtherDataStyleUseDefault
#define UxGetXrtOtherDataStyleUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumOtherDataStyleUseDefault))
#endif
#ifndef UxPutXrtOtherDataStyleUseDefault
#define UxPutXrtOtherDataStyleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumOtherDataStyleUseDefault), val)
#endif

#ifndef UxGetXrtOtherLabel
#define UxGetXrtOtherLabel(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumOtherLabel))
#endif
#ifndef UxPutXrtOtherLabel
#define UxPutXrtOtherLabel(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumOtherLabel), val)
#endif

#ifndef UxGetXrtPieMinSlices
#define UxGetXrtPieMinSlices(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumPieMinSlices))
#endif
#ifndef UxPutXrtPieMinSlices
#define UxPutXrtPieMinSlices(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumPieMinSlices), val)
#endif

#ifndef UxGetXrtPieOrder
#define UxGetXrtPieOrder(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumPieOrder))
#endif
#ifndef UxPutXrtPieOrder
#define UxPutXrtPieOrder(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumPieOrder), val)
#endif

#ifndef UxGetXrtPieThresholdMethod
#define UxGetXrtPieThresholdMethod(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumPieThresholdMethod))
#endif
#ifndef UxPutXrtPieThresholdMethod
#define UxPutXrtPieThresholdMethod(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumPieThresholdMethod), val)
#endif

#ifndef UxGetXrtPieThresholdValue
#define UxGetXrtPieThresholdValue(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumPieThresholdValue))
#endif
#ifndef UxPutXrtPieThresholdValue
#define UxPutXrtPieThresholdValue(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumPieThresholdValue), val)
#endif

#ifndef UxGetXrtPointLabels
#define UxGetXrtPointLabels(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumPointLabels))
#endif
#ifndef UxPutXrtPointLabels
#define UxPutXrtPointLabels(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumPointLabels), val)
#endif

#ifndef UxGetXrtPointLabels2
#define UxGetXrtPointLabels2(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumPointLabels2))
#endif
#ifndef UxPutXrtPointLabels2
#define UxPutXrtPointLabels2(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumPointLabels2), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtPolarHalfRange
#define UxGetXrtPolarHalfRange (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumPolarHalfRange))
#endif
#ifndef UxPutXrtPolarHalfRange
#define UxPutXrtPolarHalfRange(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumPolarHalfRange), val)
#endif

#ifndef UxGetXrtRepaint
#define UxGetXrtRepaint(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumRepaint))
#endif
#ifndef UxPutXrtRepaint
#define UxPutXrtRepaint(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumRepaint), val)
#endif

#ifndef UxGetXrtSetLabels
#define UxGetXrtSetLabels(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumSetLabels))
#endif
#ifndef UxPutXrtSetLabels
#define UxPutXrtSetLabels(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumSetLabels), val)
#endif

#ifndef UxGetXrtSetLabels2
#define UxGetXrtSetLabels2(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumSetLabels2))
#endif
#ifndef UxPutXrtSetLabels2
#define UxPutXrtSetLabels2(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumSetLabels2), val)
#endif

#ifndef UxGetXrtTimeBase
#define UxGetXrtTimeBase(sw) \
	UxGET_long(sw, GRAPH_TABLE(xrtResNumTimeBase))
#endif
#ifndef UxPutXrtTimeBase
#define UxPutXrtTimeBase(sw, val) \
	UxPUT_long(sw, GRAPH_TABLE(xrtResNumTimeBase), val)
#endif

#ifndef UxGetXrtTimeFormat
#define UxGetXrtTimeFormat(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumTimeFormat))
#endif
#ifndef UxPutXrtTimeFormat
#define UxPutXrtTimeFormat(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumTimeFormat), val)
#endif

#ifndef UxGetXrtTimeFormatUseDefault
#define UxGetXrtTimeFormatUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumTimeFormatUseDefault))
#endif
#ifndef UxPutXrtTimeFormatUseDefault
#define UxPutXrtTimeFormatUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumTimeFormatUseDefault), val)
#endif

#ifndef UxGetXrtTimeUnit
#define UxGetXrtTimeUnit(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumTimeUnit))
#endif
#ifndef UxPutXrtTimeUnit
#define UxPutXrtTimeUnit(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumTimeUnit), val)
#endif

#ifndef UxGetXrtType
#define UxGetXrtType(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumType))
#endif
#ifndef UxPutXrtType
#define UxPutXrtType(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumType), val)
#endif

#ifndef UxGetXrtType2
#define UxGetXrtType2(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumType2))
#endif
#ifndef UxPutXrtType2
#define UxPutXrtType2(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumType2), val)
#endif

#ifndef UxGetXrtXAnnoPlacement
#define UxGetXrtXAnnoPlacement(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXAnnoPlacement))
#endif
#ifndef UxPutXrtXAnnoPlacement
#define UxPutXrtXAnnoPlacement(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXAnnoPlacement), val)
#endif

#ifndef UxGetXrtXAnnotationMethod
#define UxGetXrtXAnnotationMethod(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXAnnotationMethod))
#endif
#ifndef UxPutXrtXAnnotationMethod
#define UxPutXrtXAnnotationMethod(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXAnnotationMethod), val)
#endif

#ifndef UxGetXrtXAnnotationRotation
#define UxGetXrtXAnnotationRotation(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXAnnotationRotation))
#endif
#ifndef UxPutXrtXAnnotationRotation
#define UxPutXrtXAnnotationRotation(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXAnnotationRotation), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtXAxisLabelFormat
#define UxGetXrtXAxisLabelFormat (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXAxisLabelFormat))
#endif
#ifndef UxPutXrtXAxisLabelFormat
#define UxPutXrtXAxisLabelFormat(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXAxisLabelFormat), val)
#endif

#ifndef UxGetXrtXAxisLogarithmic
#define UxGetXrtXAxisLogarithmic(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXAxisLogarithmic))
#endif
#ifndef UxPutXrtXAxisLogarithmic
#define UxPutXrtXAxisLogarithmic(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXAxisLogarithmic), val)
#endif

#ifndef UxGetXrtXAxisMax
#define UxGetXrtXAxisMax(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumXAxisMax))
#endif
#ifndef UxPutXrtXAxisMax
#define UxPutXrtXAxisMax(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumXAxisMax), val)
#endif

#ifndef UxGetXrtXAxisMaxUseDefault
#define UxGetXrtXAxisMaxUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXAxisMaxUseDefault))
#endif
#ifndef UxPutXrtXAxisMaxUseDefault
#define UxPutXrtXAxisMaxUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXAxisMaxUseDefault), val)
#endif

#ifndef UxGetXrtXAxisMin
#define UxGetXrtXAxisMin(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumXAxisMin))
#endif
#ifndef UxPutXrtXAxisMin
#define UxPutXrtXAxisMin(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumXAxisMin), val)
#endif

#ifndef UxGetXrtXAxisMinUseDefault
#define UxGetXrtXAxisMinUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXAxisMinUseDefault))
#endif
#ifndef UxPutXrtXAxisMinUseDefault
#define UxPutXrtXAxisMinUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXAxisMinUseDefault), val)
#endif

#ifndef UxGetXrtXAxisReversed
#define UxGetXrtXAxisReversed(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXAxisReversed))
#endif
#ifndef UxPutXrtXAxisReversed
#define UxPutXrtXAxisReversed(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXAxisReversed), val)
#endif

#ifndef UxGetXrtXAxisShow
#define UxGetXrtXAxisShow(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXAxisShow))
#endif
#ifndef UxPutXrtXAxisShow
#define UxPutXrtXAxisShow(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXAxisShow), val)
#endif

#ifndef UxGetXrtXGrid
#define UxGetXrtXGrid(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumXGrid))
#endif
#ifndef UxPutXrtXGrid
#define UxPutXrtXGrid(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumXGrid), val)
#endif

#ifndef UxGetXrtXGridDataStyle
#define UxGetXrtXGridDataStyle(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXGridDataStyle))
#endif
#ifndef UxPutXrtXGridDataStyle
#define UxPutXrtXGridDataStyle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXGridDataStyle), val)
#endif

#ifndef UxGetXrtXGridDataStyleUseDefault
#define UxGetXrtXGridDataStyleUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXGridDataStyleUseDefault))
#endif
#ifndef UxPutXrtXGridDataStyleUseDefault
#define UxPutXrtXGridDataStyleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXGridDataStyleUseDefault), val)
#endif

#ifndef UxGetXrtXGridUseDefault
#define UxGetXrtXGridUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXGridUseDefault))
#endif
#ifndef UxPutXrtXGridUseDefault
#define UxPutXrtXGridUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXGridUseDefault), val)
#endif

#ifndef UxGetXrtXLabels
#define UxGetXrtXLabels(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXLabels))
#endif
#ifndef UxPutXrtXLabels
#define UxPutXrtXLabels(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXLabels), val)
#endif

#ifndef UxGetXrtXMarker
#define UxGetXrtXMarker(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumXMarker))
#endif
#ifndef UxPutXrtXMarker
#define UxPutXrtXMarker(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumXMarker), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtXMarkerDataStyle
#define UxGetXrtXMarkerDataStyle (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXMarkerDataStyle))
#endif
#ifndef UxPutXrtXMarkerDataStyle
#define UxPutXrtXMarkerDataStyle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXMarkerDataStyle), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtXMarkerDataStyleUseDefault
#define UxGetXrtXMarkerDataStyleUseDefault (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXMarkerDataStyleUseDefault))
#endif
#ifndef UxPutXrtXMarkerDataStyleUseDefault
#define UxPutXrtXMarkerDataStyleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXMarkerDataStyleUseDefault), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtXMarkerMethod
#define UxGetXrtXMarkerMethod (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXMarkerMethod))
#endif
#ifndef UxPutXrtXMarkerMethod
#define UxPutXrtXMarkerMethod(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXMarkerMethod), val)
#endif

#ifndef UxGetXrtXMarkerPoint
#define UxGetXrtXMarkerPoint(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumXMarkerPoint))
#endif
#ifndef UxPutXrtXMarkerPoint
#define UxPutXrtXMarkerPoint(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumXMarkerPoint), val)
#endif

#ifndef UxGetXrtXMarkerSet
#define UxGetXrtXMarkerSet(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumXMarkerSet))
#endif
#ifndef UxPutXrtXMarkerSet
#define UxPutXrtXMarkerSet(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumXMarkerSet), val)
#endif

#ifndef UxGetXrtXMarkerShow
#define UxGetXrtXMarkerShow(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXMarkerShow))
#endif
#ifndef UxPutXrtXMarkerShow
#define UxPutXrtXMarkerShow(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXMarkerShow), val)
#endif

#ifndef UxGetXrtXMax
#define UxGetXrtXMax(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumXMax))
#endif
#ifndef UxPutXrtXMax
#define UxPutXrtXMax(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumXMax), val)
#endif

#ifndef UxGetXrtXMaxUseDefault
#define UxGetXrtXMaxUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXMaxUseDefault))
#endif
#ifndef UxPutXrtXMaxUseDefault
#define UxPutXrtXMaxUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXMaxUseDefault), val)
#endif

#ifndef UxGetXrtXMin
#define UxGetXrtXMin(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumXMin))
#endif
#ifndef UxPutXrtXMin
#define UxPutXrtXMin(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumXMin), val)
#endif

#ifndef UxGetXrtXMinUseDefault
#define UxGetXrtXMinUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXMinUseDefault))
#endif
#ifndef UxPutXrtXMinUseDefault
#define UxPutXrtXMinUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXMinUseDefault), val)
#endif

#ifndef UxGetXrtXNum
#define UxGetXrtXNum(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumXNum))
#endif
#ifndef UxPutXrtXNum
#define UxPutXrtXNum(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumXNum), val)
#endif

#ifndef UxGetXrtXNumMethod
#define UxGetXrtXNumMethod(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXNumMethod))
#endif
#ifndef UxPutXrtXNumMethod
#define UxPutXrtXNumMethod(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXNumMethod), val)
#endif

#ifndef UxGetXrtXNumUseDefault
#define UxGetXrtXNumUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXNumUseDefault))
#endif
#ifndef UxPutXrtXNumUseDefault
#define UxPutXrtXNumUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXNumUseDefault), val)
#endif

#ifndef UxGetXrtXOrigin
#define UxGetXrtXOrigin(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumXOrigin))
#endif
#ifndef UxPutXrtXOrigin
#define UxPutXrtXOrigin(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumXOrigin), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtXOriginBase
#define UxGetXrtXOriginBase (sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumXOriginBase))
#endif
#ifndef UxPutXrtXOriginBase
#define UxPutXrtXOriginBase(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumXOriginBase), val)
#endif

#ifndef UxGetXrtXOriginPlacement
#define UxGetXrtXOriginPlacement(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXOriginPlacement))
#endif
#ifndef UxPutXrtXOriginPlacement
#define UxPutXrtXOriginPlacement(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXOriginPlacement), val)
#endif

#ifndef UxGetXrtXOriginUseDefault
#define UxGetXrtXOriginUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXOriginUseDefault))
#endif
#ifndef UxPutXrtXOriginUseDefault
#define UxPutXrtXOriginUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXOriginUseDefault), val)
#endif

#ifndef UxGetXrtXPrecision
#define UxGetXrtXPrecision(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumXPrecision))
#endif
#ifndef UxPutXrtXPrecision
#define UxPutXrtXPrecision(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumXPrecision), val)
#endif

#ifndef UxGetXrtXPrecisionUseDefault
#define UxGetXrtXPrecisionUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXPrecisionUseDefault))
#endif
#ifndef UxPutXrtXPrecisionUseDefault
#define UxPutXrtXPrecisionUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXPrecisionUseDefault), val)
#endif

#ifndef UxGetXrtXTick
#define UxGetXrtXTick(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumXTick))
#endif
#ifndef UxPutXrtXTick
#define UxPutXrtXTick(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumXTick), val)
#endif

#ifndef UxGetXrtXTickUseDefault
#define UxGetXrtXTickUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXTickUseDefault))
#endif
#ifndef UxPutXrtXTickUseDefault
#define UxPutXrtXTickUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXTickUseDefault), val)
#endif

#ifndef UxGetXrtXTitle
#define UxGetXrtXTitle(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXTitle))
#endif
#ifndef UxPutXrtXTitle
#define UxPutXrtXTitle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXTitle), val)
#endif

#ifndef UxGetXrtXTitleRotation
#define UxGetXrtXTitleRotation(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXTitleRotation))
#endif
#ifndef UxPutXrtXTitleRotation
#define UxPutXrtXTitleRotation(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXTitleRotation), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2AnnoPlacement
#define UxGetXrtY2AnnoPlacement (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AnnoPlacement))
#endif
#ifndef UxPutXrtY2AnnoPlacement
#define UxPutXrtY2AnnoPlacement(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AnnoPlacement), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2AnnotationAngle
#define UxGetXrtY2AnnotationAngle (sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumY2AnnotationAngle))
#endif
#ifndef UxPutXrtY2AnnotationAngle
#define UxPutXrtY2AnnotationAngle(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumY2AnnotationAngle), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2AnnotationAngleUseDefault
#define UxGetXrtY2AnnotationAngleUseDefault (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AnnotationAngleUseDefault))
#endif
#ifndef UxPutXrtY2AnnotationAngleUseDefault
#define UxPutXrtY2AnnotationAngleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AnnotationAngleUseDefault), val)
#endif

#ifndef UxGetXrtY2AnnotationMethod
#define UxGetXrtY2AnnotationMethod(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AnnotationMethod))
#endif
#ifndef UxPutXrtY2AnnotationMethod
#define UxPutXrtY2AnnotationMethod(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AnnotationMethod), val)
#endif

#ifndef UxGetXrtY2AnnotationRotation
#define UxGetXrtY2AnnotationRotation(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AnnotationRotation))
#endif
#ifndef UxPutXrtY2AnnotationRotation
#define UxPutXrtY2AnnotationRotation(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AnnotationRotation), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2Axis100Percent
#define UxGetXrtY2Axis100Percent (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2Axis100Percent))
#endif
#ifndef UxPutXrtY2Axis100Percent
#define UxPutXrtY2Axis100Percent(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2Axis100Percent), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2AxisLabelFormat
#define UxGetXrtY2AxisLabelFormat (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AxisLabelFormat))
#endif
#ifndef UxPutXrtY2AxisLabelFormat
#define UxPutXrtY2AxisLabelFormat(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AxisLabelFormat), val)
#endif

#ifndef UxGetXrtY2AxisLogarithmic
#define UxGetXrtY2AxisLogarithmic(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AxisLogarithmic))
#endif
#ifndef UxPutXrtY2AxisLogarithmic
#define UxPutXrtY2AxisLogarithmic(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AxisLogarithmic), val)
#endif

#ifndef UxGetXrtY2AxisMax
#define UxGetXrtY2AxisMax(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumY2AxisMax))
#endif
#ifndef UxPutXrtY2AxisMax
#define UxPutXrtY2AxisMax(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumY2AxisMax), val)
#endif

#ifndef UxGetXrtY2AxisMaxUseDefault
#define UxGetXrtY2AxisMaxUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AxisMaxUseDefault))
#endif
#ifndef UxPutXrtY2AxisMaxUseDefault
#define UxPutXrtY2AxisMaxUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AxisMaxUseDefault), val)
#endif

#ifndef UxGetXrtY2AxisMin
#define UxGetXrtY2AxisMin(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumY2AxisMin))
#endif
#ifndef UxPutXrtY2AxisMin
#define UxPutXrtY2AxisMin(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumY2AxisMin), val)
#endif

#ifndef UxGetXrtY2AxisMinUseDefault
#define UxGetXrtY2AxisMinUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AxisMinUseDefault))
#endif
#ifndef UxPutXrtY2AxisMinUseDefault
#define UxPutXrtY2AxisMinUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AxisMinUseDefault), val)
#endif

#ifndef UxGetXrtY2AxisReversed
#define UxGetXrtY2AxisReversed(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AxisReversed))
#endif
#ifndef UxPutXrtY2AxisReversed
#define UxPutXrtY2AxisReversed(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AxisReversed), val)
#endif

#ifndef UxGetXrtY2AxisShow
#define UxGetXrtY2AxisShow(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AxisShow))
#endif
#ifndef UxPutXrtY2AxisShow
#define UxPutXrtY2AxisShow(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AxisShow), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2Grid
#define UxGetXrtY2Grid (sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumY2Grid))
#endif
#ifndef UxPutXrtY2Grid
#define UxPutXrtY2Grid(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumY2Grid), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2GridDataStyle
#define UxGetXrtY2GridDataStyle (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2GridDataStyle))
#endif
#ifndef UxPutXrtY2GridDataStyle
#define UxPutXrtY2GridDataStyle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2GridDataStyle), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2GridDataStyleUseDefault
#define UxGetXrtY2GridDataStyleUseDefault (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2GridDataStyleUseDefault))
#endif
#ifndef UxPutXrtY2GridDataStyleUseDefault
#define UxPutXrtY2GridDataStyleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2GridDataStyleUseDefault), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2GridUseDefault
#define UxGetXrtY2GridUseDefault (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2GridUseDefault))
#endif
#ifndef UxPutXrtY2GridUseDefault
#define UxPutXrtY2GridUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2GridUseDefault), val)
#endif

#ifndef UxGetXrtY2Labels
#define UxGetXrtY2Labels(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2Labels))
#endif
#ifndef UxPutXrtY2Labels
#define UxPutXrtY2Labels(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2Labels), val)
#endif

#ifndef UxGetXrtY2Max
#define UxGetXrtY2Max(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumY2Max))
#endif
#ifndef UxPutXrtY2Max
#define UxPutXrtY2Max(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumY2Max), val)
#endif

#ifndef UxGetXrtY2MaxUseDefault
#define UxGetXrtY2MaxUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2MaxUseDefault))
#endif
#ifndef UxPutXrtY2MaxUseDefault
#define UxPutXrtY2MaxUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2MaxUseDefault), val)
#endif

#ifndef UxGetXrtY2Min
#define UxGetXrtY2Min(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumY2Min))
#endif
#ifndef UxPutXrtY2Min
#define UxPutXrtY2Min(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumY2Min), val)
#endif

#ifndef UxGetXrtY2MinUseDefault
#define UxGetXrtY2MinUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2MinUseDefault))
#endif
#ifndef UxPutXrtY2MinUseDefault
#define UxPutXrtY2MinUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2MinUseDefault), val)
#endif

#ifndef UxGetXrtY2Num
#define UxGetXrtY2Num(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumY2Num))
#endif
#ifndef UxPutXrtY2Num
#define UxPutXrtY2Num(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumY2Num), val)
#endif

#ifndef UxGetXrtY2NumMethod
#define UxGetXrtY2NumMethod(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2NumMethod))
#endif
#ifndef UxPutXrtY2NumMethod
#define UxPutXrtY2NumMethod(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2NumMethod), val)
#endif

#ifndef UxGetXrtY2NumUseDefault
#define UxGetXrtY2NumUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2NumUseDefault))
#endif
#ifndef UxPutXrtY2NumUseDefault
#define UxPutXrtY2NumUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2NumUseDefault), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2Origin
#define UxGetXrtY2Origin (sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumY2Origin))
#endif
#ifndef UxPutXrtY2Origin
#define UxPutXrtY2Origin(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumY2Origin), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2OriginPlacement
#define UxGetXrtY2OriginPlacement (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2OriginPlacement))
#endif
#ifndef UxPutXrtY2OriginPlacement
#define UxPutXrtY2OriginPlacement(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2OriginPlacement), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2OriginUseDefault
#define UxGetXrtY2OriginUseDefault (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2OriginUseDefault))
#endif
#ifndef UxPutXrtY2OriginUseDefault
#define UxPutXrtY2OriginUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2OriginUseDefault), val)
#endif

#ifndef UxGetXrtY2Precision
#define UxGetXrtY2Precision(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumY2Precision))
#endif
#ifndef UxPutXrtY2Precision
#define UxPutXrtY2Precision(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumY2Precision), val)
#endif

#ifndef UxGetXrtY2PrecisionUseDefault
#define UxGetXrtY2PrecisionUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2PrecisionUseDefault))
#endif
#ifndef UxPutXrtY2PrecisionUseDefault
#define UxPutXrtY2PrecisionUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2PrecisionUseDefault), val)
#endif

#ifndef UxGetXrtY2Tick
#define UxGetXrtY2Tick(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumY2Tick))
#endif
#ifndef UxPutXrtY2Tick
#define UxPutXrtY2Tick(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumY2Tick), val)
#endif

#ifndef UxGetXrtY2TickUseDefault
#define UxGetXrtY2TickUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2TickUseDefault))
#endif
#ifndef UxPutXrtY2TickUseDefault
#define UxPutXrtY2TickUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2TickUseDefault), val)
#endif

#ifndef UxGetXrtY2Title
#define UxGetXrtY2Title(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2Title))
#endif
#ifndef UxPutXrtY2Title
#define UxPutXrtY2Title(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2Title), val)
#endif

#ifndef UxGetXrtY2TitleRotation
#define UxGetXrtY2TitleRotation(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2TitleRotation))
#endif
#ifndef UxPutXrtY2TitleRotation
#define UxPutXrtY2TitleRotation(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2TitleRotation), val)
#endif

#ifndef UxGetXrtYAnnoPlacement
#define UxGetXrtYAnnoPlacement(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAnnoPlacement))
#endif
#ifndef UxPutXrtYAnnoPlacement
#define UxPutXrtYAnnoPlacement(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAnnoPlacement), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtYAnnotationAngle
#define UxGetXrtYAnnotationAngle(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYAnnotationAngle))
#endif
#ifndef UxPutXrtYAnnotationAngle
#define UxPutXrtYAnnotationAngle(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYAnnotationAngle), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtYAnnotationAngleUseDefault
#define UxGetXrtYAnnotationAngleUseDefault (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAnnotationAngleUseDefault))
#endif
#ifndef UxPutXrtYAnnotationAngleUseDefault
#define UxPutXrtYAnnotationAngleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAnnotationAngleUseDefault), val)
#endif

#ifndef UxGetXrtYAnnotationMethod
#define UxGetXrtYAnnotationMethod(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAnnotationMethod))
#endif
#ifndef UxPutXrtYAnnotationMethod
#define UxPutXrtYAnnotationMethod(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAnnotationMethod), val)
#endif

#ifndef UxGetXrtYAnnotationRotation
#define UxGetXrtYAnnotationRotation(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAnnotationRotation))
#endif
#ifndef UxPutXrtYAnnotationRotation
#define UxPutXrtYAnnotationRotation(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAnnotationRotation), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtYAxis100Percent
#define UxGetXrtYAxis100Percent (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAxis100Percent))
#endif
#ifndef UxPutXrtYAxis100Percent
#define UxPutXrtYAxis100Percent(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAxis100Percent), val)
#endif

#ifndef UxGetXrtYAxisConst
#define UxGetXrtYAxisConst(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYAxisConst))
#endif
#ifndef UxPutXrtYAxisConst
#define UxPutXrtYAxisConst(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYAxisConst), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtYAxisLabelFormat
#define UxGetXrtYAxisLabelFormat (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAxisLabelFormat))
#endif
#ifndef UxPutXrtYAxisLabelFormat
#define UxPutXrtYAxisLabelFormat(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAxisLabelFormat), val)
#endif

#ifndef UxGetXrtYAxisLogarithmic
#define UxGetXrtYAxisLogarithmic(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAxisLogarithmic))
#endif
#ifndef UxPutXrtYAxisLogarithmic
#define UxPutXrtYAxisLogarithmic(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAxisLogarithmic), val)
#endif

#ifndef UxGetXrtYAxisMax
#define UxGetXrtYAxisMax(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYAxisMax))
#endif
#ifndef UxPutXrtYAxisMax
#define UxPutXrtYAxisMax(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYAxisMax), val)
#endif

#ifndef UxGetXrtYAxisMaxUseDefault
#define UxGetXrtYAxisMaxUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAxisMaxUseDefault))
#endif
#ifndef UxPutXrtYAxisMaxUseDefault
#define UxPutXrtYAxisMaxUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAxisMaxUseDefault), val)
#endif

#ifndef UxGetXrtYAxisMin
#define UxGetXrtYAxisMin(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYAxisMin))
#endif
#ifndef UxPutXrtYAxisMin
#define UxPutXrtYAxisMin(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYAxisMin), val)
#endif

#ifndef UxGetXrtYAxisMinUseDefault
#define UxGetXrtYAxisMinUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAxisMinUseDefault))
#endif
#ifndef UxPutXrtYAxisMinUseDefault
#define UxPutXrtYAxisMinUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAxisMinUseDefault), val)
#endif

#ifndef UxGetXrtYAxisMult
#define UxGetXrtYAxisMult(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYAxisMult))
#endif
#ifndef UxPutXrtYAxisMult
#define UxPutXrtYAxisMult(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYAxisMult), val)
#endif

#ifndef UxGetXrtYAxisReversed
#define UxGetXrtYAxisReversed(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAxisReversed))
#endif
#ifndef UxPutXrtYAxisReversed
#define UxPutXrtYAxisReversed(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAxisReversed), val)
#endif

#ifndef UxGetXrtYAxisShow
#define UxGetXrtYAxisShow(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAxisShow))
#endif
#ifndef UxPutXrtYAxisShow
#define UxPutXrtYAxisShow(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAxisShow), val)
#endif

#ifndef UxGetXrtYGrid
#define UxGetXrtYGrid(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYGrid))
#endif
#ifndef UxPutXrtYGrid
#define UxPutXrtYGrid(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYGrid), val)
#endif

#ifndef UxGetXrtYGridDataStyle
#define UxGetXrtYGridDataStyle(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYGridDataStyle))
#endif
#ifndef UxPutXrtYGridDataStyle
#define UxPutXrtYGridDataStyle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYGridDataStyle), val)
#endif

#ifndef UxGetXrtYGridDataStyleUseDefault
#define UxGetXrtYGridDataStyleUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYGridDataStyleUseDefault))
#endif
#ifndef UxPutXrtYGridDataStyleUseDefault
#define UxPutXrtYGridDataStyleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYGridDataStyleUseDefault), val)
#endif

#ifndef UxGetXrtYGridUseDefault
#define UxGetXrtYGridUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYGridUseDefault))
#endif
#ifndef UxPutXrtYGridUseDefault
#define UxPutXrtYGridUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYGridUseDefault), val)
#endif

#ifndef UxGetXrtYLabels
#define UxGetXrtYLabels(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYLabels))
#endif
#ifndef UxPutXrtYLabels
#define UxPutXrtYLabels(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYLabels), val)
#endif

#ifndef UxGetXrtYMarker
#define UxGetXrtYMarker(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYMarker))
#endif
#ifndef UxPutXrtYMarker
#define UxPutXrtYMarker(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYMarker), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtYMarkerDataStyle
#define UxGetXrtYMarkerDataStyle (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYMarkerDataStyle))
#endif
#ifndef UxPutXrtYMarkerDataStyle
#define UxPutXrtYMarkerDataStyle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYMarkerDataStyle), val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtYMarkerDataStyleUseDefault
#define UxGetXrtYMarkerDataStyleUseDefault (sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYMarkerDataStyleUseDefault))
#endif
#ifndef UxPutXrtYMarkerDataStyleUseDefault
#define UxPutXrtYMarkerDataStyleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYMarkerDataStyleUseDefault), val)
#endif

#ifndef UxGetXrtYMarkerShow
#define UxGetXrtYMarkerShow(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYMarkerShow))
#endif
#ifndef UxPutXrtYMarkerShow
#define UxPutXrtYMarkerShow(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYMarkerShow), val)
#endif

#ifndef UxGetXrtYMax
#define UxGetXrtYMax(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYMax))
#endif
#ifndef UxPutXrtYMax
#define UxPutXrtYMax(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYMax), val)
#endif

#ifndef UxGetXrtYMaxUseDefault
#define UxGetXrtYMaxUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYMaxUseDefault))
#endif
#ifndef UxPutXrtYMaxUseDefault
#define UxPutXrtYMaxUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYMaxUseDefault), val)
#endif

#ifndef UxGetXrtYMin
#define UxGetXrtYMin(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYMin))
#endif
#ifndef UxPutXrtYMin
#define UxPutXrtYMin(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYMin), val)
#endif

#ifndef UxGetXrtYMinUseDefault
#define UxGetXrtYMinUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYMinUseDefault))
#endif
#ifndef UxPutXrtYMinUseDefault
#define UxPutXrtYMinUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYMinUseDefault), val)
#endif

#ifndef UxGetXrtYNum
#define UxGetXrtYNum(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYNum))
#endif
#ifndef UxPutXrtYNum
#define UxPutXrtYNum(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYNum), val)
#endif

#ifndef UxGetXrtYNumMethod
#define UxGetXrtYNumMethod(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYNumMethod))
#endif
#ifndef UxPutXrtYNumMethod
#define UxPutXrtYNumMethod(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYNumMethod), val)
#endif

#ifndef UxGetXrtYNumUseDefault
#define UxGetXrtYNumUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYNumUseDefault))
#endif
#ifndef UxPutXrtYNumUseDefault
#define UxPutXrtYNumUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYNumUseDefault), val)
#endif

#ifndef UxGetXrtYOrigin
#define UxGetXrtYOrigin(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYOrigin))
#endif
#ifndef UxPutXrtYOrigin
#define UxPutXrtYOrigin(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYOrigin), val)
#endif

#ifndef UxGetXrtYOriginPlacement
#define UxGetXrtYOriginPlacement(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYOriginPlacement))
#endif
#ifndef UxPutXrtYOriginPlacement
#define UxPutXrtYOriginPlacement(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYOriginPlacement), val)
#endif

#ifndef UxGetXrtYOriginUseDefault
#define UxGetXrtYOriginUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYOriginUseDefault))
#endif
#ifndef UxPutXrtYOriginUseDefault
#define UxPutXrtYOriginUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYOriginUseDefault), val)
#endif

#ifndef UxGetXrtYPrecision
#define UxGetXrtYPrecision(sw) \
	UxGET_int(sw, GRAPH_TABLE(xrtResNumYPrecision))
#endif
#ifndef UxPutXrtYPrecision
#define UxPutXrtYPrecision(sw, val) \
	UxPUT_int(sw, GRAPH_TABLE(xrtResNumYPrecision), val)
#endif

#ifndef UxGetXrtYPrecisionUseDefault
#define UxGetXrtYPrecisionUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYPrecisionUseDefault))
#endif
#ifndef UxPutXrtYPrecisionUseDefault
#define UxPutXrtYPrecisionUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYPrecisionUseDefault), val)
#endif

#ifndef UxGetXrtYTick
#define UxGetXrtYTick(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumYTick))
#endif
#ifndef UxPutXrtYTick
#define UxPutXrtYTick(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumYTick), val)
#endif

#ifndef UxGetXrtYTickUseDefault
#define UxGetXrtYTickUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYTickUseDefault))
#endif
#ifndef UxPutXrtYTickUseDefault
#define UxPutXrtYTickUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYTickUseDefault), val)
#endif

#ifndef UxGetXrtYTitle
#define UxGetXrtYTitle(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYTitle))
#endif
#ifndef UxPutXrtYTitle
#define UxPutXrtYTitle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYTitle), val)
#endif

#ifndef UxGetXrtYTitleRotation
#define UxGetXrtYTitleRotation(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYTitleRotation))
#endif
#ifndef UxPutXrtYTitleRotation
#define UxPutXrtYTitleRotation(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYTitleRotation), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtBubbleMax */
#ifndef UxGetXrtBubbleMax
#define UxGetXrtBubbleMax(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumBubbleMax))
#endif
#ifndef UxPutXrtBubbleMax
#define UxPutXrtBubbleMax(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumBubbleMax), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtBubbleMethod */
#ifndef UxGetXrtBubbleMethod
#define UxGetXrtBubbleMethod(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumBubbleMethod))
#endif
#ifndef UxPutXrtBubbleMethod
#define UxPutXrtBubbleMethod(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumBubbleMethod), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtBubbleMin */
#ifndef UxGetXrtBubbleMin
#define UxGetXrtBubbleMin(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumBubbleMin))
#endif
#ifndef UxPutXrtBubbleMin
#define UxPutXrtBubbleMin(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumBubbleMin), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtColorFunc */
#ifndef UxGetXrtColorFunc
#define UxGetXrtColorFunc(sw) \
	UxGET_voidFunction(sw, GRAPH_TABLE(xrtResNumColorFunc))
#endif
#ifndef UxPutXrtColorFunc
#define UxPutXrtColorFunc(sw, val) \
	UxPUT_voidFunction(sw, GRAPH_TABLE(xrtResNumColorFunc), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtExtraDefaultDataStyles */
#ifndef UxGetXrtExtraDefaultDataStyles
#define UxGetXrtExtraDefaultDataStyles(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumExtraDefaultDataStyles))
#endif
#ifndef UxPutXrtExtraDefaultDataStyles
#define UxPutXrtExtraDefaultDataStyles(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumExtraDefaultDataStyles), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtFooterImage */
#ifndef UxGetXrtFooterImage
#define UxGetXrtFooterImage(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumFooterImage))
#endif
#ifndef UxPutXrtFooterImage
#define UxPutXrtFooterImage(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumFooterImage), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtFooterImageLayout */
#ifndef UxGetXrtFooterImageLayout
#define UxGetXrtFooterImageLayout(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumFooterImageLayout))
#endif
#ifndef UxPutXrtFooterImageLayout
#define UxPutXrtFooterImageLayout(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumFooterImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtFooterImageMinimumSize */
#ifndef UxGetXrtFooterImageMinimumSize
#define UxGetXrtFooterImageMinimumSize(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumFooterImageMinimumSize))
#endif
#ifndef UxPutXrtFooterImageMinimumSize
#define UxPutXrtFooterImageMinimumSize(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumFooterImageMinimumSize), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtDataAreaImage */
#ifndef UxGetXrtDataAreaImage
#define UxGetXrtDataAreaImage(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumDataAreaImage))
#endif
#ifndef UxPutXrtDataAreaImage
#define UxPutXrtDataAreaImage(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumDataAreaImage), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtDataAreaImageLayout */
#ifndef UxGetXrtDataAreaImageLayout
#define UxGetXrtDataAreaImageLayout(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumDataAreaImageLayout))
#endif
#ifndef UxPutXrtDataAreaImageLayout
#define UxPutXrtDataAreaImageLayout(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumDataAreaImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGraphImage */
#ifndef UxGetXrtGraphImage
#define UxGetXrtGraphImage(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphImage))
#endif
#ifndef UxPutXrtGraphImage
#define UxPutXrtGraphImage(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphImage), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGraphImageLayout */
#ifndef UxGetXrtGraphImageLayout
#define UxGetXrtGraphImageLayout(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumGraphImageLayout))
#endif
#ifndef UxPutXrtGraphImageLayout
#define UxPutXrtGraphImageLayout(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumGraphImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtHeaderImage */
#ifndef UxGetXrtHeaderImage
#define UxGetXrtHeaderImage(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHeaderImage))
#endif
#ifndef UxPutXrtHeaderImage
#define UxPutXrtHeaderImage(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHeaderImage), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtHeaderImageLayout */
#ifndef UxGetXrtHeaderImageLayout
#define UxGetXrtHeaderImageLayout(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHeaderImageLayout))
#endif
#ifndef UxPutXrtHeaderImageLayout
#define UxPutXrtHeaderImageLayout(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHeaderImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtHeaderImageMinimumSize */
#ifndef UxGetXrtHeaderImageMinimumSize
#define UxGetXrtHeaderImageMinimumSize(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumHeaderImageMinimumSize))
#endif
#ifndef UxPutXrtHeaderImageMinimumSize
#define UxPutXrtHeaderImageMinimumSize(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumHeaderImageMinimumSize), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtImage */
#ifndef UxGetXrtImage
#define UxGetXrtImage(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumImage))
#endif
#ifndef UxPutXrtImage
#define UxPutXrtImage(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumImage), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtImageLayout */
#ifndef UxGetXrtImageLayout
#define UxGetXrtImageLayout(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumImageLayout))
#endif
#ifndef UxPutXrtImageLayout
#define UxPutXrtImageLayout(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtIsStacked */
#ifndef UxGetXrtIsStacked
#define UxGetXrtIsStacked(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumIsStacked))
#endif
#ifndef UxPutXrtIsStacked
#define UxPutXrtIsStacked(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumIsStacked), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtIsStacked2 */
#ifndef UxGetXrtIsStacked2
#define UxGetXrtIsStacked2(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumIsStacked2))
#endif
#ifndef UxPutXrtIsStacked2
#define UxPutXrtIsStacked2(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumIsStacked2), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtLegendImage */
#ifndef UxGetXrtLegendImage
#define UxGetXrtLegendImage(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendImage))
#endif
#ifndef UxPutXrtLegendImage
#define UxPutXrtLegendImage(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendImage), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtLegendImageLayout */
#ifndef UxGetXrtLegendImageLayout
#define UxGetXrtLegendImageLayout(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendImageLayout))
#endif
#ifndef UxPutXrtLegendImageLayout
#define UxPutXrtLegendImageLayout(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtLegendReversed */
#ifndef UxGetXrtLegendReversed
#define UxGetXrtLegendReversed(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendReversed))
#endif
#ifndef UxPutXrtLegendReversed
#define UxPutXrtLegendReversed(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendReversed), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtLegendTitle */
#ifndef UxGetXrtLegendTitle
#define UxGetXrtLegendTitle(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumLegendTitle))
#endif
#ifndef UxPutXrtLegendTitle
#define UxPutXrtLegendTitle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumLegendTitle), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtPieMergeMissingSlices */
#ifndef UxGetXrtPieMergeMissingSlices
#define UxGetXrtPieMergeMissingSlices(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumPieMergeMissingSlices))
#endif
#ifndef UxPutXrtPieMergeMissingSlices
#define UxPutXrtPieMergeMissingSlices(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumPieMergeMissingSlices), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtPieStartAngle */
#ifndef UxGetXrtPieStartAngle
#define UxGetXrtPieStartAngle(sw) \
	UxXrtGET_double(sw, GRAPH_TABLE(xrtResNumPieStartAngle))
#endif
#ifndef UxPutXrtPieStartAngle
#define UxPutXrtPieStartAngle(sw, val) \
	UxXrtPUT_double(sw, GRAPH_TABLE(xrtResNumPieStartAngle), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtPolarAxisAllowNegatives */
#ifndef UxGetXrtPolarAxisAllowNegatives
#define UxGetXrtPolarAxisAllowNegatives(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumPolarAxisAllowNegatives))
#endif
#ifndef UxPutXrtPolarAxisAllowNegatives
#define UxPutXrtPolarAxisAllowNegatives(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumPolarAxisAllowNegatives), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtXAxisDataStyle */
#ifndef UxGetXrtXAxisDataStyle
#define UxGetXrtXAxisDataStyle(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXAxisDataStyle))
#endif
#ifndef UxPutXrtXAxisDataStyle
#define UxPutXrtXAxisDataStyle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXAxisDataStyle), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtXAxisDataStyleUseDefault */
#ifndef UxGetXrtXAxisDataStyleUseDefault
#define UxGetXrtXAxisDataStyleUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumXAxisDataStyleUseDefault))
#endif
#ifndef UxPutXrtXAxisDataStyleUseDefault
#define UxPutXrtXAxisDataStyleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumXAxisDataStyleUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtY2AxisDataStyle */
#ifndef UxGetXrtY2AxisDataStyle
#define UxGetXrtY2AxisDataStyle(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AxisDataStyle))
#endif
#ifndef UxPutXrtY2AxisDataStyle
#define UxPutXrtY2AxisDataStyle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AxisDataStyle), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtY2AxisDataStyleUseDefault */
#ifndef UxGetXrtY2AxisDataStyleUseDefault
#define UxGetXrtY2AxisDataStyleUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumY2AxisDataStyleUseDefault))
#endif
#ifndef UxPutXrtY2AxisDataStyleUseDefault
#define UxPutXrtY2AxisDataStyleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumY2AxisDataStyleUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtYAxisDataStyle */
#ifndef UxGetXrtYAxisDataStyle
#define UxGetXrtYAxisDataStyle(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAxisDataStyle))
#endif
#ifndef UxPutXrtYAxisDataStyle
#define UxPutXrtYAxisDataStyle(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAxisDataStyle), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtYAxisDataStyleUseDefault */
#ifndef UxGetXrtYAxisDataStyleUseDefault
#define UxGetXrtYAxisDataStyleUseDefault(sw) \
	UxGET_string(sw, GRAPH_TABLE(xrtResNumYAxisDataStyleUseDefault))
#endif
#ifndef UxPutXrtYAxisDataStyleUseDefault
#define UxPutXrtYAxisDataStyleUseDefault(sw, val) \
	UxPUT_string(sw, GRAPH_TABLE(xrtResNumYAxisDataStyleUseDefault), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGraph;
#ifndef UxCreateXrtGraph
#define UxCreateXrtGraph(name, parent) \
	UxCreateSwidget(UxC_XrtGraph, name, parent)
#endif


#else /* Not DESIGN_TIME */

extern float	XrtArgValToFloat	UXPROTO((XtArgVal));
extern XtArgVal	XrtFloatToArgVal	UXPROTO((double));

/*graph 3.0*/
#ifndef UxGetXrtAngleUnit
#define UxGetXrtAngleUnit(sw) \
	(char *) UxDDGetProp(sw, XtNxrtAngleUnit)
#endif
#ifndef UxPutXrtAngleUnit
#define UxPutXrtAngleUnit(sw, val) \
	UxDDPutProp(sw, XtNxrtAngleUnit, (XtArgVal) (val))
#endif

#ifndef UxGetXrtAxisBoundingBox
#define UxGetXrtAxisBoundingBox(sw) \
    (char *) UxDDGetProp(sw, XtNxrtAxisBoundingBox)
#endif
#ifndef UxPutXrtAxisBoundingBox
#define UxPutXrtAxisBoundingBox(sw, val) \
    UxDDPutProp(sw, XtNxrtAxisBoundingBox, (XtArgVal) (val))
#endif

#ifndef UxGetXrtAxisFont
#define UxGetXrtAxisFont(sw) \
    (char *) UxDDGetProp(sw, XtNxrtAxisFont)
#endif
#ifndef UxPutXrtAxisFont
#define UxPutXrtAxisFont(sw, val) \
    UxDDPutProp(sw, XtNxrtAxisFont, (XtArgVal) (val))
#endif

#ifndef UxGetXrtBackgroundColor
#define UxGetXrtBackgroundColor(sw) \
    (char *) UxGetProp(sw, XtNxrtBackgroundColor)
#endif
#ifndef UxPutXrtBackgroundColor
#define UxPutXrtBackgroundColor(sw, val) \
    UxPutProp(sw, XtNxrtBackgroundColor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtBarClusterOverlap
#define UxGetXrtBarClusterOverlap(sw) \
    (int)UxIntGetProp(sw, XtNxrtBarClusterOverlap)
#endif
#ifndef UxPutXrtBarClusterOverlap
#define UxPutXrtBarClusterOverlap(sw, val) \
    UxPutProp(sw, XtNxrtBarClusterOverlap, (XtArgVal) (val))
#endif

#ifndef UxGetXrtBarClusterWidth
#define UxGetXrtBarClusterWidth(sw) \
    (int)UxIntGetProp(sw, XtNxrtBarClusterWidth)
#endif
#ifndef UxPutXrtBarClusterWidth
#define UxPutXrtBarClusterWidth(sw, val) \
    UxPutProp(sw, XtNxrtBarClusterWidth, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtBorder
#define UxGetXrtBorder(sw) \
	(char *) UxDDGetProp(sw, XtNxrtBorder)
#endif
#ifndef UxPutXrtBorder
#define UxPutXrtBorder(sw, val) \
	UxDDPutProp(sw, XtNxrtBorder, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtCandleComplex
#define UxGetXrtCandleComplex(sw) \
	(char *) UxDDGetProp(sw, XtNxrtCandleComplex)
#endif
#ifndef UxPutXrtCandleComplex
#define UxPutXrtCandleComplex(sw, val) \
	UxDDPutProp(sw, XtNxrtCandleComplex, (XtArgVal) (val))
#endif

#ifndef UxGetXrtData
#define UxGetXrtData(sw) \
    (char *) UxDDGetProp(sw, XtNxrtData)
#endif
#ifndef UxPutXrtData
#define UxPutXrtData(sw, val) \
    UxDDPutProp(sw, XtNxrtData, (XtArgVal) (val))
#endif

#ifndef UxGetXrtData2
#define UxGetXrtData2(sw) \
    (char *) UxDDGetProp(sw, XtNxrtData2)
#endif
#ifndef UxPutXrtData2
#define UxPutXrtData2(sw, val) \
    UxDDPutProp(sw, XtNxrtData2, (XtArgVal) (val))
#endif

#ifndef UxGetXrtDataAreaBackgroundColor
#define UxGetXrtDataAreaBackgroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrtDataAreaBackgroundColor)
#endif
#ifndef UxPutXrtDataAreaBackgroundColor
#define UxPutXrtDataAreaBackgroundColor(sw, val) \
	UxPutProp(sw, XtNxrtDataAreaBackgroundColor, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtDataAreaForegroundColor
#define UxGetXrtDataAreaForegroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrtDataAreaForegroundColor)
#endif
#ifndef UxPutXrtDataAreaForegroundColor
#define UxPutXrtDataAreaForegroundColor(sw, val) \
	UxPutProp(sw, XtNxrtDataAreaForegroundColor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtDataStyles
#define UxGetXrtDataStyles(sw) \
    (char *) UxDDGetProp(sw, XtNxrtDataStyles)
#endif
#ifndef UxPutXrtDataStyles
#define UxPutXrtDataStyles(sw, val) \
    UxDDPutProp(sw, XtNxrtDataStyles, (XtArgVal) (val))
#endif

#ifndef UxGetXrtDataStyles2
#define UxGetXrtDataStyles2(sw) \
    (char *) UxDDGetProp(sw, XtNxrtDataStyles2)
#endif
#ifndef UxPutXrtDataStyles2
#define UxPutXrtDataStyles2(sw, val) \
    UxDDPutProp(sw, XtNxrtDataStyles2, (XtArgVal) (val))
#endif

#ifndef UxGetXrtDataStyles2UseDefault
#define UxGetXrtDataStyles2UseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtDataStyles2UseDefault)
#endif
#ifndef UxPutXrtDataStyles2UseDefault
#define UxPutXrtDataStyles2UseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtDataStyles2UseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtDataStylesUseDefault
#define UxGetXrtDataStylesUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtDataStylesUseDefault)
#endif
#ifndef UxPutXrtDataStylesUseDefault
#define UxPutXrtDataStylesUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtDataStylesUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtDebug
#define UxGetXrtDebug(sw) \
    (char *) UxDDGetProp(sw, XtNxrtDebug)
#endif
#ifndef UxPutXrtDebug
#define UxPutXrtDebug(sw, val) \
    UxDDPutProp(sw, XtNxrtDebug, (XtArgVal) (val))
#endif

#ifndef UxGetXrtDoubleBuffer
#define UxGetXrtDoubleBuffer(sw) \
    (char *) UxDDGetProp(sw, XtNxrtDoubleBuffer)
#endif
#ifndef UxPutXrtDoubleBuffer
#define UxPutXrtDoubleBuffer(sw, val) \
    UxDDPutProp(sw, XtNxrtDoubleBuffer, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterAdjust
#define UxGetXrtFooterAdjust(sw) \
    (char *) UxDDGetProp(sw, XtNxrtFooterAdjust)
#endif
#ifndef UxPutXrtFooterAdjust
#define UxPutXrtFooterAdjust(sw, val) \
    UxDDPutProp(sw, XtNxrtFooterAdjust, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterBackgroundColor
#define UxGetXrtFooterBackgroundColor(sw) \
    (char *) UxGetProp(sw, XtNxrtFooterBackgroundColor)
#endif
#ifndef UxPutXrtFooterBackgroundColor
#define UxPutXrtFooterBackgroundColor(sw, val) \
    UxPutProp(sw, XtNxrtFooterBackgroundColor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterBorder
#define UxGetXrtFooterBorder(sw) \
    (char *) UxDDGetProp(sw, XtNxrtFooterBorder)
#endif
#ifndef UxPutXrtFooterBorder
#define UxPutXrtFooterBorder(sw, val) \
    UxDDPutProp(sw, XtNxrtFooterBorder, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterBorderWidth
#define UxGetXrtFooterBorderWidth(sw) \
    (short)UxShortGetProp(sw, XtNxrtFooterBorderWidth)
#endif
#ifndef UxPutXrtFooterBorderWidth
#define UxPutXrtFooterBorderWidth(sw, val) \
    UxPutProp(sw, XtNxrtFooterBorderWidth, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterFont
#define UxGetXrtFooterFont(sw) \
    (char *) UxDDGetProp(sw, XtNxrtFooterFont)
#endif
#ifndef UxPutXrtFooterFont
#define UxPutXrtFooterFont(sw, val) \
    UxDDPutProp(sw, XtNxrtFooterFont, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterForegroundColor
#define UxGetXrtFooterForegroundColor(sw) \
    (char *) UxGetProp(sw, XtNxrtFooterForegroundColor)
#endif
#ifndef UxPutXrtFooterForegroundColor
#define UxPutXrtFooterForegroundColor(sw, val) \
    UxPutProp(sw, XtNxrtFooterForegroundColor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterHeight
#define UxGetXrtFooterHeight(sw) \
    (short)UxShortGetProp(sw, XtNxrtFooterHeight)
#endif
#ifndef UxPutXrtFooterHeight
#define UxPutXrtFooterHeight(sw, val) \
    UxPutProp(sw, XtNxrtFooterHeight, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterStrings
#define UxGetXrtFooterStrings(sw) \
    (char *) UxDDGetProp(sw, XtNxrtFooterStrings)
#endif
#ifndef UxPutXrtFooterStrings
#define UxPutXrtFooterStrings(sw, val) \
    UxDDPutProp(sw, XtNxrtFooterStrings, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterWidth
#define UxGetXrtFooterWidth(sw) \
    (short)UxShortGetProp(sw, XtNxrtFooterWidth)
#endif
#ifndef UxPutXrtFooterWidth
#define UxPutXrtFooterWidth(sw, val) \
    UxPutProp(sw, XtNxrtFooterWidth, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterX
#define UxGetXrtFooterX(sw) \
    (short)UxShortGetProp(sw, XtNxrtFooterX)
#endif
#ifndef UxPutXrtFooterX
#define UxPutXrtFooterX(sw, val) \
    UxPutProp(sw, XtNxrtFooterX, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterXUseDefault
#define UxGetXrtFooterXUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtFooterXUseDefault)
#endif
#ifndef UxPutXrtFooterXUseDefault
#define UxPutXrtFooterXUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtFooterXUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterY
#define UxGetXrtFooterY(sw) \
    (short)UxShortGetProp(sw, XtNxrtFooterY)
#endif
#ifndef UxPutXrtFooterY
#define UxPutXrtFooterY(sw, val) \
    UxPutProp(sw, XtNxrtFooterY, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFooterYUseDefault
#define UxGetXrtFooterYUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtFooterYUseDefault)
#endif
#ifndef UxPutXrtFooterYUseDefault
#define UxPutXrtFooterYUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtFooterYUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtForegroundColor
#define UxGetXrtForegroundColor(sw) \
    (char *) UxGetProp(sw, XtNxrtForegroundColor)
#endif
#ifndef UxPutXrtForegroundColor
#define UxPutXrtForegroundColor(sw, val) \
    UxPutProp(sw, XtNxrtForegroundColor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtFrontDataset
#define UxGetXrtFrontDataset(sw) \
    (int)UxIntGetProp(sw, XtNxrtFrontDataset)
#endif
#ifndef UxPutXrtFrontDataset
#define UxPutXrtFrontDataset(sw, val) \
    UxPutProp(sw, XtNxrtFrontDataset, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtGraph3dShading
#define UxGetXrtGraph3dShading(sw) \
	(char *) UxDDGetProp(sw, XtNxrtGraph3dShading)
#endif
#ifndef UxPutXrtGraph3dShading
#define UxPutXrtGraph3dShading(sw, val) \
	UxDDPutProp(sw, XtNxrtGraph3dShading, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphBackgroundColor
#define UxGetXrtGraphBackgroundColor(sw) \
    (char *) UxGetProp(sw, XtNxrtGraphBackgroundColor)
#endif
#ifndef UxPutXrtGraphBackgroundColor
#define UxPutXrtGraphBackgroundColor(sw, val) \
    UxPutProp(sw, XtNxrtGraphBackgroundColor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphBorder
#define UxGetXrtGraphBorder(sw) \
    (char *) UxDDGetProp(sw, XtNxrtGraphBorder)
#endif
#ifndef UxPutXrtGraphBorder
#define UxPutXrtGraphBorder(sw, val) \
    UxDDPutProp(sw, XtNxrtGraphBorder, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphBorderWidth
#define UxGetXrtGraphBorderWidth(sw) \
    (short)UxShortGetProp(sw, XtNxrtGraphBorderWidth)
#endif
#ifndef UxPutXrtGraphBorderWidth
#define UxPutXrtGraphBorderWidth(sw, val) \
    UxPutProp(sw, XtNxrtGraphBorderWidth, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphDepth
#define UxGetXrtGraphDepth(sw) \
    (int)UxIntGetProp(sw, XtNxrtGraphDepth)
#endif
#ifndef UxPutXrtGraphDepth
#define UxPutXrtGraphDepth(sw, val) \
    UxPutProp(sw, XtNxrtGraphDepth, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphForegroundColor
#define UxGetXrtGraphForegroundColor(sw) \
    (char *) UxGetProp(sw, XtNxrtGraphForegroundColor)
#endif
#ifndef UxPutXrtGraphForegroundColor
#define UxPutXrtGraphForegroundColor(sw, val) \
    UxPutProp(sw, XtNxrtGraphForegroundColor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphHeight
#define UxGetXrtGraphHeight(sw) \
    (short)UxShortGetProp(sw, XtNxrtGraphHeight)
#endif
#ifndef UxPutXrtGraphHeight
#define UxPutXrtGraphHeight(sw, val) \
    UxPutProp(sw, XtNxrtGraphHeight, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphHeightUseDefault
#define UxGetXrtGraphHeightUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtGraphHeightUseDefault)
#endif
#ifndef UxPutXrtGraphHeightUseDefault
#define UxPutXrtGraphHeightUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtGraphHeightUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphInclination
#define UxGetXrtGraphInclination(sw) \
    (int)UxIntGetProp(sw, XtNxrtGraphInclination)
#endif
#ifndef UxPutXrtGraphInclination
#define UxPutXrtGraphInclination(sw, val) \
    UxPutProp(sw, XtNxrtGraphInclination, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphMarginBottom
#define UxGetXrtGraphMarginBottom(sw) \
	(short)UxShortGetProp(sw, XtNxrtGraphMarginBottom)
#endif
#ifndef UxPutXrtGraphMarginBottom
#define UxPutXrtGraphMarginBottom(sw, val) \
	UxPutProp(sw, XtNxrtGraphMarginBottom, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphMarginBottomUseDefault
#define UxGetXrtGraphMarginBottomUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtGraphMarginBottomUseDefault)
#endif
#ifndef UxPutXrtGraphMarginBottomUseDefault
#define UxPutXrtGraphMarginBottomUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtGraphMarginBottomUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphMarginLeft
#define UxGetXrtGraphMarginLeft(sw) \
	(short)UxShortGetProp(sw, XtNxrtGraphMarginLeft)
#endif
#ifndef UxPutXrtGraphMarginLeft
#define UxPutXrtGraphMarginLeft(sw, val) \
	UxPutProp(sw, XtNxrtGraphMarginLeft, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphMarginLeftUseDefault
#define UxGetXrtGraphMarginLeftUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtGraphMarginLeftUseDefault)
#endif
#ifndef UxPutXrtGraphMarginLeftUseDefault
#define UxPutXrtGraphMarginLeftUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtGraphMarginLeftUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphMarginRight
#define UxGetXrtGraphMarginRight(sw) \
	(short)UxShortGetProp(sw, XtNxrtGraphMarginRight)
#endif
#ifndef UxPutXrtGraphMarginRight
#define UxPutXrtGraphMarginRight(sw, val) \
	UxPutProp(sw, XtNxrtGraphMarginRight, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphMarginRightUseDefault
#define UxGetXrtGraphMarginRightUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtGraphMarginRightUseDefault)
#endif
#ifndef UxPutXrtGraphMarginRightUseDefault
#define UxPutXrtGraphMarginRightUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtGraphMarginRightUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphMarginTop
#define UxGetXrtGraphMarginTop(sw) \
	(short)UxShortGetProp(sw, XtNxrtGraphMarginTop)
#endif
#ifndef UxPutXrtGraphMarginTop
#define UxPutXrtGraphMarginTop(sw, val) \
	UxPutProp(sw, XtNxrtGraphMarginTop, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphMarginTopUseDefault
#define UxGetXrtGraphMarginTopUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtGraphMarginTopUseDefault)
#endif
#ifndef UxPutXrtGraphMarginTopUseDefault
#define UxPutXrtGraphMarginTopUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtGraphMarginTopUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphRotation
#define UxGetXrtGraphRotation(sw) \
    (int)UxIntGetProp(sw, XtNxrtGraphRotation)
#endif
#ifndef UxPutXrtGraphRotation
#define UxPutXrtGraphRotation(sw, val) \
    UxPutProp(sw, XtNxrtGraphRotation, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtGraphShowOutlines
#define UxGetXrtGraphShowOutlines(sw) \
	(char *) UxDDGetProp(sw, XtNxrtGraphShowOutlines)
#endif
#ifndef UxPutXrtGraphShowOutlines
#define UxPutXrtGraphShowOutlines(sw, val) \
	UxDDPutProp(sw, XtNxrtGraphShowOutlines, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphWidth
#define UxGetXrtGraphWidth(sw) \
    (short)UxShortGetProp(sw, XtNxrtGraphWidth)
#endif
#ifndef UxPutXrtGraphWidth
#define UxPutXrtGraphWidth(sw, val) \
    UxPutProp(sw, XtNxrtGraphWidth, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphWidthUseDefault
#define UxGetXrtGraphWidthUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtGraphWidthUseDefault)
#endif
#ifndef UxPutXrtGraphWidthUseDefault
#define UxPutXrtGraphWidthUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtGraphWidthUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphX
#define UxGetXrtGraphX(sw) \
    (short)UxShortGetProp(sw, XtNxrtGraphX)
#endif
#ifndef UxPutXrtGraphX
#define UxPutXrtGraphX(sw, val) \
    UxPutProp(sw, XtNxrtGraphX, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphXUseDefault
#define UxGetXrtGraphXUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtGraphXUseDefault)
#endif
#ifndef UxPutXrtGraphXUseDefault
#define UxPutXrtGraphXUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtGraphXUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphY
#define UxGetXrtGraphY(sw) \
    (short)UxShortGetProp(sw, XtNxrtGraphY)
#endif
#ifndef UxPutXrtGraphY
#define UxPutXrtGraphY(sw, val) \
    UxPutProp(sw, XtNxrtGraphY, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGraphYUseDefault
#define UxGetXrtGraphYUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtGraphYUseDefault)
#endif
#ifndef UxPutXrtGraphYUseDefault
#define UxPutXrtGraphYUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtGraphYUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderAdjust
#define UxGetXrtHeaderAdjust(sw) \
    (char *) UxDDGetProp(sw, XtNxrtHeaderAdjust)
#endif
#ifndef UxPutXrtHeaderAdjust
#define UxPutXrtHeaderAdjust(sw, val) \
    UxDDPutProp(sw, XtNxrtHeaderAdjust, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderBackgroundColor
#define UxGetXrtHeaderBackgroundColor(sw) \
    (char *) UxGetProp(sw, XtNxrtHeaderBackgroundColor)
#endif
#ifndef UxPutXrtHeaderBackgroundColor
#define UxPutXrtHeaderBackgroundColor(sw, val) \
    UxPutProp(sw, XtNxrtHeaderBackgroundColor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderBorder
#define UxGetXrtHeaderBorder(sw) \
    (char *) UxDDGetProp(sw, XtNxrtHeaderBorder)
#endif
#ifndef UxPutXrtHeaderBorder
#define UxPutXrtHeaderBorder(sw, val) \
    UxDDPutProp(sw, XtNxrtHeaderBorder, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderBorderWidth
#define UxGetXrtHeaderBorderWidth(sw) \
    (short)UxShortGetProp(sw, XtNxrtHeaderBorderWidth)
#endif
#ifndef UxPutXrtHeaderBorderWidth
#define UxPutXrtHeaderBorderWidth(sw, val) \
    UxPutProp(sw, XtNxrtHeaderBorderWidth, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderFont
#define UxGetXrtHeaderFont(sw) \
    (char *) UxDDGetProp(sw, XtNxrtHeaderFont)
#endif
#ifndef UxPutXrtHeaderFont
#define UxPutXrtHeaderFont(sw, val) \
    UxDDPutProp(sw, XtNxrtHeaderFont, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderForegroundColor
#define UxGetXrtHeaderForegroundColor(sw) \
    (char *) UxGetProp(sw, XtNxrtHeaderForegroundColor)
#endif
#ifndef UxPutXrtHeaderForegroundColor
#define UxPutXrtHeaderForegroundColor(sw, val) \
    UxPutProp(sw, XtNxrtHeaderForegroundColor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderHeight
#define UxGetXrtHeaderHeight(sw) \
    (short)UxShortGetProp(sw, XtNxrtHeaderHeight)
#endif
#ifndef UxPutXrtHeaderHeight
#define UxPutXrtHeaderHeight(sw, val) \
    UxPutProp(sw, XtNxrtHeaderHeight, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderStrings
#define UxGetXrtHeaderStrings(sw) \
    (char *) UxDDGetProp(sw, XtNxrtHeaderStrings)
#endif
#ifndef UxPutXrtHeaderStrings
#define UxPutXrtHeaderStrings(sw, val) \
    UxDDPutProp(sw, XtNxrtHeaderStrings, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderWidth
#define UxGetXrtHeaderWidth(sw) \
    (short)UxShortGetProp(sw, XtNxrtHeaderWidth)
#endif
#ifndef UxPutXrtHeaderWidth
#define UxPutXrtHeaderWidth(sw, val) \
    UxPutProp(sw, XtNxrtHeaderWidth, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderX
#define UxGetXrtHeaderX(sw) \
    (short)UxShortGetProp(sw, XtNxrtHeaderX)
#endif
#ifndef UxPutXrtHeaderX
#define UxPutXrtHeaderX(sw, val) \
    UxPutProp(sw, XtNxrtHeaderX, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderXUseDefault
#define UxGetXrtHeaderXUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtHeaderXUseDefault)
#endif
#ifndef UxPutXrtHeaderXUseDefault
#define UxPutXrtHeaderXUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtHeaderXUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderY
#define UxGetXrtHeaderY(sw) \
    (short)UxShortGetProp(sw, XtNxrtHeaderY)
#endif
#ifndef UxPutXrtHeaderY
#define UxPutXrtHeaderY(sw, val) \
    UxPutProp(sw, XtNxrtHeaderY, (XtArgVal) (val))
#endif

#ifndef UxGetXrtHeaderYUseDefault
#define UxGetXrtHeaderYUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtHeaderYUseDefault)
#endif
#ifndef UxPutXrtHeaderYUseDefault
#define UxPutXrtHeaderYUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtHeaderYUseDefault, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtHiLoCloseShow
#define UxGetXrtHiLoCloseShow(sw) \
	(char *) UxDDGetProp(sw, XtNxrtHiLoCloseShow)
#endif
#ifndef UxPutXrtHiLoCloseShow
#define UxPutXrtHiLoCloseShow(sw, val) \
	UxDDPutProp(sw, XtNxrtHiLoCloseShow, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtHiLoOpenCloseFullWidth
#define UxGetXrtHiLoOpenCloseFullWidth(sw) \
	(char *) UxDDGetProp(sw, XtNxrtHiLoOpenCloseFullWidth)
#endif
#ifndef UxPutXrtHiLoOpenCloseFullWidth
#define UxPutXrtHiLoOpenCloseFullWidth(sw, val) \
	UxDDPutProp(sw, XtNxrtHiLoOpenCloseFullWidth, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtHiLoOpenShow
#define UxGetXrtHiLoOpenShow(sw) \
	(char *) UxDDGetProp(sw, XtNxrtHiLoOpenShow)
#endif
#ifndef UxPutXrtHiLoOpenShow
#define UxPutXrtHiLoOpenShow(sw, val) \
	UxDDPutProp(sw, XtNxrtHiLoOpenShow, (XtArgVal) (val))
#endif

#ifndef UxGetXrtInvertOrientation
#define UxGetXrtInvertOrientation(sw) \
    (char *) UxDDGetProp(sw, XtNxrtInvertOrientation)
#endif
#ifndef UxPutXrtInvertOrientation
#define UxPutXrtInvertOrientation(sw, val) \
    UxDDPutProp(sw, XtNxrtInvertOrientation, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendAnchor
#define UxGetXrtLegendAnchor(sw) \
    (char *) UxDDGetProp(sw, XtNxrtLegendAnchor)
#endif
#ifndef UxPutXrtLegendAnchor
#define UxPutXrtLegendAnchor(sw, val) \
    UxDDPutProp(sw, XtNxrtLegendAnchor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendBackgroundColor
#define UxGetXrtLegendBackgroundColor(sw) \
    (char *) UxGetProp(sw, XtNxrtLegendBackgroundColor)
#endif
#ifndef UxPutXrtLegendBackgroundColor
#define UxPutXrtLegendBackgroundColor(sw, val) \
    UxPutProp(sw, XtNxrtLegendBackgroundColor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendBorder
#define UxGetXrtLegendBorder(sw) \
    (char *) UxDDGetProp(sw, XtNxrtLegendBorder)
#endif
#ifndef UxPutXrtLegendBorder
#define UxPutXrtLegendBorder(sw, val) \
    UxDDPutProp(sw, XtNxrtLegendBorder, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendBorderWidth
#define UxGetXrtLegendBorderWidth(sw) \
    (short)UxShortGetProp(sw, XtNxrtLegendBorderWidth)
#endif
#ifndef UxPutXrtLegendBorderWidth
#define UxPutXrtLegendBorderWidth(sw, val) \
    UxPutProp(sw, XtNxrtLegendBorderWidth, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendFont
#define UxGetXrtLegendFont(sw) \
    (char *) UxDDGetProp(sw, XtNxrtLegendFont)
#endif
#ifndef UxPutXrtLegendFont
#define UxPutXrtLegendFont(sw, val) \
    UxDDPutProp(sw, XtNxrtLegendFont, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendForegroundColor
#define UxGetXrtLegendForegroundColor(sw) \
    (char *) UxGetProp(sw, XtNxrtLegendForegroundColor)
#endif
#ifndef UxPutXrtLegendForegroundColor
#define UxPutXrtLegendForegroundColor(sw, val) \
    UxPutProp(sw, XtNxrtLegendForegroundColor, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendHeight
#define UxGetXrtLegendHeight(sw) \
    (short)UxShortGetProp(sw, XtNxrtLegendHeight)
#endif
#ifndef UxPutXrtLegendHeight
#define UxPutXrtLegendHeight(sw, val) \
    UxPutProp(sw, XtNxrtLegendHeight, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendOrientation
#define UxGetXrtLegendOrientation(sw) \
    (char *) UxDDGetProp(sw, XtNxrtLegendOrientation)
#endif
#ifndef UxPutXrtLegendOrientation
#define UxPutXrtLegendOrientation(sw, val) \
    UxDDPutProp(sw, XtNxrtLegendOrientation, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendShow
#define UxGetXrtLegendShow(sw) \
    (char *) UxDDGetProp(sw, XtNxrtLegendShow)
#endif
#ifndef UxPutXrtLegendShow
#define UxPutXrtLegendShow(sw, val) \
    UxDDPutProp(sw, XtNxrtLegendShow, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendWidth
#define UxGetXrtLegendWidth(sw) \
    (short)UxShortGetProp(sw, XtNxrtLegendWidth)
#endif
#ifndef UxPutXrtLegendWidth
#define UxPutXrtLegendWidth(sw, val) \
    UxPutProp(sw, XtNxrtLegendWidth, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendX
#define UxGetXrtLegendX(sw) \
    (short)UxShortGetProp(sw, XtNxrtLegendX)
#endif
#ifndef UxPutXrtLegendX
#define UxPutXrtLegendX(sw, val) \
    UxPutProp(sw, XtNxrtLegendX, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendXUseDefault
#define UxGetXrtLegendXUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtLegendXUseDefault)
#endif
#ifndef UxPutXrtLegendXUseDefault
#define UxPutXrtLegendXUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtLegendXUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendY
#define UxGetXrtLegendY(sw) \
    (short)UxShortGetProp(sw, XtNxrtLegendY)
#endif
#ifndef UxPutXrtLegendY
#define UxPutXrtLegendY(sw, val) \
    UxPutProp(sw, XtNxrtLegendY, (XtArgVal) (val))
#endif

#ifndef UxGetXrtLegendYUseDefault
#define UxGetXrtLegendYUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtLegendYUseDefault)
#endif
#ifndef UxPutXrtLegendYUseDefault
#define UxPutXrtLegendYUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtLegendYUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtMarkerDataStyle
#define UxGetXrtMarkerDataStyle(sw) \
    (char *) UxDDGetProp(sw, XtNxrtMarkerDataStyle)
#endif
#ifndef UxPutXrtMarkerDataStyle
#define UxPutXrtMarkerDataStyle(sw, val) \
    UxDDPutProp(sw, XtNxrtMarkerDataStyle, (XtArgVal) (val))
#endif

#ifndef UxGetXrtMarkerDataStyleUseDefault
#define UxGetXrtMarkerDataStyleUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtMarkerDataStyleUseDefault)
#endif
#ifndef UxPutXrtMarkerDataStyleUseDefault
#define UxPutXrtMarkerDataStyleUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtMarkerDataStyleUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtMarkerDataset
#define UxGetXrtMarkerDataset(sw) \
    (int)UxIntGetProp(sw, XtNxrtMarkerDataset)
#endif
#ifndef UxPutXrtMarkerDataset
#define UxPutXrtMarkerDataset(sw, val) \
    UxPutProp(sw, XtNxrtMarkerDataset, (XtArgVal) (val))
#endif

#ifndef UxGetXrtOtherDataStyle
#define UxGetXrtOtherDataStyle(sw) \
    (char *) UxDDGetProp(sw, XtNxrtOtherDataStyle)
#endif
#ifndef UxPutXrtOtherDataStyle
#define UxPutXrtOtherDataStyle(sw, val) \
    UxDDPutProp(sw, XtNxrtOtherDataStyle, (XtArgVal) (val))
#endif

#ifndef UxGetXrtOtherDataStyleUseDefault
#define UxGetXrtOtherDataStyleUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtOtherDataStyleUseDefault)
#endif
#ifndef UxPutXrtOtherDataStyleUseDefault
#define UxPutXrtOtherDataStyleUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtOtherDataStyleUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtOtherLabel
#define UxGetXrtOtherLabel(sw) \
	(char *) UxGetProp(sw, XtNxrtOtherLabel)
#endif
#ifndef UxPutXrtOtherLabel
#define UxPutXrtOtherLabel(sw, val) \
	UxPutProp(sw, XtNxrtOtherLabel, (XtArgVal) (val))
#endif

#ifndef UxGetXrtPieMinSlices
#define UxGetXrtPieMinSlices(sw) \
    (int)UxIntGetProp(sw, XtNxrtPieMinSlices)
#endif
#ifndef UxPutXrtPieMinSlices
#define UxPutXrtPieMinSlices(sw, val) \
    UxPutProp(sw, XtNxrtPieMinSlices, (XtArgVal) (val))
#endif

#ifndef UxGetXrtPieOrder
#define UxGetXrtPieOrder(sw) \
    (char *) UxDDGetProp(sw, XtNxrtPieOrder)
#endif
#ifndef UxPutXrtPieOrder
#define UxPutXrtPieOrder(sw, val) \
    UxDDPutProp(sw, XtNxrtPieOrder, (XtArgVal) (val))
#endif

#ifndef UxGetXrtPieThresholdMethod
#define UxGetXrtPieThresholdMethod(sw) \
    (char *) UxDDGetProp(sw, XtNxrtPieThresholdMethod)
#endif
#ifndef UxPutXrtPieThresholdMethod
#define UxPutXrtPieThresholdMethod(sw, val) \
    UxDDPutProp(sw, XtNxrtPieThresholdMethod, (XtArgVal) (val))
#endif

#ifndef UxGetXrtPieThresholdValue
#define UxGetXrtPieThresholdValue(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtPieThresholdValue))
#endif
#ifndef UxPutXrtPieThresholdValue
#define UxPutXrtPieThresholdValue(sw, val) \
    UxPutProp(sw, XtNxrtPieThresholdValue, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtPointLabels
#define UxGetXrtPointLabels(sw) \
    (char *) UxDDGetProp(sw, XtNxrtPointLabels)
#endif
#ifndef UxPutXrtPointLabels
#define UxPutXrtPointLabels(sw, val) \
    UxDDPutProp(sw, XtNxrtPointLabels, (XtArgVal) (val))
#endif

#ifndef UxGetXrtPointLabels2
#define UxGetXrtPointLabels2(sw) \
    (char *) UxDDGetProp(sw, XtNxrtPointLabels2)
#endif
#ifndef UxPutXrtPointLabels2
#define UxPutXrtPointLabels2(sw, val) \
    UxDDPutProp(sw, XtNxrtPointLabels2, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtPolarHalfRange
#define UxGetXrtPolarHalfRange(sw) \
	(char *) UxDDGetProp(sw, XtNxrtPolarHalfRange)
#endif
#ifndef UxPutXrtPolarHalfRange
#define UxPutXrtPolarHalfRange(sw, val) \
	UxDDPutProp(sw, XtNxrtPolarHalfRange, (XtArgVal) (val))
#endif

#ifndef UxGetXrtRepaint
#define UxGetXrtRepaint(sw) \
    (char *) UxDDGetProp(sw, XtNxrtRepaint)
#endif
#ifndef UxPutXrtRepaint
#define UxPutXrtRepaint(sw, val) \
    UxDDPutProp(sw, XtNxrtRepaint, (XtArgVal) (val))
#endif

#ifndef UxGetXrtSetLabels
#define UxGetXrtSetLabels(sw) \
    (char *) UxDDGetProp(sw, XtNxrtSetLabels)
#endif
#ifndef UxPutXrtSetLabels
#define UxPutXrtSetLabels(sw, val) \
    UxDDPutProp(sw, XtNxrtSetLabels, (XtArgVal) (val))
#endif

#ifndef UxGetXrtSetLabels2
#define UxGetXrtSetLabels2(sw) \
    (char *) UxDDGetProp(sw, XtNxrtSetLabels2)
#endif
#ifndef UxPutXrtSetLabels2
#define UxPutXrtSetLabels2(sw, val) \
    UxDDPutProp(sw, XtNxrtSetLabels2, (XtArgVal) (val))
#endif

#ifndef UxGetXrtTimeBase
#define UxGetXrtTimeBase(sw) \
    (long) UxGetProp(sw, XtNxrtTimeBase)
#endif
#ifndef UxPutXrtTimeBase
#define UxPutXrtTimeBase(sw, val) \
    UxPutProp(sw, XtNxrtTimeBase, (XtArgVal) (val))
#endif

#ifndef UxGetXrtTimeFormat
#define UxGetXrtTimeFormat(sw) \
    (char *) UxGetProp(sw, XtNxrtTimeFormat)
#endif
#ifndef UxPutXrtTimeFormat
#define UxPutXrtTimeFormat(sw, val) \
    UxPutProp(sw, XtNxrtTimeFormat, (XtArgVal) (val))
#endif

#ifndef UxGetXrtTimeFormatUseDefault
#define UxGetXrtTimeFormatUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtTimeFormatUseDefault)
#endif
#ifndef UxPutXrtTimeFormatUseDefault
#define UxPutXrtTimeFormatUseDefault(sw, val) \
    UxPutProp(sw, XtNxrtTimeFormatUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtTimeUnit
#define UxGetXrtTimeUnit(sw) \
    (char *) UxDDGetProp(sw, XtNxrtTimeUnit)
#endif
#ifndef UxPutXrtTimeUnit
#define UxPutXrtTimeUnit(sw, val) \
    UxDDPutProp(sw, XtNxrtTimeUnit, (XtArgVal) (val))
#endif

#ifndef UxGetXrtType
#define UxGetXrtType(sw) \
    (char *) UxDDGetProp(sw, XtNxrtType)
#endif
#ifndef UxPutXrtType
#define UxPutXrtType(sw, val) \
    UxDDPutProp(sw, XtNxrtType, (XtArgVal) (val))
#endif

#ifndef UxGetXrtType2
#define UxGetXrtType2(sw) \
    (char *) UxDDGetProp(sw, XtNxrtType2)
#endif
#ifndef UxPutXrtType2
#define UxPutXrtType2(sw, val) \
    UxDDPutProp(sw, XtNxrtType2, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXAnnoPlacement
#define UxGetXrtXAnnoPlacement(sw) \
	(char *) UxDDGetProp(sw, XtNxrtXAnnoPlacement)
#endif
#ifndef UxPutXrtXAnnoPlacement
#define UxPutXrtXAnnoPlacement(sw, val) \
	UxDDPutProp(sw, XtNxrtXAnnoPlacement, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXAnnotationMethod
#define UxGetXrtXAnnotationMethod(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXAnnotationMethod)
#endif
#ifndef UxPutXrtXAnnotationMethod
#define UxPutXrtXAnnotationMethod(sw, val) \
    UxDDPutProp(sw, XtNxrtXAnnotationMethod, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXAnnotationRotation
#define UxGetXrtXAnnotationRotation(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXAnnotationRotation)
#endif
#ifndef UxPutXrtXAnnotationRotation
#define UxPutXrtXAnnotationRotation(sw, val) \
    UxDDPutProp(sw, XtNxrtXAnnotationRotation, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtXAxisLabelFormat
#define UxGetXrtXAxisLabelFormat(sw) \
	(char *) UxGetProp(sw, XtNxrtXAxisLabelFormat)
#endif
#ifndef UxPutXrtXAxisLabelFormat
#define UxPutXrtXAxisLabelFormat(sw, val) \
	UxPutProp(sw, XtNxrtXAxisLabelFormat, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXAxisLogarithmic
#define UxGetXrtXAxisLogarithmic(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXAxisLogarithmic)
#endif
#ifndef UxPutXrtXAxisLogarithmic
#define UxPutXrtXAxisLogarithmic(sw, val) \
    UxDDPutProp(sw, XtNxrtXAxisLogarithmic, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXAxisMax
#define UxGetXrtXAxisMax(sw) \
	XrtArgValToFloat(UxGetProp(sw, XtNxrtXAxisMax))
#endif
#ifndef UxPutXrtXAxisMax
#define UxPutXrtXAxisMax(sw, val) \
	UxPutProp(sw, XtNxrtXAxisMax, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtXAxisMaxUseDefault
#define UxGetXrtXAxisMaxUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtXAxisMaxUseDefault)
#endif
#ifndef UxPutXrtXAxisMaxUseDefault
#define UxPutXrtXAxisMaxUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtXAxisMaxUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXAxisMin
#define UxGetXrtXAxisMin(sw) \
	XrtArgValToFloat(UxGetProp(sw, XtNxrtXAxisMin))
#endif
#ifndef UxPutXrtXAxisMin
#define UxPutXrtXAxisMin(sw, val) \
	UxPutProp(sw, XtNxrtXAxisMin, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtXAxisMinUseDefault
#define UxGetXrtXAxisMinUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtXAxisMinUseDefault)
#endif
#ifndef UxPutXrtXAxisMinUseDefault
#define UxPutXrtXAxisMinUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtXAxisMinUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXAxisReversed
#define UxGetXrtXAxisReversed(sw) \
	(char *) UxDDGetProp(sw, XtNxrtXAxisReversed)
#endif
#ifndef UxPutXrtXAxisReversed
#define UxPutXrtXAxisReversed(sw, val) \
	UxDDPutProp(sw, XtNxrtXAxisReversed, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXAxisShow
#define UxGetXrtXAxisShow(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXAxisShow)
#endif
#ifndef UxPutXrtXAxisShow
#define UxPutXrtXAxisShow(sw, val) \
    UxDDPutProp(sw, XtNxrtXAxisShow, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXGrid
#define UxGetXrtXGrid(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtXGrid))
#endif
#ifndef UxPutXrtXGrid
#define UxPutXrtXGrid(sw, val) \
    UxPutProp(sw, XtNxrtXGrid, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtXGridDataStyle
#define UxGetXrtXGridDataStyle(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXGridDataStyle)
#endif
#ifndef UxPutXrtXGridDataStyle
#define UxPutXrtXGridDataStyle(sw, val) \
    UxDDPutProp(sw, XtNxrtXGridDataStyle, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXGridDataStyleUseDefault
#define UxGetXrtXGridDataStyleUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXGridDataStyleUseDefault)
#endif
#ifndef UxPutXrtXGridDataStyleUseDefault
#define UxPutXrtXGridDataStyleUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtXGridDataStyleUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXGridUseDefault
#define UxGetXrtXGridUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXGridUseDefault)
#endif
#ifndef UxPutXrtXGridUseDefault
#define UxPutXrtXGridUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtXGridUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXLabels
#define UxGetXrtXLabels(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXLabels)
#endif
#ifndef UxPutXrtXLabels
#define UxPutXrtXLabels(sw, val) \
    UxDDPutProp(sw, XtNxrtXLabels, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXMarker
#define UxGetXrtXMarker(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtXMarker))
#endif
#ifndef UxPutXrtXMarker
#define UxPutXrtXMarker(sw, val) \
    UxPutProp(sw, XtNxrtXMarker, XrtFloatToArgVal((float) val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtXMarkerDataStyle
#define UxGetXrtXMarkerDataStyle(sw) \
	(char *) UxDDGetProp(sw, XtNxrtXMarkerDataStyle)
#endif
#ifndef UxPutXrtXMarkerDataStyle
#define UxPutXrtXMarkerDataStyle(sw, val) \
	UxDDPutProp(sw, XtNxrtXMarkerDataStyle, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtXMarkerDataStyleUseDefault
#define UxGetXrtXMarkerDataStyleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtXMarkerDataStyleUseDefault)
#endif
#ifndef UxPutXrtXMarkerDataStyleUseDefault
#define UxPutXrtXMarkerDataStyleUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtXMarkerDataStyleUseDefault, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtXMarkerMethod
#define UxGetXrtXMarkerMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrtXMarkerMethod)
#endif
#ifndef UxPutXrtXMarkerMethod
#define UxPutXrtXMarkerMethod(sw, val) \
	UxDDPutProp(sw, XtNxrtXMarkerMethod, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXMarkerPoint
#define UxGetXrtXMarkerPoint(sw) \
    (int)UxIntGetProp(sw, XtNxrtXMarkerPoint)
#endif
#ifndef UxPutXrtXMarkerPoint
#define UxPutXrtXMarkerPoint(sw, val) \
    UxPutProp(sw, XtNxrtXMarkerPoint, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXMarkerSet
#define UxGetXrtXMarkerSet(sw) \
    (int)UxIntGetProp(sw, XtNxrtXMarkerSet)
#endif
#ifndef UxPutXrtXMarkerSet
#define UxPutXrtXMarkerSet(sw, val) \
    UxPutProp(sw, XtNxrtXMarkerSet, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXMarkerShow
#define UxGetXrtXMarkerShow(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXMarkerShow)
#endif
#ifndef UxPutXrtXMarkerShow
#define UxPutXrtXMarkerShow(sw, val) \
    UxDDPutProp(sw, XtNxrtXMarkerShow, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXMax
#define UxGetXrtXMax(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtXMax))
#endif
#ifndef UxPutXrtXMax
#define UxPutXrtXMax(sw, val) \
    UxPutProp(sw, XtNxrtXMax, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtXMaxUseDefault
#define UxGetXrtXMaxUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXMaxUseDefault)
#endif
#ifndef UxPutXrtXMaxUseDefault
#define UxPutXrtXMaxUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtXMaxUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXMin
#define UxGetXrtXMin(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtXMin))
#endif
#ifndef UxPutXrtXMin
#define UxPutXrtXMin(sw, val) \
    UxPutProp(sw, XtNxrtXMin, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtXMinUseDefault
#define UxGetXrtXMinUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXMinUseDefault)
#endif
#ifndef UxPutXrtXMinUseDefault
#define UxPutXrtXMinUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtXMinUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXNum
#define UxGetXrtXNum(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtXNum))
#endif
#ifndef UxPutXrtXNum
#define UxPutXrtXNum(sw, val) \
    UxPutProp(sw, XtNxrtXNum, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtXNumMethod
#define UxGetXrtXNumMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrtXNumMethod)
#endif
#ifndef UxPutXrtXNumMethod
#define UxPutXrtXNumMethod(sw, val) \
	UxDDPutProp(sw, XtNxrtXNumMethod, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXNumUseDefault
#define UxGetXrtXNumUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXNumUseDefault)
#endif
#ifndef UxPutXrtXNumUseDefault
#define UxPutXrtXNumUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtXNumUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXOrigin
#define UxGetXrtXOrigin(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtXOrigin))
#endif
#ifndef UxPutXrtXOrigin
#define UxPutXrtXOrigin(sw, val) \
    UxPutProp(sw, XtNxrtXOrigin, XrtFloatToArgVal((float) val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtXOriginBase
#define UxGetXrtXOriginBase(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtXOriginBase))
#endif
#ifndef UxPutXrtXOriginBase
#define UxPutXrtXOriginBase(sw, val) \
    UxPutProp(sw, XtNxrtXOriginBase, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtXOriginPlacement
#define UxGetXrtXOriginPlacement(sw) \
	(char *) UxDDGetProp(sw, XtNxrtXOriginPlacement)
#endif
#ifndef UxPutXrtXOriginPlacement
#define UxPutXrtXOriginPlacement(sw, val) \
	UxDDPutProp(sw, XtNxrtXOriginPlacement, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXOriginUseDefault
#define UxGetXrtXOriginUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXOriginUseDefault)
#endif
#ifndef UxPutXrtXOriginUseDefault
#define UxPutXrtXOriginUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtXOriginUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXPrecision
#define UxGetXrtXPrecision(sw) \
    (int)UxIntGetProp(sw, XtNxrtXPrecision)
#endif
#ifndef UxPutXrtXPrecision
#define UxPutXrtXPrecision(sw, val) \
    UxPutProp(sw, XtNxrtXPrecision, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXPrecisionUseDefault
#define UxGetXrtXPrecisionUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXPrecisionUseDefault)
#endif
#ifndef UxPutXrtXPrecisionUseDefault
#define UxPutXrtXPrecisionUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtXPrecisionUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXTick
#define UxGetXrtXTick(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtXTick))
#endif
#ifndef UxPutXrtXTick
#define UxPutXrtXTick(sw, val) \
    UxPutProp(sw, XtNxrtXTick, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtXTickUseDefault
#define UxGetXrtXTickUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXTickUseDefault)
#endif
#ifndef UxPutXrtXTickUseDefault
#define UxPutXrtXTickUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtXTickUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXTitle
#define UxGetXrtXTitle(sw) \
    (char *) UxGetProp(sw, XtNxrtXTitle)
#endif
#ifndef UxPutXrtXTitle
#define UxPutXrtXTitle(sw, val) \
    UxPutProp(sw, XtNxrtXTitle, (XtArgVal) (val))
#endif

#ifndef UxGetXrtXTitleRotation
#define UxGetXrtXTitleRotation(sw) \
    (char *) UxDDGetProp(sw, XtNxrtXTitleRotation)
#endif
#ifndef UxPutXrtXTitleRotation
#define UxPutXrtXTitleRotation(sw, val) \
    UxDDPutProp(sw, XtNxrtXTitleRotation, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2AnnoPlacement
#define UxGetXrtY2AnnoPlacement(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2AnnoPlacement)
#endif
#ifndef UxPutXrtY2AnnoPlacement
#define UxPutXrtY2AnnoPlacement(sw, val) \
	UxDDPutProp(sw, XtNxrtY2AnnoPlacement, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2AnnotationAngle
#define UxGetXrtY2AnnotationAngle(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtY2AnnotationAngle))
#endif
#ifndef UxPutXrtY2AnnotationAngle
#define UxPutXrtY2AnnotationAngle(sw, val) \
	UxPutProp(sw, XtNxrtY2AnnotationAngle,  XrtFloatToArgVal((float) val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2AnnotationAngleUseDefault
#define UxGetXrtY2AnnotationAngleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2AnnotationAngleUseDefault)
#endif
#ifndef UxPutXrtY2AnnotationAngleUseDefault
#define UxPutXrtY2AnnotationAngleUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtY2AnnotationAngleUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2AnnotationMethod
#define UxGetXrtY2AnnotationMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2AnnotationMethod)
#endif
#ifndef UxPutXrtY2AnnotationMethod
#define UxPutXrtY2AnnotationMethod(sw, val) \
	UxDDPutProp(sw, XtNxrtY2AnnotationMethod, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2AnnotationRotation
#define UxGetXrtY2AnnotationRotation(sw) \
    (char *) UxDDGetProp(sw, XtNxrtY2AnnotationRotation)
#endif
#ifndef UxPutXrtY2AnnotationRotation
#define UxPutXrtY2AnnotationRotation(sw, val) \
    UxDDPutProp(sw, XtNxrtY2AnnotationRotation, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2Axis100Percent
#define UxGetXrtY2Axis100Percent(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2Axis100Percent)
#endif
#ifndef UxPutXrtY2Axis100Percent
#define UxPutXrtY2Axis100Percent(sw, val) \
	UxDDPutProp(sw, XtNxrtY2Axis100Percent, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2AxisLabelFormat
#define UxGetXrtY2AxisLabelFormat(sw) \
	(char *) UxGetProp(sw, XtNxrtY2AxisLabelFormat)
#endif
#ifndef UxPutXrtY2AxisLabelFormat
#define UxPutXrtY2AxisLabelFormat(sw, val) \
	UxPutProp(sw, XtNxrtY2AxisLabelFormat, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2AxisLogarithmic
#define UxGetXrtY2AxisLogarithmic(sw) \
    (char *) UxDDGetProp(sw, XtNxrtY2AxisLogarithmic)
#endif
#ifndef UxPutXrtY2AxisLogarithmic
#define UxPutXrtY2AxisLogarithmic(sw, val) \
    UxDDPutProp(sw, XtNxrtY2AxisLogarithmic, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2AxisMax
#define UxGetXrtY2AxisMax(sw) \
	XrtArgValToFloat(UxGetProp(sw, XtNxrtY2AxisMax))
#endif
#ifndef UxPutXrtY2AxisMax
#define UxPutXrtY2AxisMax(sw, val) \
	UxPutProp(sw, XtNxrtY2AxisMax, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtY2AxisMaxUseDefault
#define UxGetXrtY2AxisMaxUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2AxisMaxUseDefault)
#endif
#ifndef UxPutXrtY2AxisMaxUseDefault
#define UxPutXrtY2AxisMaxUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtY2AxisMaxUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2AxisMin
#define UxGetXrtY2AxisMin(sw) \
	XrtArgValToFloat(UxGetProp(sw, XtNxrtY2AxisMin))
#endif
#ifndef UxPutXrtY2AxisMin
#define UxPutXrtY2AxisMin(sw, val) \
	UxPutProp(sw, XtNxrtY2AxisMin, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtY2AxisMinUseDefault
#define UxGetXrtY2AxisMinUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2AxisMinUseDefault)
#endif
#ifndef UxPutXrtY2AxisMinUseDefault
#define UxPutXrtY2AxisMinUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtY2AxisMinUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2AxisReversed
#define UxGetXrtY2AxisReversed(sw) \
    (char *) UxDDGetProp(sw, XtNxrtY2AxisReversed)
#endif
#ifndef UxPutXrtY2AxisReversed
#define UxPutXrtY2AxisReversed(sw, val) \
    UxDDPutProp(sw, XtNxrtY2AxisReversed, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2AxisShow
#define UxGetXrtY2AxisShow(sw) \
    (char *) UxDDGetProp(sw, XtNxrtY2AxisShow)
#endif
#ifndef UxPutXrtY2AxisShow
#define UxPutXrtY2AxisShow(sw, val) \
    UxDDPutProp(sw, XtNxrtY2AxisShow, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2Grid
#define UxGetXrtY2Grid(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtY2Grid))
#endif
#ifndef UxPutXrtY2Grid
#define UxPutXrtY2Grid(sw, val) \
    UxPutProp(sw, XtNxrtY2Grid, XrtFloatToArgVal((float) val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2GridDataStyle
#define UxGetXrtY2GridDataStyle(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2GridDataStyle)
#endif
#ifndef UxPutXrtY2GridDataStyle
#define UxPutXrtY2GridDataStyle(sw, val) \
	UxDDPutProp(sw, XtNxrtY2GridDataStyle, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2GridDataStyleUseDefault
#define UxGetXrtY2GridDataStyleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2GridDataStyleUseDefault)
#endif
#ifndef UxPutXrtY2GridDataStyleUseDefault
#define UxPutXrtY2GridDataStyleUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtY2GridDataStyleUseDefault, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2GridUseDefault
#define UxGetXrtY2GridUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2GridUseDefault)
#endif
#ifndef UxPutXrtY2GridUseDefault
#define UxPutXrtY2GridUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtY2GridUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2Labels
#define UxGetXrtY2Labels(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2Labels)
#endif
#ifndef UxPutXrtY2Labels
#define UxPutXrtY2Labels(sw, val) \
	UxDDPutProp(sw, XtNxrtY2Labels, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2Max
#define UxGetXrtY2Max(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtY2Max))
#endif
#ifndef UxPutXrtY2Max
#define UxPutXrtY2Max(sw, val) \
    UxPutProp(sw, XtNxrtY2Max, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtY2MaxUseDefault
#define UxGetXrtY2MaxUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtY2MaxUseDefault)
#endif
#ifndef UxPutXrtY2MaxUseDefault
#define UxPutXrtY2MaxUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtY2MaxUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2Min
#define UxGetXrtY2Min(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtY2Min))
#endif
#ifndef UxPutXrtY2Min
#define UxPutXrtY2Min(sw, val) \
    UxPutProp(sw, XtNxrtY2Min, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtY2MinUseDefault
#define UxGetXrtY2MinUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtY2MinUseDefault)
#endif
#ifndef UxPutXrtY2MinUseDefault
#define UxPutXrtY2MinUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtY2MinUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2Num
#define UxGetXrtY2Num(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtY2Num))
#endif
#ifndef UxPutXrtY2Num
#define UxPutXrtY2Num(sw, val) \
    UxPutProp(sw, XtNxrtY2Num, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtY2NumMethod
#define UxGetXrtY2NumMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2NumMethod)
#endif
#ifndef UxPutXrtY2NumMethod
#define UxPutXrtY2NumMethod(sw, val) \
	UxDDPutProp(sw, XtNxrtY2NumMethod, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2NumUseDefault
#define UxGetXrtY2NumUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtY2NumUseDefault)
#endif
#ifndef UxPutXrtY2NumUseDefault
#define UxPutXrtY2NumUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtY2NumUseDefault, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtYOrigin
#define UxGetXrtYOrigin(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtYOrigin))
#endif
#ifndef UxPutXrtYOrigin
#define UxPutXrtYOrigin(sw, val) \
    UxPutProp(sw, XtNxrtYOrigin, XrtFloatToArgVal((float) val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2OriginPlacement
#define UxGetXrtY2OriginPlacement(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2OriginPlacement)
#endif
#ifndef UxPutXrtY2OriginPlacement
#define UxPutXrtY2OriginPlacement(sw, val) \
	UxDDPutProp(sw, XtNxrtY2OriginPlacement, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtY2OriginUseDefault
#define UxGetXrtY2OriginUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2OriginUseDefault)
#endif
#ifndef UxPutXrtY2OriginUseDefault
#define UxPutXrtY2OriginUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtY2OriginUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2Precision
#define UxGetXrtY2Precision(sw) \
    (int)UxIntGetProp(sw, XtNxrtY2Precision)
#endif
#ifndef UxPutXrtY2Precision
#define UxPutXrtY2Precision(sw, val) \
    UxPutProp(sw, XtNxrtY2Precision, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2PrecisionUseDefault
#define UxGetXrtY2PrecisionUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtY2PrecisionUseDefault)
#endif
#ifndef UxPutXrtY2PrecisionUseDefault
#define UxPutXrtY2PrecisionUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtY2PrecisionUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2Tick
#define UxGetXrtY2Tick(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtY2Tick))
#endif
#ifndef UxPutXrtY2Tick
#define UxPutXrtY2Tick(sw, val) \
    UxPutProp(sw, XtNxrtY2Tick, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtY2TickUseDefault
#define UxGetXrtY2TickUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtY2TickUseDefault)
#endif
#ifndef UxPutXrtY2TickUseDefault
#define UxPutXrtY2TickUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtY2TickUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2Title
#define UxGetXrtY2Title(sw) \
    (char *) UxGetProp(sw, XtNxrtY2Title)
#endif
#ifndef UxPutXrtY2Title
#define UxPutXrtY2Title(sw, val) \
    UxPutProp(sw, XtNxrtY2Title, (XtArgVal) (val))
#endif

#ifndef UxGetXrtY2TitleRotation
#define UxGetXrtY2TitleRotation(sw) \
    (char *) UxDDGetProp(sw, XtNxrtY2TitleRotation)
#endif
#ifndef UxPutXrtY2TitleRotation
#define UxPutXrtY2TitleRotation(sw, val) \
    UxDDPutProp(sw, XtNxrtY2TitleRotation, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYAnnoPlacement
#define UxGetXrtYAnnoPlacement(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYAnnoPlacement)
#endif
#ifndef UxPutXrtYAnnoPlacement
#define UxPutXrtYAnnoPlacement(sw, val) \
	UxDDPutProp(sw, XtNxrtYAnnoPlacement, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtYAnnotationAngle
#define UxGetXrtYAnnotationAngle(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtYAnnotationAngle))
#endif
#ifndef UxPutXrtYAnnotationAngle
#define UxPutXrtYAnnotationAngle(sw, val) \
	UxPutProp(sw, XtNxrtYAnnotationAngle,  XrtFloatToArgVal((float) val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtYAnnotationAngleUseDefault
#define UxGetXrtYAnnotationAngleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYAnnotationAngleUseDefault)
#endif
#ifndef UxPutXrtYAnnotationAngleUseDefault
#define UxPutXrtYAnnotationAngleUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtYAnnotationAngleUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYAnnotationMethod
#define UxGetXrtYAnnotationMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYAnnotationMethod)
#endif
#ifndef UxPutXrtYAnnotationMethod
#define UxPutXrtYAnnotationMethod(sw, val) \
	UxDDPutProp(sw, XtNxrtYAnnotationMethod, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYAnnotationRotation
#define UxGetXrtYAnnotationRotation(sw) \
    (char *) (UxDDGetProp(sw, XtNxrtYAnnotationRotation))
#endif
#ifndef UxPutXrtYAnnotationRotation
#define UxPutXrtYAnnotationRotation(sw, val) \
    UxDDPutProp(sw, XtNxrtYAnnotationRotation, (XtArgVal) val)
#endif
/*graph 3.0*/
#ifndef UxGetXrtYAxis100Percent
#define UxGetXrtYAxis100Percent(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYAxis100Percent)
#endif
#ifndef UxPutXrtYAxis100Percent
#define UxPutXrtYAxis100Percent(sw, val) \
	UxDDPutProp(sw, XtNxrtYAxis100Percent, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYAxisConst
#define UxGetXrtYAxisConst(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtYAxisConst))
#endif
#ifndef UxPutXrtYAxisConst
#define UxPutXrtYAxisConst(sw, val) \
    UxPutProp(sw, XtNxrtYAxisConst, XrtFloatToArgVal((float) val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtYAxisLabelFormat
#define UxGetXrtYAxisLabelFormat(sw) \
	(char *) UxGetProp(sw, XtNxrtYAxisLabelFormat)
#endif
#ifndef UxPutXrtYAxisLabelFormat
#define UxPutXrtYAxisLabelFormat(sw, val) \
	UxPutProp(sw, XtNxrtYAxisLabelFormat, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYAxisLogarithmic
#define UxGetXrtYAxisLogarithmic(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYAxisLogarithmic)
#endif
#ifndef UxPutXrtYAxisLogarithmic
#define UxPutXrtYAxisLogarithmic(sw, val) \
    UxDDPutProp(sw, XtNxrtYAxisLogarithmic, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYAxisMax
#define UxGetXrtYAxisMax(sw) \
	XrtArgValToFloat(UxGetProp(sw, XtNxrtYAxisMax))
#endif
#ifndef UxPutXrtYAxisMax
#define UxPutXrtYAxisMax(sw, val) \
	UxPutProp(sw, XtNxrtYAxisMax, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtYAxisMaxUseDefault
#define UxGetXrtYAxisMaxUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYAxisMaxUseDefault)
#endif
#ifndef UxPutXrtYAxisMaxUseDefault
#define UxPutXrtYAxisMaxUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtYAxisMaxUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYAxisMin
#define UxGetXrtYAxisMin(sw) \
	XrtArgValToFloat(UxGetProp(sw, XtNxrtYAxisMin))
#endif
#ifndef UxPutXrtYAxisMin
#define UxPutXrtYAxisMin(sw, val) \
	UxPutProp(sw, XtNxrtYAxisMin, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtYAxisMinUseDefault
#define UxGetXrtYAxisMinUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYAxisMinUseDefault)
#endif
#ifndef UxPutXrtYAxisMinUseDefault
#define UxPutXrtYAxisMinUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtYAxisMinUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYAxisMult
#define UxGetXrtYAxisMult(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtYAxisMult))
#endif
#ifndef UxPutXrtYAxisMult
#define UxPutXrtYAxisMult(sw, val) \
    UxPutProp(sw, XtNxrtYAxisMult, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtYAxisReversed
#define UxGetXrtYAxisReversed(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYAxisReversed)
#endif
#ifndef UxPutXrtYAxisReversed
#define UxPutXrtYAxisReversed(sw, val) \
    UxDDPutProp(sw, XtNxrtYAxisReversed, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYAxisShow
#define UxGetXrtYAxisShow(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYAxisShow)
#endif
#ifndef UxPutXrtYAxisShow
#define UxPutXrtYAxisShow(sw, val) \
    UxDDPutProp(sw, XtNxrtYAxisShow, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYGrid
#define UxGetXrtYGrid(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtYGrid))
#endif
#ifndef UxPutXrtYGrid
#define UxPutXrtYGrid(sw, val) \
    UxPutProp(sw, XtNxrtYGrid, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtYGridDataStyle
#define UxGetXrtYGridDataStyle(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYGridDataStyle)
#endif
#ifndef UxPutXrtYGridDataStyle
#define UxPutXrtYGridDataStyle(sw, val) \
    UxDDPutProp(sw, XtNxrtYGridDataStyle, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYGridDataStyleUseDefault
#define UxGetXrtYGridDataStyleUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYGridDataStyleUseDefault)
#endif
#ifndef UxPutXrtYGridDataStyleUseDefault
#define UxPutXrtYGridDataStyleUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtYGridDataStyleUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYGridUseDefault
#define UxGetXrtYGridUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYGridUseDefault)
#endif
#ifndef UxPutXrtYGridUseDefault
#define UxPutXrtYGridUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtYGridUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYLabels
#define UxGetXrtYLabels(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYLabels)
#endif
#ifndef UxPutXrtYLabels
#define UxPutXrtYLabels(sw, val) \
	UxDDPutProp(sw, XtNxrtYLabels, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYMarker
#define UxGetXrtYMarker(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtYMarker))
#endif
#ifndef UxPutXrtYMarker
#define UxPutXrtYMarker(sw, val) \
    UxPutProp(sw, XtNxrtYMarker, XrtFloatToArgVal((float) val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtYMarkerDataStyle
#define UxGetXrtYMarkerDataStyle(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYMarkerDataStyle)
#endif
#ifndef UxPutXrtYMarkerDataStyle
#define UxPutXrtYMarkerDataStyle(sw, val) \
	UxDDPutProp(sw, XtNxrtYMarkerDataStyle, (XtArgVal) (val))
#endif
/*graph 3.0*/
#ifndef UxGetXrtYMarkerDataStyleUseDefault
#define UxGetXrtYMarkerDataStyleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYMarkerDataStyleUseDefault)
#endif
#ifndef UxPutXrtYMarkerDataStyleUseDefault
#define UxPutXrtYMarkerDataStyleUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtYMarkerDataStyleUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYMarkerShow
#define UxGetXrtYMarkerShow(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYMarkerShow)
#endif
#ifndef UxPutXrtYMarkerShow
#define UxPutXrtYMarkerShow(sw, val) \
    UxDDPutProp(sw, XtNxrtYMarkerShow, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYMax
#define UxGetXrtYMax(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtYMax))
#endif
#ifndef UxPutXrtYMax
#define UxPutXrtYMax(sw, val) \
    UxPutProp(sw, XtNxrtYMax, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtYMaxUseDefault
#define UxGetXrtYMaxUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYMaxUseDefault)
#endif
#ifndef UxPutXrtYMaxUseDefault
#define UxPutXrtYMaxUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtYMaxUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYMin
#define UxGetXrtYMin(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtYMin))
#endif
#ifndef UxPutXrtYMin
#define UxPutXrtYMin(sw, val) \
    UxPutProp(sw, XtNxrtYMin, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtYMinUseDefault
#define UxGetXrtYMinUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYMinUseDefault)
#endif
#ifndef UxPutXrtYMinUseDefault
#define UxPutXrtYMinUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtYMinUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYNum
#define UxGetXrtYNum(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtYNum))
#endif
#ifndef UxPutXrtYNum
#define UxPutXrtYNum(sw, val) \
    UxPutProp(sw, XtNxrtYNum, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtYNumMethod
#define UxGetXrtYNumMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYNumMethod)
#endif
#ifndef UxPutXrtYNumMethod
#define UxPutXrtYNumMethod(sw, val) \
	UxDDPutProp(sw, XtNxrtYNumMethod, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYNumUseDefault
#define UxGetXrtYNumUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYNumUseDefault)
#endif
#ifndef UxPutXrtYNumUseDefault
#define UxPutXrtYNumUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtYNumUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYOrigin
#define UxGetXrtYOrigin(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtYOrigin))
#endif
#ifndef UxPutXrtYOrigin
#define UxPutXrtYOrigin(sw, val) \
    UxPutProp(sw, XtNxrtYOrigin, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtYOriginPlacement
#define UxGetXrtYOriginPlacement(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYOriginPlacement)
#endif
#ifndef UxPutXrtYOriginPlacement
#define UxPutXrtYOriginPlacement(sw, val) \
	UxDDPutProp(sw, XtNxrtYOriginPlacement, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYOriginUseDefault
#define UxGetXrtYOriginUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYOriginUseDefault)
#endif
#ifndef UxPutXrtYOriginUseDefault
#define UxPutXrtYOriginUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtYOriginUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYPrecision
#define UxGetXrtYPrecision(sw) \
    (int)UxIntGetProp(sw, XtNxrtYPrecision)
#endif
#ifndef UxPutXrtYPrecision
#define UxPutXrtYPrecision(sw, val) \
    UxPutProp(sw, XtNxrtYPrecision, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYPrecisionUseDefault
#define UxGetXrtYPrecisionUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYPrecisionUseDefault)
#endif
#ifndef UxPutXrtYPrecisionUseDefault
#define UxPutXrtYPrecisionUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtYPrecisionUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYTick
#define UxGetXrtYTick(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtYTick))
#endif
#ifndef UxPutXrtYTick
#define UxPutXrtYTick(sw, val) \
    UxPutProp(sw, XtNxrtYTick, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtYTickUseDefault
#define UxGetXrtYTickUseDefault(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYTickUseDefault)
#endif
#ifndef UxPutXrtYTickUseDefault
#define UxPutXrtYTickUseDefault(sw, val) \
    UxDDPutProp(sw, XtNxrtYTickUseDefault, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYTitle
#define UxGetXrtYTitle(sw) \
    (char *) UxGetProp(sw, XtNxrtYTitle)
#endif
#ifndef UxPutXrtYTitle
#define UxPutXrtYTitle(sw, val) \
    UxPutProp(sw, XtNxrtYTitle, (XtArgVal) (val))
#endif

#ifndef UxGetXrtYTitleRotation
#define UxGetXrtYTitleRotation(sw) \
    (char *) UxDDGetProp(sw, XtNxrtYTitleRotation)
#endif
#ifndef UxPutXrtYTitleRotation
#define UxPutXrtYTitleRotation(sw, val) \
    UxDDPutProp(sw, XtNxrtYTitleRotation, (XtArgVal) (val))
#endif

#ifndef UxGetXrtBubbleMax
#define UxGetXrtBubbleMax(sw) \
	XrtArgValToFloat(UxGetProp(sw, XtNxrtBubbleMax))
#endif
#ifndef UxPutXrtBubbleMax
#define UxPutXrtBubbleMax(sw, val) \
	UxPutProp(sw, XtNxrtBubbleMax, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtBubbleMethod
#define UxGetXrtBubbleMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrtBubbleMethod)
#endif
#ifndef UxPutXrtBubbleMethod
#define UxPutXrtBubbleMethod(sw, val) \
	UxDDPutProp(sw, XtNxrtBubbleMethod, (XtArgVal)(val))
#endif

#ifndef UxGetXrtBubbleMin
#define UxGetXrtBubbleMin(sw) \
	XrtArgValToFloat(UxGetProp(sw, XtNxrtBubbleMin))
#endif
#ifndef UxPutXrtBubbleMin
#define UxPutXrtBubbleMin(sw, val) \
	UxPutProp(sw, XtNxrtBubbleMin, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtColorFunc
#define UxGetXrtColorFunc(sw) \
	(voidFunction) UxGetProp(sw, XtNxrtColorFunc)
#endif
#ifndef UxPutXrtColorFunc
#define UxPutXrtColorFunc(sw, val) \
	UxPutProp(sw, XtNxrtColorFunc, (XtArgVal)(val))
#endif

#ifndef UxGetXrtExtraDefaultDataStyles
#define UxGetXrtExtraDefaultDataStyles(sw) \
	(char *) UxDDGetProp(sw, XtNxrtExtraDefaultDataStyles)
#endif
#ifndef UxPutXrtExtraDefaultDataStyles
#define UxPutXrtExtraDefaultDataStyles(sw, val) \
	UxDDPutProp(sw, XtNxrtExtraDefaultDataStyles, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFooterImage
#define UxGetXrtFooterImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrtFooterImage)
#endif
#ifndef UxPutXrtFooterImage
#define UxPutXrtFooterImage(sw, val) \
	UxDDPutProp(sw, XtNxrtFooterImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFooterImageLayout
#define UxGetXrtFooterImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrtFooterImageLayout)
#endif
#ifndef UxPutXrtFooterImageLayout
#define UxPutXrtFooterImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrtFooterImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFooterImageMinimumSize
#define UxGetXrtFooterImageMinimumSize(sw) \
	(char *) UxDDGetProp(sw, XtNxrtFooterImageMinimumSize)
#endif
#ifndef UxPutXrtFooterImageMinimumSize
#define UxPutXrtFooterImageMinimumSize(sw, val) \
	UxDDPutProp(sw, XtNxrtFooterImageMinimumSize, (XtArgVal)(val))
#endif

#ifndef UxGetXrtDataAreaImage
#define UxGetXrtDataAreaImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrtDataAreaImage)
#endif
#ifndef UxPutXrtDataAreaImage
#define UxPutXrtDataAreaImage(sw, val) \
	UxDDPutProp(sw, XtNxrtDataAreaImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrtDataAreaImageLayout
#define UxGetXrtDataAreaImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrtDataAreaImageLayout)
#endif
#ifndef UxPutXrtDataAreaImageLayout
#define UxPutXrtDataAreaImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrtDataAreaImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGraphImage
#define UxGetXrtGraphImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrtGraphImage)
#endif
#ifndef UxPutXrtGraphImage
#define UxPutXrtGraphImage(sw, val) \
	UxDDPutProp(sw, XtNxrtGraphImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGraphImageLayout
#define UxGetXrtGraphImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrtGraphImageLayout)
#endif
#ifndef UxPutXrtGraphImageLayout
#define UxPutXrtGraphImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrtGraphImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrtHeaderImage
#define UxGetXrtHeaderImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrtHeaderImage)
#endif
#ifndef UxPutXrtHeaderImage
#define UxPutXrtHeaderImage(sw, val) \
	UxDDPutProp(sw, XtNxrtHeaderImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrtHeaderImageLayout
#define UxGetXrtHeaderImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrtHeaderImageLayout)
#endif
#ifndef UxPutXrtHeaderImageLayout
#define UxPutXrtHeaderImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrtHeaderImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrtHeaderImageMinimumSize
#define UxGetXrtHeaderImageMinimumSize(sw) \
	(char *) UxDDGetProp(sw, XtNxrtHeaderImageMinimumSize)
#endif
#ifndef UxPutXrtHeaderImageMinimumSize
#define UxPutXrtHeaderImageMinimumSize(sw, val) \
	UxDDPutProp(sw, XtNxrtHeaderImageMinimumSize, (XtArgVal)(val))
#endif

#ifndef UxGetXrtImage
#define UxGetXrtImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrtImage)
#endif
#ifndef UxPutXrtImage
#define UxPutXrtImage(sw, val) \
	UxDDPutProp(sw, XtNxrtImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrtImageLayout
#define UxGetXrtImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrtImageLayout)
#endif
#ifndef UxPutXrtImageLayout
#define UxPutXrtImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrtImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrtIsStacked
#define UxGetXrtIsStacked(sw) \
	(char *) UxDDGetProp(sw, XtNxrtIsStacked)
#endif
#ifndef UxPutXrtIsStacked
#define UxPutXrtIsStacked(sw, val) \
	UxDDPutProp(sw, XtNxrtIsStacked, (XtArgVal)(val))
#endif

#ifndef UxGetXrtIsStacked2
#define UxGetXrtIsStacked2(sw) \
	(char *) UxDDGetProp(sw, XtNxrtIsStacked2)
#endif
#ifndef UxPutXrtIsStacked2
#define UxPutXrtIsStacked2(sw, val) \
	UxDDPutProp(sw, XtNxrtIsStacked2, (XtArgVal)(val))
#endif

#ifndef UxGetXrtLegendImage
#define UxGetXrtLegendImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrtLegendImage)
#endif
#ifndef UxPutXrtLegendImage
#define UxPutXrtLegendImage(sw, val) \
	UxDDPutProp(sw, XtNxrtLegendImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrtLegendImageLayout
#define UxGetXrtLegendImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrtLegendImageLayout)
#endif
#ifndef UxPutXrtLegendImageLayout
#define UxPutXrtLegendImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrtLegendImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrtLegendReversed
#define UxGetXrtLegendReversed(sw) \
	(char *) UxDDGetProp(sw, XtNxrtLegendReversed)
#endif
#ifndef UxPutXrtLegendReversed
#define UxPutXrtLegendReversed(sw, val) \
	UxDDPutProp(sw, XtNxrtLegendReversed, (XtArgVal)(val))
#endif

#ifndef UxGetXrtLegendTitle
#define UxGetXrtLegendTitle(sw) \
	(char *) UxDDGetProp(sw, XtNxrtLegendTitle)
#endif
#ifndef UxPutXrtLegendTitle
#define UxPutXrtLegendTitle(sw, val) \
	UxDDPutProp(sw, XtNxrtLegendTitle, (XtArgVal)(val))
#endif

#ifndef UxGetXrtPieMergeMissingSlices
#define UxGetXrtPieMergeMissingSlices(sw) \
	(char *) UxDDGetProp(sw, XtNxrtPieMergeMissingSlices)
#endif
#ifndef UxPutXrtPieMergeMissingSlices
#define UxPutXrtPieMergeMissingSlices(sw, val) \
	UxDDPutProp(sw, XtNxrtPieMergeMissingSlices, (XtArgVal)(val))
#endif

#ifndef UxGetXrtPieStartAngle
#define UxGetXrtPieStartAngle(sw) \
    XrtArgValToFloat(UxGetProp(sw, XtNxrtPieStartAngle))
#endif
#ifndef UxPutXrtPieStartAngle
#define UxPutXrtPieStartAngle(sw, val) \
	UxPutProp(sw, XtNxrtPieStartAngle, XrtFloatToArgVal((float) val))
#endif

#ifndef UxGetXrtPolarAxisAllowNegatives
#define UxGetXrtPolarAxisAllowNegatives(sw) \
	(char *) UxDDGetProp(sw, XtNxrtPolarAxisAllowNegatives)
#endif
#ifndef UxPutXrtPolarAxisAllowNegatives
#define UxPutXrtPolarAxisAllowNegatives(sw, val) \
	UxDDPutProp(sw, XtNxrtPolarAxisAllowNegatives, (XtArgVal)(val))
#endif

#ifndef UxGetXrtXAxisDataStyle
#define UxGetXrtXAxisDataStyle(sw) \
	(char *) UxDDGetProp(sw, XtNxrtXAxisDataStyle)
#endif
#ifndef UxPutXrtXAxisDataStyle
#define UxPutXrtXAxisDataStyle(sw, val) \
	UxDDPutProp(sw, XtNxrtXAxisDataStyle, (XtArgVal)(val))
#endif

#ifndef UxGetXrtXAxisDataStyleUseDefault
#define UxGetXrtXAxisDataStyleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtXAxisDataStyleUseDefault)
#endif
#ifndef UxPutXrtXAxisDataStyleUseDefault
#define UxPutXrtXAxisDataStyleUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtXAxisDataStyleUseDefault, (XtArgVal)(val))
#endif

#ifndef UxGetXrtY2AxisDataStyle
#define UxGetXrtY2AxisDataStyle(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2AxisDataStyle)
#endif
#ifndef UxPutXrtY2AxisDataStyle
#define UxPutXrtY2AxisDataStyle(sw, val) \
	UxDDPutProp(sw, XtNxrtY2AxisDataStyle, (XtArgVal)(val))
#endif

#ifndef UxGetXrtY2AxisDataStyleUseDefault
#define UxGetXrtY2AxisDataStyleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtY2AxisDataStyleUseDefault)
#endif
#ifndef UxPutXrtY2AxisDataStyleUseDefault
#define UxPutXrtY2AxisDataStyleUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtY2AxisDataStyleUseDefault, (XtArgVal)(val))
#endif

#ifndef UxGetXrtYAxisDataStyle
#define UxGetXrtYAxisDataStyle(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYAxisDataStyle)
#endif
#ifndef UxPutXrtYAxisDataStyle
#define UxPutXrtYAxisDataStyle(sw, val) \
	UxDDPutProp(sw, XtNxrtYAxisDataStyle, (XtArgVal)(val))
#endif

#ifndef UxGetXrtYAxisDataStyleUseDefault
#define UxGetXrtYAxisDataStyleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrtYAxisDataStyleUseDefault)
#endif
#ifndef UxPutXrtYAxisDataStyleUseDefault
#define UxPutXrtYAxisDataStyleUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrtYAxisDataStyleUseDefault, (XtArgVal)(val))
#endif


#ifndef UxCreateXrtGraph
#define UxCreateXrtGraph(name, parent) \
	UxCreateSwidget(name, xtXrtGraphWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXrtGraph_INCLUDED */
